commit fbf20beaa0ae8e4b90cb107d05656272e912ef9a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jan 10 13:39:04 2026 +0100

    Version 5.37.0

commit ec3bacd3aa2c8961cc7dc5bd5d4d37c484cad791
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jan 10 13:14:53 2026 +0100

    Fix daemon resets SIGHUP (#173)
    
    When using the daemon utility and flag YAZ_DAEMON_LOG_REOPEN to
    allow for SIGHUP to re-open log files, it would only work once
    as the SIGHUP handler action was cleared. Now it remains
    enabled, so that SIGHUP can be received multiple times.

commit 375a38d5d2d900aaf5f59e14872da1d9cb67529d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jan 10 13:06:06 2026 +0100

    Avoid sprintf (#172)

commit bc89bbcaac734337c63a135e46b1f4aca50e4edc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 9 11:41:19 2026 +0100

    Add nmem_printf (#171)

commit b3950ad9953c7339a6f97246034dfb1d34fe62c5
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Thu Jan 8 12:06:16 2026 +0100

    Add CentOS Stream 10

commit 42cf5fff6cb62b1b9f827d21b437aa86b7949051
Merge: 64514fba 45737469
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 21:29:12 2026 +0100

    Merge pull request #170 from indexdata/release-5-36-0
    
    Release 5 36 0

commit 45737469b76acd13d69a77d62d1f9e113611e9c1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 21:06:53 2026 +0100

    Version 5.36.0

commit 3cf2e7a5c02be165900717cb46329688ff3b0a76
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 20:46:19 2026 +0100

    Add trixie

commit 64514fbad42db4db9bc6cf24257b3442fdb24337
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 15:33:39 2026 +0100

    Update docbook common ent

commit 58fe3c9fb5f52945c7f0f13b005fa38485a2dd1c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 15:30:13 2026 +0100

    Link to GitHub discussions (#169)

commit cac73c0e67bc398e37c10b3f0f49ceca0ba9190e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 14:04:07 2026 +0100

    2026 (#168)

commit f54b50d4a94e6edf53f446737ee5e84934f8442b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 14:01:00 2026 +0100

    Add nmem_xml to Bazel build

commit 1ccfe8a9ec11c8f5f4251191f7d017ffea54d8ac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 13:46:04 2026 +0100

    Add nmem_from_xml_buffer (#167)

commit d294ca09f3d2735946d3360887b410f4f46359c9
Author: Nicolas PARLANT <nicolas.parlant@parhuet.fr>
Date:   Tue Jan 6 13:35:27 2026 +0100

    fix musl - expose gethostbyaddr with _GNU_SOURCE (#163)
    
    >tcpdchk.c:72:25: error: call to undeclared function 'gethostbyaddr'; ISO C99 and later do not support implicit function declarations
    >      [-Wimplicit-function-declaration]
    >   72 |             if ((host = gethostbyaddr((char*)&addr_in->sin_addr,
    >      |                         ^
    
    Signed-off-by: Nicolas PARLANT <nicolas.parlant@parhuet.fr>

commit 3344c1017eb9493ed04377b838ba33795061ba34
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 5 22:21:07 2026 +0100

    Use xmlBufferLength, xmlBufferContent (#166)

commit 135066fd2dfb191622c70d4e5945441f6d702ea9
Merge: 4de6eb1c 3f69d694
Author: David Crossley <dcrossleyau@users.noreply.github.com>
Date:   Wed Nov 5 18:09:00 2025 +1100

    Merge pull request #165 from indexdata/DEVOPS-2662-upgrade-actions-2
    
    DEVOPS-2662 Upgrade Workflow Actions

commit 3f69d69423104bc257f5b637383d16b002d5e6f4
Author: David Crossley <david@indexdata.com>
Date:   Wed Nov 5 17:56:05 2025 +1100

    Use actions/checkout v5 DEVOPS-2662

commit 4de6eb1c56838e8ff38a9d23f820c38fff87107c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 22 13:13:04 2025 +0200

    Remove redundant assignments

commit 5b6342ad5e519dd573e8275842ddf3a890a6b594
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 22 13:08:31 2025 +0200

    vs: search for headers also in dir 'build'

commit 9d2f1e7a4c20fa31dc5cbc022a4d41ec17864832
Merge: 2e0da50d 5b394e52
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 21 16:29:09 2025 +0200

    Merge pull request #162 from indexdata/release-5-35-1
    
    Release 5.35.1

commit 5b394e5221c4eae86d7403a0c0f38007f734b4f5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 21 16:25:49 2025 +0200

    C++ style comments are not allowed in ISO C90

commit f639d9819ee2df70ee59b093e7f1c67f8b0a5662
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 21 16:15:11 2025 +0200

    Version 5.35.1

commit ed6fba5c710c0275355ce7854cdcdb9cbfecf37f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 21 16:12:28 2025 +0200

    Patch level update

commit 2e0da50de58f562a27a19d2999f61a1c962f9ffa
Merge: 3d7139b4 6fb02c73
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 21 16:01:52 2025 +0200

    Merge pull request #161 from indexdata/fix-daemon-keepalive-waitpid-eintr
    
    daemon keepalive: fix waitpid EINTR handling

commit 6fb02c73ab7287b28058052b4aa9d86710ee72c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 21 15:57:04 2025 +0200

    daemon keepalive: fix waitpid EINTR handling

commit 3d7139b4f4a876629bec5c219c2d69b426b4e924
Merge: dfe7c164 03e931f0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 12 11:03:34 2025 +0200

    Merge pull request #160 from indexdata/win-nmake-icu-upgrade-64-bit-default
    
    Windows nmake: ICU 77.1, 64-bit build is the default

commit 03e931f017e22ae0dd973ec0f786aa6974ea3001
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 12 10:29:20 2025 +0200

    Windows nmake: ICU 77.1, 64-bit build is the default

commit dfe7c164dc95b3d4bde9aaf121eedfdc115dc339
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat May 10 18:54:22 2025 +0200

    Fix quoting in common

commit 60ce2615c85a66e00de515d47bf5a4b45c4d1c42
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat May 10 18:52:24 2025 +0200

    Update a couple of ICU project links

commit 6a42e80fe8b8ead54eb078988964e3fe4bb61788
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 9 09:35:50 2025 +0200

    doc: Tested on Windows with VS 2019, 2022

commit fa5d2a190ce586695390a030c653cef43045f47e
Merge: a139ce8c 04bd3c78
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 6 13:20:38 2025 +0200

    Merge pull request #159 from indexdata/release-5-35-0
    
    Update NEWS for 5.35.0

commit 04bd3c7830226c6a319b8451c03b194a06da6e46
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 6 13:03:10 2025 +0200

    Update NEWS for 5.35.0

commit a139ce8c1b3ffd745dc52684555f08c4a1fdd2e4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 6 13:00:52 2025 +0200

    Expand c, h, y files

commit 68a3b2dc3e40b1cf59db1179f61e5efee18e5918
Merge: bc3da27a 8b4a2c50
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 6 10:15:13 2025 +0200

    Merge pull request #158 from indexdata/yaz-encoding-skip-transfer-encoding-chunked
    
    Disable HTTP chunked when encoding HTTP messages

commit 8b4a2c5052c376aa943c69cafc6d6bbebb9afdcb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 6 10:01:43 2025 +0200

    Disable HTTP chunked when encoding HTTP messages
    
    YAZ always sets Content-Length for encoded messages, and therefore
    the Transfer-Encoding, should be skipped.

commit bc3da27a7641ceb0e727105b94354375626f14d4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 14 17:17:24 2025 +0200

    Win upgrade to icu 76 2 (#157)
    
    yaz4j uses yaz.cflags now

commit 667c895b7be8c09f8405a8b6770fc9063c237d61
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 14 14:55:50 2025 +0200

    Update m4 for vcredist

commit 73ca24f4277e43428147ad731a7cfbb05b69d44d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 10:57:05 2025 +0200

    Describe cql transform define functions (#155)

commit 2a1c88bd437a2db9f4b9d403756132aafda0413e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 10:20:32 2025 +0200

    Bump current version (minor) (#154)
    
    Because of new cql_transform- functions.

commit 577dcff7593c9b67bfd394bd344e4a5f728e48f4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 10:07:44 2025 +0200

    Cql transform define methods (#153)
    
    Add cql_transform_define_{FILE,fname}

commit 2dcf904861e1e0c09c4192bdc4a488c9fbba1787
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Wed Mar 26 21:12:48 2025 +0100

    Fix paths

commit 106c0c1146883533ee2c6bee33063a7dd02af1e8
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Wed Mar 26 20:40:09 2025 +0100

    Update macOS compilation docs

commit 1d75a7dd62b559ef225558eb425797c92c313dce
Merge: 2543988d b42e25e8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 17 20:36:58 2025 +0100

    Merge pull request #150 from indexdata/release-5-34-4
    
    Version 5.34.4

commit b42e25e840666ea3422c3bd5cb566b07f78a99cd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 17 19:59:11 2025 +0100

    Version 5.34.4

commit 2543988d47d3d039f6860274bf10dc44acef47ce
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 17 20:17:55 2025 +0100

    Declare bufferSize when using ubrk_safeClone

commit 833a0c91b6ed92331c0c56e7955a0757ae00178b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 17 20:10:57 2025 +0100

    Only use ubrk_clone for ICU v69 and later (#148)
    
    As it is not present in earlier versions (before 69).

commit e571f22ad21f8cee659ce1588ecbff053935ad75
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 14 11:31:41 2025 +0100

    marc: use type int like other index types here (#147)

commit c6ff0d5d4605db287ce52e881c312ded2daca311
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 14 11:23:26 2025 +0100

    Add cast for -1 size_t value (#146)

commit 7392f8e6a009f5b4f85b25cd40867ccc3a703d39
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 14 11:19:23 2025 +0100

    Mention sources that are built in test (#145)

commit 1572e515823a5691821c31eaf8934fc1cc152fc1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 13 18:03:59 2025 +0100

    doc-clean does not remove local.ent

commit 5ef36aa6264b8109974691e5e292ec358581a026
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 13 17:50:18 2025 +0100

    Fix out-of-source build failing sometimes
    
    Add a few to BUILT_SOURCES.

commit 823358682949f2c3be654945be403b666976fdc3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 13 16:59:31 2025 +0100

    marc: fix malformed XML #100

commit 23ac2c874a4c362a7f527aee17ce2ed43cbfddfe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 13 16:12:45 2025 +0100

    Ignore test program (#143)

commit ebc8ccab39cdbc73223d97a1679f20452f8e656e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 12:16:38 2025 +0100

    Avoid xmlSAXUserParseFile #140 (#141)
    
    yaz-marcdump: use same scheme for parsing MARCXML as MarcXchange.

commit c3dfd2feaf5af7b28310c20d5f0a002b7b971660
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 5 20:25:25 2025 +0100

    Fix warn_unused_result warnings produced by gcc/clang (#139)

commit 48a1c72b36adfc60387aeda9dad88baff0ea2023
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 27 16:51:07 2025 +0100

    Allow spaces for auth strings in yaz-client #101 (#138)
    
    Allow spaces for auth strings in yaz-client #101
    
    Document the yaz-client command auth.

commit 1eb021946a9603de6c024aa3a5b937e84c5b2270
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 27 14:10:20 2025 +0100

    Fix compilation with c17 c23 (#136)
    
    Most importanty set _POSIX_C_SOURCE to ensure certain
    calls, fdopen, strerror_r are available.

commit d175048f887f6a16b72217654a27b70ba6924282
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 27 14:08:33 2025 +0100

    In yaz-marcdump initialize total local var always (#137)

commit d872be1c11bfbe6ed266dbb8d7b7a29f215280f0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 27 13:13:30 2025 +0100

    Avoid urbk_safeClone; fixes #98 (#135)
    
    Use ubrk_clone instead.

commit 5bfb9370f45de00203b5bc02f528fd96a832d17a
Author: Mamoru TASAKA <mtasaka@fedoraproject.org>
Date:   Mon Jan 27 19:25:29 2025 +0900

    FIX: avoid bool for function name for C23 (#134)
    
    C23 now regards `bool` as keyword, so avoid using
    `bool` for function name.
    
    Closes #133 .

commit 7fde895620530f74fdf5d1c320df381106f4a6f1
Merge: f270f658 de21cb94
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 7 18:13:09 2025 +0100

    Merge pull request #132 from indexdata/release-5-34-3
    
    Version 5.34.3

commit de21cb94d621830f12c9e84cecf28b67f9419b60
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 7 17:23:33 2025 +0100

    Version 5.34.3

commit f270f658584e7cc82840c8dc4681fcfb9cbf5409
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 2 10:55:49 2025 +0100

    cql.y: tabs to spaces

commit 8bc2df698af0ba8fe8307b5836c69ebbc82237ba
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Wed Dec 11 08:45:30 2024 +0100

    Update m4, fixes #131

commit f3e7f94aec5ef27a1ad8729ce52329377017c54e
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Thu Sep 19 16:53:55 2024 +0200

    Version 5.34.2

commit dde34347707d8ecdee48026ff0239a72f5f4e0b3
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sun Sep 15 19:11:29 2024 +0200

    Prerelease

commit b89e9793db64b2d816be08b11c29f9ec5e5972bc
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sun Sep 15 19:10:22 2024 +0200

    Restore previous behavior without warning

commit 419af4f6515481a56433d0d625ddcbce05b68cff
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Mon Sep 16 15:23:30 2024 +0200

    Fix spec for centos7

commit c358bdce6e5310fd4386510fcbfeacec24262fb3
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sun Sep 15 09:07:32 2024 +0200

    Add CentOS 9, remove unsupported

commit 338bab5c52d99c3d4c2b7117096f278290e22843
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sun Sep 15 09:06:07 2024 +0200

    Disable LTO, no tcpwrapper on RHEL/CentOS 9

commit 2a220eaa36814c3b3af0e2227c2b1ee1bdb5713b
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sat Sep 14 23:20:27 2024 +0200

    Add Ubuntu Noble, drop not supported

commit b5da52a73e676bba3ad578aeaef9456079e678c2
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sat Sep 14 23:14:38 2024 +0200

    Disable LTO when building under Debian/Ubuntu

commit 29fd8fdc0dd592c8e0eaf95501b33fd2da258d1c
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sat Sep 14 16:52:52 2024 +0200

    Rmove buster (EOL)

commit 45c222674f375d43cae9d8478094983e0c0ef808
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sat Sep 14 14:35:19 2024 +0200

    Add libssl-dev to Build-Depends
    
    to workaround libmemcached pkg-config failure

commit 5263d57757507c73c7fdb32f388bc2cd98ba857f
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sat Jun 22 19:45:29 2024 +0200

    Typos, long lines

commit a3df68c525be5a2e178c6627d2f5fef88bf467b8
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sat Jun 22 19:11:19 2024 +0200

    Vscode XML editor settings

commit c9dae5618a721b82d94e39bcce49dcacd7bba24b
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Fri Jun 21 22:42:50 2024 +1000

    LICENSE: Update to match Index Data's online Revised BSD license (#115)
    
    * Extend copyright to 2024.
     * Replace 'Regents' with 'Index Data'.
     * Add whitespace for readability.
     * Wrap lines as needed.

commit 3c68842fb4c1ba02bec84ae315ab08f17e623485
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Fri Jun 21 14:42:14 2024 +0200

    More updates on macOS (#117)

commit 5f1a2c7de92739243fc3ef5c498cef56add5b792
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Fri Jun 21 14:16:09 2024 +0200

    Update docs re compilation on macOS (#116)

commit 3dc112d42667b857de0fc6c1e76525179db86a15
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Wed Jun 19 10:25:21 2024 +0200

    Remove outdated distros: Debian Stretch and Ubuntu Trusty

commit c354d371702a334ee6e6b9085d3f6cc039bb5348
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Tue Jun 18 09:43:41 2024 +0200

    Version 5.34.1

commit b684b2f033ed5a82b589b3be318cea609e1a0ef0
Author: Mamoru TASAKA <mtasaka@fedoraproject.org>
Date:   Tue Jun 18 16:38:11 2024 +0900

    FIX: fix build error with libxml2 2.13.0 (#103)
    
    libxml2 2.13.0 changed which header file to define functions
    and header inclusion. Due to this refactoring, some yaz source
    files need additional inclusion of libxml2 header file,
    especially for libxml/parser.h .
    
    Closes #102 .

commit 4fa99381c813b401163d3837b9afa0734f270f56
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 17 21:51:18 2024 +0200

    Update m4 for https://github.com/indexdata/m4/pull/3 (#112)

commit 8d030790a97d700720b893f589b3236726e1c24c
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sun Jun 9 16:42:29 2024 +0200

    Remove pointer to bool conversion warnings
    
    conffile and print: static array pointer is never null
    &e_ae->attributeSet: pointer variable address is never null

commit bd97d95a35a0917d547f6323462a980234eb3370
Author: Jakub Skoczen <jakub@indexdata.com>
Date:   Sun Jun 9 16:30:01 2024 +0200

    Add vscode settings

commit 5dfb562354b1cf73cfbbc2bfd4a2b4e2c71daf46
Merge: dc6defac 3c61afce
Author: Jakub Skoczen <jakub@indexdata.dk>
Date:   Wed Jun 5 21:48:04 2024 +0200

    Merge pull request #105 from mtasaka/glibc_2_39_fix
    
    FIX: fix build error with libxml2 2.12

commit dc6defac0898ccd98daeb83daf23572eced9f9d9
Merge: 0def0ed7 5af9745f
Author: David Crossley <dcrossleyau@users.noreply.github.com>
Date:   Thu Feb 1 18:22:45 2024 +1100

    Merge pull request #107 from indexdata/DEVOPS-2662-upgrade-actions
    
    DEVOPS-2662 update github actions

commit 5af9745fe018f570cd8a68e4fd6110650bd2e3e7
Author: David Crossley <david@indexdata.com>
Date:   Thu Feb 1 18:17:58 2024 +1100

    Use actions/checkout v4 DEVOPS-2662

commit 3c61afce2c2517369c2bf1ba6846ff17f81c4b18
Author: Mamoru TASAKA <mtasaka@fedoraproject.org>
Date:   Tue Nov 21 23:47:18 2023 +0900

    FIX: fix build error with glibc 2.39
    
    glibc 2.39 does some refactoring for header file inclusion
    and some additional header inclusion is needed for yaz
    source.
    
    Closes #104 .

commit 0def0ed772fe6eda3b75404fca2c0f02d818892c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 12 13:24:35 2023 +0100

    NSIS: update for new marc-files directory (#96)

commit cc628367af18b9ff550f8a37626e247a1ddf7f5b
Merge: 49b983c0 dec0c8a0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 12 12:19:08 2023 +0100

    Merge pull request #95 from indexdata/release-5-34-0
    
    Version 5.34.0

commit dec0c8a0b762132468cc8264c1b220eae1c67bd7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 12 12:06:56 2023 +0100

    Version 5.34.0

commit 49b983c09c4bdd2d42f116cff2fecde406203101
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 9 16:48:40 2023 +0100

    Solr response decoder fixes YAZ-955 (#94)
    
    WRBUf leaked and two places where XML text was not encoded properly.

commit 244f96c7e79c81176627f18e45654a10efd06161
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 9 13:05:32 2023 +0100

    Fix SEGV on parsing Solr responses YAZ-954 (#93)

commit 0218c422bdc518cb857b849728cac5e64aad8229
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 8 19:52:16 2023 +0100

    Happy new year (#92)

commit 7b129110a98d07868de584e9bcfc4ccb10d38d5d
Author: Guillaume <gjactat@users.noreply.github.com>
Date:   Sun Jan 8 19:49:52 2023 +0100

    Add method alias S_ISREG (#89)
    
    Inspired by a similar piece of code found in many other files.
    Not sure if this is the right to proceed but the build succeeds now.
    
    Co-authored-by: g.jactat@archimed.fr <g.jactat@archimed.fr>

commit 76b657a6fbfc7d71832216a9d9733332e8905357
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 27 14:18:17 2022 +0100

    jq formatted output for yaz-marcdump #86 (#88)

commit 68bbe3b634ca4ef85e4da4527a33bdf5f0c2e33e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 27 13:28:18 2022 +0100

    json_write_wrbuf_pretty same format as jq (#87)
    
    Also affects output of: yaz-json-parse -pp  <infile

commit 584ed965d1d6e3fef659e5dbdde2a47af33dcd2e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 13:58:16 2022 +0100

    Add CentOS 7 and 8 again (#85)

commit 51b8fa8247b1d31bda5a89f7638409d512774ff4
Merge: 326037b9 6b324c1a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 13:25:51 2022 +0100

    Merge pull request #84 from indexdata/release-5-33-0
    
    Version 5.33.0; No Debian Jessie

commit 6b324c1a39634a39bcd52676cf0397bd375cb985
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 12:19:45 2022 +0100

    Version 5.33.0; No Debian essie

commit 326037b9f7c8fd1a73171836475f6c22a3b50374
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 11:17:18 2022 +0100

    Update bazel for MARCXML parsing with SAX (#83)

commit df753435cbdc9e0dba4ff1b40172c2a27699e676
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 2 18:59:11 2022 +0100

    Add Visual Studio Code settings (#81)

commit 78b070f549b47883f9803bb452ffefed8f4bc4b5
Merge: 4ac35dab e1e9a2eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 30 16:59:40 2022 +0100

    Merge pull request #79 from indexdata/yaz-marcdump-print-totals
    
    yaz-marcdump: option -r prints summary

commit e1e9a2eb7cb42a8b9d0ae8f7c3af1027d4f7db8f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 30 16:30:59 2022 +0100

    yaz-marcdump: option -r prints summary

commit a9bd4fb4f710675f09d28ee7d2e8ae02b8c60fa4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 30 16:01:12 2022 +0100

    yaz-mmarcdump refactor function out

commit 4ac35dab2d10c52db4d4c45b5fe520c7edb05c84
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 28 19:29:31 2022 +0100

    Move MARC test files to directory marc-files (#78)

commit ae0c6dfc01d8cd413242cc7432ed5ad84174e684
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 22 13:54:44 2022 +0100

    Fix unix socket check (#76)

commit b57daa133f21b17fbafd67aa074703ed9eabc3d9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 21 17:33:35 2022 +0100

    SAX.h declares characters function (#75)
    
    Therefore, do not use that name here.

commit 6e536930658f1e31fa3212940e1f2da6d82d33b2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 21 17:19:42 2022 +0100

    Do not set _POSIX_C_SOURCE in yconfig.h (#74)
    
    Do not set _POSIX_C_SOURCE in yconfig.h.
    Update libstemmer with if-0 sections.
    Workflow tests -std=c89 .

commit bdc8a7a42c7d2ceedaceaf72e2ff5c2bc5174a2f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 21 16:52:53 2022 +0100

    Compiles with -std=c89 again (#73)

commit 50edf70dff1ab45c3f79f54a7c95374c6abfb60f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 21 12:04:54 2022 +0100

    yaz-marcdump uses Libxml2's SAX parser (#72)

commit f37a0b2f0d1ae78bef31d47c60154a1f5bcbf264
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 10 12:32:49 2022 +0100

    Workflow indentation (#71)

commit 3432af3f86894a1ee9623e17ea3fa4be6f3f2ecb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 9 18:36:19 2022 +0100

    Do not mention Debian build (#69)
    
    As debian/changelog is not present anymore.

commit d3d7c1cb4d4f3680de88dd06236cef55bcc0706a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 9 18:33:52 2022 +0100

    Build YAZ workflow (#68)

commit d53c07fac43899cf6c19f857ca655f23c87956b9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 9 17:11:47 2022 +0100

    .cproject gone

commit 49736c22cd360484a94ad8113c8ae7d7881e0f6e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 9 17:00:52 2022 +0100

    Travis config gone

commit 94e8f9aa55bef840c76fc17f8a8276dea318db86
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 12 15:43:16 2022 +0200

    Add two sort spec examples

commit 215cead04a84912cb923408990888b0a39cca85a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Oct 8 21:05:04 2022 +0200

    Update m4

commit 890d8249636da6170df81f514f6ea58a416d4657
Merge: 5bc1f62b 20f4dc74
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 24 16:21:32 2022 +0200

    Merge pull request #66 from hughmcmaster/pkgconfig
    
    Fix cross-compiling with pkg-config

commit 5bc1f62b941b27cfc59e0de61d5d63a3e6fa470e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 18 10:30:16 2022 +0200

    Only Ubuntu LTS

commit ba6af1ac48998b19bb54a5b7209d6d987af8ec0e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 4 18:59:35 2022 +0200

    Mention rpnCharset option

commit 20f4dc74e63aac1cfc787e459d3c76757918ea86
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Sat Jun 11 18:57:03 2022 +1000

    configure.ac: Replace pkgconfigpath with standard PKG_CONFIG variable name
    
    Using PKG_CONFIG as the variable name makes it easy for users to override
    the location of pkg-config.

commit d8c67872ed357d22dbe078766c4b2f4066a31019
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Sat Jun 11 18:56:30 2022 +1000

    configure.ac: Use AC_PATH_TOOL to allow cross-compiling with pkg-config

commit 2e7f552433087be4bacb4935386e69fe83ef8de6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 21:28:40 2022 +0200

    Do not use PKG_PROG_PKG_CONFIG which may not be present

commit 4e90302cc3a24ada8c72fc19dd440ad5d7c71b29
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 19:21:18 2022 +0000

    Add trailing backslash to AC_CHECK_HEADERS arg
    
    Required for Autoconf 2.69, but not for Autoconf 2.71.

commit f8ac64f238bf172556d99dc1d8e14cdaf4bc2442
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 17:19:12 2022 +0200

    Upgrade m4 (quoting fixes)

commit 5b74c1201a49fc74d7b256500f84488790441dba
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 16:08:11 2022 +0200

    configure.ac: quote one more

commit 776f0747a68941ca62145087012f6d2439a9458a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 13:13:13 2022 +0200

    Version 5.32.0, remove centos

commit 787cc265a2d2173bbdce314b272eb4ee954ec1e2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 13:02:57 2022 +0200

    Include Ubuntu 22.04 LTS / jammy

commit 46453d3e4a00c7cd4e74f6f9e32393aa21391705
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 30 12:59:16 2022 +0200

    Upgrade configure ac (#65)
    
    Quoting, use updated acx_pthread.m4. Require autoconf 2.69.

commit 7a58b915bff203488ecce98e00c41e15c35a60b7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 20 09:45:07 2022 +0200

    2022

commit 3820a3b78c711360b0881d7d65d5d9b75698175b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 20 09:32:23 2022 +0200

    Report problems to info@indexdata.com

commit 12315025d5cb8f91aa297922fc97913b78d558b1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 20 09:31:39 2022 +0200

    Report problems to info@indexdata.com

commit a2e855116d39eaee359ee19730bc81c2575e3390
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 18 20:19:05 2022 +0200

    backtrace: allow gdb to operate on this process

commit fd6781bd3e931d72d72289dce8ec8fabe223a398
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 18 20:16:59 2022 +0200

    backtrace: hard exit if backtrace hangs

commit a05df56f3c60ba00557dcbf33c413e9587acf0ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 5 20:45:22 2022 +0200

    For marcxml input, report error if fopen fails

commit 4407105b6220dbeeca718b5efa6402e168f81df0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 5 16:38:28 2022 +0200

    Include limits.h for LONG_MAX

commit 0c092d7bbb92e386336f1d9d3a3647495993c61e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 5 16:11:17 2022 +0200

    yaz-marcdump: limit, offset options
    
    Limit(-L), offset(-O) allows records in range to be processed.

commit c3cea881e3e7e80b069ddd1429994e58841acb14
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Dec 19 11:47:37 2021 +0100

    YAZ 5.31.0

commit 7f22101a2b70ab971beab622c60a3ca976ca97b8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Dec 19 11:47:14 2021 +0100

    yaz4j - update for headers in src

commit a4c66263eade54a3dda770f7b0f2dae6b5027c81
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 2 18:20:28 2021 +0100

    Break long lines

commit ef66da6d7f7ade02ba299bba0eaf9ba33d162635
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 2 18:20:21 2021 +0100

    I'm getting old

commit 8aedb117eadc283cdfbe558db5ec3b5ceac6029c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 2 17:29:33 2021 +0100

    Fix #61 and reduce complexity a bit

commit 7646264417e4442c5630cc2e7f6c3f3c236aef47
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Oct 17 12:45:33 2021 +0200

    Force compression type xz
    
    As zstd type (since dpkg 1.19.0.5ubuntu2) is not available on
    server hosting apt repository.

commit a5f3d35a3644eb8a0e56077f0891f8b6c3befe3f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Oct 17 11:49:22 2021 +0200

    Add Ubuntu impish

commit 381351c64393da9d804c3180a0d50ed7b42bd020
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 30 12:28:40 2021 +0200

    Update yaz.m4

commit 262430536e70fadcabf473eeecf359fb9c5f81a4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 29 13:18:50 2021 +0200

    Add Debian bullseye, Ubuntu Hirsute

commit 072708092e37a4271518ace4eca0256244cc9f41
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 22 12:13:15 2021 +0200

    Update yaz_encode_uri_component for RFC3986
    
    Previous implementation based on RFC2396. Now updated to RFC3986.

commit ed1924f63df7f227f25c13c495417728a956c0cf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 28 12:48:17 2021 +0200

    man_page rule

commit 68aec05a20d4056c4658faa272253fa7bac751fb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 15:06:46 2021 +0200

    Version 5.31.0

commit d7c1563d521ac0b06080cf748085a52dc20a8fa7
Merge: 7d6101c1 604fd2eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 15:06:28 2021 +0200

    Merge branch 'master' of github.com:indexdata/yaz

commit 604fd2eb4a2bbddd1e78306506378b31545db660
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 15:02:02 2021 +0200

    NSIS: yaz-asncomp move; header moved

commit 7d6101c174f10d8f5c11ff4e01eb2c15fbbfb6e5
Merge: 9b8ac0a1 92de4e41
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 14:53:17 2021 +0200

    Merge branch 'master' of github.com:indexdata/yaz

commit 92de4e41aa048e35e4d03c260558689d9b597302
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 14:52:56 2021 +0200

    libstemmer_c moved

commit 9b8ac0a1426ad013047287b1fb85f08d4e8d550c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 14:39:45 2021 +0200

    Goodbye CentOS 6

commit 9af3dfb47bf81647e8d765f37fc3b97ea38b7ec9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 14:34:48 2021 +0200

    2021

commit 2d47726082311d12486cbbc2b39d46cc6e9e518b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 13:34:42 2021 +0200

    make distcheck passes

commit 7bffc2be7a40f4a1cee1c638738ecbe9203dd110
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 12:53:03 2021 +0200

    yaz-config from util to src

commit f5d7bd65996bfb6de13736f2ed79d16a512a956e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 12:46:31 2021 +0200

    nmake updates for src move

commit c6a7c84174795d83103cd23dc8aa0946b32c8ee5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 12:21:27 2021 +0200

    yaz-asncomp is in src now

commit 04d304bbdcfc5fd6b45d6bc9c732169742882b11
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 12:16:58 2021 +0200

    Ignore files for old include and include/yaz

commit d16f78f09444fb9ba7a9ebc191feb350339adbc0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 12:16:56 2021 +0200

    Ignore files for old include and include/yaz

commit c866372d4715182107056ce4ad7eb1435d85dbbf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 27 12:13:34 2021 +0200

    Fix yaz-marcdump - json input and leader at end #59

commit c950c17431e59e5dedba88b5d231bd3d3822405a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 24 21:24:42 2021 +0200

    Fix includes

commit 796cd005473b08e72493b941d34802a9811a3841
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 24 21:24:35 2021 +0200

    Reformat

commit 727566b4f37a9eadb4b7d4955099a54f2e6c8852
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 24 17:41:12 2021 +0200

    Package yaz in src

commit 48ff09cb741f04f707ba5678a26e90e2ad38634a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 24 16:45:29 2021 +0200

    yaz includes to src/yaz and libstemmer_c to src

commit 20f119cd267b681fb44ef9fefe1becfe3c52a046
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 5 21:42:42 2021 +0200

    html documentation in tar file

commit 1046e98ef0104010382ba6165f7af4cc6f422dd0
Merge: 4daba125 5a5df9b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Mar 21 14:38:48 2021 +0100

    Merge branch 'master' into bazel

commit 5a5df9b3f784ee1c66a91057608170025550a258
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 20 10:20:42 2021 +0100

    About cloning and a few sub sections

commit 6a041eb189c17cca7464966c0e1227825fe3fe47
Merge: c1a4eaf8 0823a184
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 15 22:14:37 2021 +0100

    Merge pull request #58 from gjactat/xincludes-inside-includes
    
    Enables xi:include processing inside PazPar2 xml includes

commit 0823a184335622c65b3e229a3691dd77040bcdad
Author: Guillaume JACTAT <g.jactat@archimed.fr>
Date:   Thu Jan 14 15:28:59 2021 +0100

    Enables xi:include processing inside PazPar2 xml includes

commit c1a4eaf8d300f8309490d7e216681566141b4b9e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 8 11:08:13 2021 +0100

    Bump year in DLL resource

commit 25a6d543a968dca3939602a696f75184871ed991
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 8 11:07:56 2021 +0100

    update yaz link

commit 9018f23b48f6422a89a998d882e412c3714809e8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 7 15:11:41 2021 +0100

    Happy new year

commit bac1bb6370cf8059eb18b9e6195a62795b7622f6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 7 15:10:07 2021 +0100

    Mention 2019

commit 2dc19cd764200a14b40f1b98cb5e857099e2f88f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 7 15:09:46 2021 +0100

    Build depend on xsltproc

commit d6a8256669d3c57c69ca3c7d191c539c407893e5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 7 14:37:46 2021 +0100

    Spelling for EnVar call

commit 02da491eb98384fa3e2c422272681d329306a7f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 7 14:02:10 2021 +0100

    Update to ICU 68 (MSVC2019)

commit 7b74ebf5160417f5346e93622c24664a6d233f0f
Merge: 2d46c6a2 167aabc5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 5 16:31:17 2021 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 2d46c6a26f67a0170c19892e27b57d6bc4a397fc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 5 16:30:58 2021 +0100

    Update for m4 with VS 2019 updates

commit 167aabc5119f8f96a61a376ab56f924ffe214dd0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 5 16:30:26 2021 +0100

    NSIS: unicode true

commit 406f17092cd957425967811d54a3bc57bb5ebae9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 4 12:19:01 2021 +0100

    Display output for mvn invocation

commit 32923831f125e042dc4f68ec722924f5fc5af60a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 3 20:41:31 2021 +0100

    Remove sc_test

commit cb7a637adae094ef80794ece9698aa0ec543cfc6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 3 20:35:35 2021 +0100

    Seems like src must be in include now

commit 26261aa64ed3f6848cb36b81645a3b9c5f34198d
Merge: e6cdaf9e 71bdda45
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 3 20:21:01 2021 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 71bdda45169a42d90b18c8ad6bdefa10538fa371
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 3 20:20:19 2021 +0100

    Only build yaz4j in 64-bit mode

commit e6cdaf9e86dee096f88587d3bb3cc0558dfea1cd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 3 20:07:45 2021 +0100

    Fix place for mk_version.tcl

commit b718fd85110daffd03810bcdc1869ffc362691ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 3 20:07:33 2021 +0100

    Partly revert ICU stuff

commit 51fc4bc4bdfa780ce4149c483f4b04263a0d4612
Merge: faa4ea34 3784168d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 3 19:42:54 2021 +0100

    Merge branch 'master' of https://github.com/indexdata/yaz

commit faa4ea34db4480aa23491ab915c12aab752ac303
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 3 19:42:51 2021 +0100

    Add yaz-{iconv,record-con,json-parse} + ICU 64

commit 3784168dc55007a37a3f60802e5c9a395145fd08
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 30 11:19:42 2020 +0100

    Update for yaz4j 1.6 series

commit 4daba1256aae88768b77c8782bf0eb6a01ef44bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 29 14:16:23 2020 +0100

    html documentation

commit 4e6c92aa07f35e90c144d0bd65a92edff73edbf8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 21:12:04 2020 +0100

    Start work on documentation build

commit 3a4bd55ea28bcfc06f63a9f078906dc0d1495b56
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 18:32:40 2020 +0100

    Private headers to srcs

commit 8a9045c932da0507dd9260ad8dde340d6ef23178
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 16:39:41 2020 +0100

    Mention build arguments

commit 137145bc736bd32a009ea349e3f4cb0766540965
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 16:32:58 2020 +0100

    workspace name yaz

commit 8f69172bba5f3a924ee43fa79f3022ecebc25ac0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 15:34:33 2020 +0100

    Typo for YAZCOMP

commit 13d28dc38bd8c998fc8e627aa9615fff68f4b5dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 15:33:39 2020 +0100

    ztest has own BUILD

commit de656e1a82776ce9ef08bd273eeb591e044f48f6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 15:25:32 2020 +0100

    yaz-asncomp moved to src; util has own BUILD file

commit 81e8d73a1bb1ac5293477199a5ef785289b1c786
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 15:12:03 2020 +0100

    Separate build for zoom and client

commit b06076d315432daa5beac72b15ee5e686372fb1e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 14:09:09 2020 +0100

    ICU+stemmer working

commit 2f2af7668d09d8a3e92e6946b1b8a4d04e533a45
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 13:32:09 2020 +0100

    Remove debugging puts

commit d1f1b61962a9c8791bc3dfae65f389b362a6eebd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 13:30:33 2020 +0100

    libyaz_server, libyaz_icu and more programs.

commit 7839db135bbc9890c842abc9f770bb103715e4d4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 11:42:42 2020 +0100

    Targets building OK

commit 6e2fa3a7fc5ca632b682aede1b7fa15d705063b9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 11:13:50 2020 +0100

    Handle cql.y

commit e66ade6408825fba66991ca9b4866715fe9050b5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 11:13:29 2020 +0100

    Do not use deprecated feature of bison

commit f06dbef89900e393c8451b8cf28a126ee8ba1127
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 10:53:33 2020 +0100

    All headers depended upon

commit bb0e689f8bdc76f87d781d4f62f61a8ab0af9a59
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 10:42:35 2020 +0100

    All ASN.1 files dealt with

commit 08fd0d02dc0a82fd423fbaab6bcba93185bb0ef1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 10:29:00 2020 +0100

    ASN.1 parsing dealth with, but some still missing.

commit 14075ec4a892b9007466247e6d3b20afe9aa40b0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 10:26:43 2020 +0100

    Allow C-path to be given (-C), 2 component path
    
    If path for -I or -C is a list, the first component is number
    of path name suffixes to cut. So for option -I "2 a/b/c" the
    actual path will be "a".

commit 642c9c9c6d3d5ced0e9c151f802d51663f489948
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 20:42:50 2020 +0100

    Mention generated headers for libyaz

commit 9f6be1c04b93ba5cf3daffb82563412736b44147
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 20:38:16 2020 +0100

    Include diag-entry.h from <>

commit 8894273f795053c791200dcce1cedf4b9dd469ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 20:37:04 2020 +0100

    Fix oidtoc for documentation

commit f8257c6a4e3821325a55b0c76b776be41c932c64
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 20:33:20 2020 +0100

    Move diag-entry to include; refer to genrul out for yaz library

commit cbf2adee723fb32509f5f2d0c2b257c7bef7180e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 16:54:24 2020 +0100

    More rules; some include problems

commit b4ccdba7c18413bba2422a577e1c2fea3a8d8f96
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 16:46:21 2020 +0100

    Remove csvtosru_update.tcl

commit 0a6ffe6a86e82af8ef7d014455f926a72ba31e16
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 16:21:17 2020 +0100

    More rules

commit 6d8f681ed904244b4af31cd0422338f50e1d5eca
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 16:19:12 2020 +0100

    oidtoc.tcl does not take srcdir anymore

commit cc8e43307001a1e2277d0a6cfcbafe41f6aed5a2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 16:01:20 2020 +0100

    First genrule!

commit 142a2f9b0ca8a30784a06767f7b225477cdecad4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 14:39:34 2020 +0100

    Introduce a few helper vars

commit b6907f236082f22e656e49636cc52784e5a01bac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 14:10:35 2020 +0100

    A few more binaries

commit d9882202e54a716076fcd0b881fdc178bd828a62
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 13:53:13 2020 +0100

    Compile yaz library and yaz-client (after configure)

commit add753215aa017085fc55b660195aa6997a9aa08
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 13:18:45 2020 +0100

    Move sc_test.c to test

commit d747a758f81802628c9e3a5226ae626c42a027e4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Sep 20 10:52:03 2020 +0200

    Update credits (which are probably missing many)

commit 97b8a7a42dd9329b36e4418d1e9004acf886fe28
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 15 13:51:04 2020 +0200

    Update for --with-yaz=pkg round 2

commit 56fec93ef61898f333513896d6ec86b0efbc9dae
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 14 15:45:39 2020 +0200

    Update for --with-yaz=pkg

commit 0b8d1700b31baba3e73f353e49b09178a11ed11e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 8 18:07:37 2020 +0200

    Fix compilation for parallel builds
    
    By using BUILT_SOURCES.

commit e1e228a2a935537971b69a356bed7bbae5d9311e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 10 12:31:39 2020 +0200

    Remove EnvVarUpdate.nsh YAZ-932

commit b3cb45638662ec08e38b253d5fd91e9d9ff7db67
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 10 12:10:07 2020 +0200

    NSIS: Use EnVar plugin

commit 2af59bc45cf4508d5c84f350ee99804c4354b3b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 10 11:16:33 2020 +0200

    Version 5.30.3

commit c0be06f6a73668afb487bb0b54293671dca14cde
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 10 11:00:24 2020 +0200

    Require getaddrinfo which has been available since 2003

commit fc42d1dcf21dfa82c73ec2aee8f98116fe15a5b7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 8 14:59:51 2020 +0200

    Provide server host for SSL YAZ-931

commit 192cbd75709e0148491b980f656830fc03404117
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 8 14:59:03 2020 +0200

    Obey [host]:port notation for IPV6 YAZ-930

commit 9a83c33682595daa4c7ee7b2921fbbaa15ffec8f
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Mon May 18 19:21:17 2020 +1000

    doc/Makefile.am: book.xml is already a prerequisite via the XMLFILES variable

commit 7a69de01bcb27bd39c0d0ebcd2b2bc8844ce60a0
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Mon May 18 19:20:11 2020 +1000

    Makefile.in: 'make dist' packages .in files automatically

commit 07b6b7405de103328748cca630aa92e14f25d26f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 8 11:02:54 2020 +0200

    Add Ubuntu focal

commit 971921490b14e3b7732f2c3c38885a9d5121bae8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 13 11:37:54 2020 +0200

    Version 5.30.2

commit 98470c3f8abc3b0cf999e1272bb996f0434fb6a9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 13 11:32:07 2020 +0200

    Shorter paths for deb install files

commit f8190c465eaee410116917c2a74cfa489a74c764
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 13 11:29:15 2020 +0200

    Increase a few buffers due to compiler warning
    
    Buffers are involving %d-conversions.

commit 42c19b8c0ba8e283ab99078d4d0bd6ead08c72d9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 11 16:45:09 2020 +0200

    Mention distros with most recent first

commit f6693adcb9917c64d10555fcd3b2c81705885b5b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 11 15:35:23 2020 +0200

    Partly revert UTF-8 records returned by yaz-ztest
    
    Partly reverts commit 91ba2b5969d3de05dc2a2a127a1b17c7c9d07af7.
    Not an error as such, but keep records as they are because yaz-ztest
    returned records are used in pazpar2's test set. The records at 24
    and later are UTF-8 encoded, though, to retain that test. And 50$a
    has a capital o-slash in it.

commit 1908cc0605f2410869954ce6d042f28790959abf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 7 12:37:25 2020 +0200

    Avoid sprintf in a few places

commit 9352c14de45dd612c5ca7e2f16138aea09ba19ba
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 1 22:52:18 2020 +0200

    Various spell fixes

commit 370dece3e9cb2fe4feb8c6e1780b46de8bc7fa9d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 1 22:29:56 2020 +0200

    No build directories in installed yaz-config
    
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=955501

commit 5b69915323893c0b12183e966ab23ae11799fd0a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 23:01:36 2020 +0100

    Spell fix

commit e59f41471ae12907f3e06e7adc8c6e0ed480be68
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 20:10:07 2020 +0100

    5.30.1

commit 99b3802cd388b6a4c1098da61ad52da28e9f6544
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 20:03:24 2020 +0100

    Mention leaderspec; marc-8/utf-8 inputcharset handling

commit 6c986345617082c0d8c68f716163911434886739
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 12:35:08 2020 +0100

    Fix incorrect call to yaz_diag_to_str #54 YAZ-928
    
    Bug introduced in YAZ 5.28.0.

commit 91f4a7008138504ebec920d78ed9fc348b37f591
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 11:50:19 2020 +0100

    Version 5.30.0

commit eaea5af61ba0a75823ce5b95b624e0f7cb34caad
Merge: 5ccbb5b7 e0ca14e0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 11:43:01 2020 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 5ccbb5b74e60197c72260bc4037178cc218d1ecf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 11:42:18 2020 +0100

    Use output charset in OPAC encoding YAZ-927

commit 91498faac6445a55a8b9b5caf45f5fe023230b7c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 11:41:45 2020 +0100

    Add yaz_record_get_output_charset

commit 61ac7fb01c72c0dd14f6fe0105471636b3b728f1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 11:40:47 2020 +0100

    Honor charset in yaz_xml_to_opac

commit 91ba2b5969d3de05dc2a2a127a1b17c7c9d07af7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 18 11:39:27 2020 +0100

    Add UTF-8 encoded record to ztest dummy records

commit e0ca14e012193ed767d6c07860d250a9bcc359b7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 28 11:30:53 2020 +0100

    YAZ 5.29.0

commit 3c1b2b8aa710ed62961e9f57c983022b26b876e2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 28 11:30:45 2020 +0100

    Mark all .pc files as part of RPM

commit 99b2145d24997dbcdb5f70b5a4d7beb2c20d46b2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 28 11:20:00 2020 +0100

    danmarc2 name for also mapping back to non-combining chars
    
    More tests. danmarc is similar but keeps unicode equivalent
    in @-notation.

commit 041378f01adccf31a1708f2f3da389fb2c43b8c5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 20:31:51 2020 +0100

    All .pc files part of libyaz5-dev

commit ed06de6a48798c0849c0f8f23e2c3b3718eaf0c7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 17:31:42 2020 +0100

    Ensure tag is 3 bytes always #53

commit e61025baca2316169c41450b8daa5cbddc801663
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Wed Feb 26 03:17:29 2020 +1100

    Add pkg-config templates for YAZ ICU and YAZ server (#52)
    
    * Add pkg-config support for YAZ server
    
    * Add pkg-config support for YAZ ICU
    
    * Remove whitespace from ICU_CPPFLAGS define

commit 83e4a798da3be173fa86f04f70360d5d53b14c85
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 16:24:24 2020 +0100

    Encoding danmarc2dia which maps back to non-combining diacritics

commit 3d287c2e0f3645ccf70f9449f6dafc90165c9eec
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 13:09:19 2020 +0100

    Extend buffer due to warning
    
    However, the indicator is never more than 9, so this overflow
    would never occur for real.

commit fb0006a46ee7c1c68f0ac572ed257a73ea4a5867
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 13:02:27 2020 +0100

    Danmarc test records

commit 887b244b00dfb4f425ccb27fde390f96ba783d5a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 12:57:41 2020 +0100

    More u-sequences; yaz_danmarc_is_combining

commit d76e3178d92ead7be74e874a26ebe7a425861555
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 31 15:30:53 2020 +0100

    Improve danmarc2 decoding @U-seqences and single-version swap

commit e1d62eef4af36fddb9cfee79f99649d6eb67adff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 15:54:42 2020 +0100

    Fix danmarc decode read beyond buffer; more tests

commit 4f7a5bb0fa7c03f10711120a90adb59a59832636
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 14:16:19 2020 +0100

    fix up inbytesleft as we do in other decode phases

commit e3b5279d65b274b16f008375bee04694ba463631
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 14:10:33 2020 +0100

    Year 2020

commit d8644709d798ed73d47084c09a12d0a70326b853
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 13:55:24 2020 +0100

    Handle combining characters for Danmarc decoding YAZ-924
    
    And deal with tilde special case (no swap).
    
    Also use composite character when possible when encoding.

commit b373ef929c1686ba6e8cc9592e26405bca133df2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 29 17:04:58 2020 +0100

    Handle combining characters for Danmarc2 encoding YAZ-923 (#51)

commit b5589ba38c769aec0ce8a72eff5489eb84be2ab5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 22:18:48 2019 +0100

    Add Centos 8

commit 2ddc6d81932c8264746ae8ffc4c0b0bcc43d140e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 22:03:41 2019 +0100

    Update for CentOS 8
    
    tcpd wrappers no longer exist.

commit 0037f7c30d59eaea44fcc40c237641784c50b582
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 28 19:30:26 2019 +0100

    5.28.0

commit 120ac7f4d5827e99b7b5720dc0a68247b34c038b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 28 19:30:18 2019 +0100

    5.28.0 NEWS

commit a28301d45d3bcbd3fab94d61aabec3ccb00c0fef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 28 19:28:35 2019 +0100

    cql_strerror based on srw.csv

commit d95ffcc61eafe5c054acfdc7906759ab317178e5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 28 19:18:01 2019 +0100

    Fix trailing whitespace

commit 6b42dd75dd2fda0f3e7b0ae2e42f25df18376918
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 22 13:44:02 2019 +0100

    Element-set case insensitive for yaz_retrieval_request YAZ-922
    
    Also offer yaz_match_glob2 for the comparion. And avoid tail
    recursion for the routine.

commit 76748ad6ee47af7863d6a50236eab487b0fb9735
Merge: 53592335 ce02e917
Author: Peter Murray <jester@dltj.org>
Date:   Mon Oct 21 09:13:34 2019 -0400

    Merge pull request #50 from hughmcmaster/spelling
    
    Some spelling fixes detected by lintian.
    
    Thanks for the corrections, @hughmcmaster.

commit ce02e917f5e85a0d2c812540e0718a84f3749439
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Mon Oct 21 22:49:42 2019 +1100

    Spelling fixes

commit 535923358d47095e038debe24a6f19915e911c1a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 7 13:15:49 2019 +0200

    Version 5.27.2

commit 3c7019ce3754c98eeb3ba8b43f75ea7f3ffb8f40
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 7 13:00:13 2019 +0200

    2019

commit 51a2b8df7d1b8ce60baa9abc352848b968bf2d17
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 7 12:55:21 2019 +0200

    Fix docpath directory result in malloc failure YAZ-921 (#49)

commit a73d4cb76cafa59c60a71ee504e1969b0617fa3d
Author: Peter Murray <jester@dltj.org>
Date:   Mon Aug 5 06:46:28 2019 -0400

    Add MacOS-specific instructions (#48)

commit 296ffeb3c8d2ba7d30e373c738f7738f4e4b110d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 20 14:31:13 2019 +0200

    Happy new year

commit 89b4368e13fb11bc69c85a30d81d36afb185755e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 20 14:20:39 2019 +0200

    Update for marc-in-json link fix

commit d304b2ba910b4c8f5621d004629a269edd3288b3
Merge: 09547b17 ebb947c6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 17 12:22:35 2019 +0200

    Merge branch 'master' of github.com:indexdata/yaz

commit 09547b177b3b8886d718c9a7da4689ceb4643e46
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 17 12:22:16 2019 +0200

    Update doc/common (for updated doc URLs)

commit ac8eaf9cb06e9fb16dd000574bd8e06fa49e199e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 17 11:26:00 2019 +0200

    Remove postal address from manual

commit 28022e834f9cfccae76c091efbc9c5172a6c0855
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 17 11:25:33 2019 +0200

    Clarify about sru option and host scheme

commit ebb947c6c975bb0974ca8e753db1000437d1db01
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 24 15:23:46 2019 +0200

    Fix make distcheck

commit 44e208b9fda34f4f7975d9bee7ac8aa7d9842b49
Author: cclauss <cclauss@me.com>
Date:   Tue Mar 5 14:39:56 2019 +0100

    Travis CI: Add dist: xenial (#42)

commit a0c6b571885cbcc247eb76a6a7c0042fd35318ba
Author: Hugh McMaster <hugh.mcmaster@outlook.com>
Date:   Wed Mar 6 00:37:08 2019 +1100

    yaz: Various spelling fixes (#43)

commit 0accda03aebf92c16d960ba27e09937bbb84aef2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 22 10:39:36 2019 +0100

    Two other TRC calls (that was missing before)

commit 0dfc9c4f2ee5e4004352052063e0fa8882ebdd9b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 22 10:00:55 2019 +0100

    Remove trailing whitespace

commit c79f30e8bb418c9748ea290d19eb818e696e96f5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 22 10:00:41 2019 +0100

    Only use gnutls_transport_set_int when available

commit 962d55f26030493ec1e0d2108f89622d33c7588e
Merge: 3590317b 635e2363
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 21 14:11:26 2019 +0100

    Merge pull request #45 from indexdata/yaz-918-take-2
    
    Yaz 918 take 2

commit 635e2363e036b31ae58f0a7044d0e42b9d9182d7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 21 13:57:15 2019 +0100

    unix comstack logs to level "comstack"

commit d3a4e2d16468dba45432eb1d35fc41632a636158
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 21 13:27:00 2019 +0100

    tcp/ssl logging to level "comstack".
    
    Rather than using compile time enabled debugging which was
    fashionable 24 years ago.

commit 3ddbc899e83d4b349d7df362d96a60bdeaf38372
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 21 13:08:17 2019 +0100

    yaz-client: cs_close on exit

commit 5a71304776dd9fd7a195ae5321a1b70fc9ab7ab6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 21 12:05:49 2019 +0100

    Add trace stmt for gnutls_certificate_set_x509_key_file failure

commit 334de02d445e3cac8f22819e19b1893ceaa94f64
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 21 11:39:36 2019 +0100

    Remove a couple of unused defines

commit 9dfb1c1a6ab4777ba48b6270e2b81fad6699e3f5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 21 11:39:13 2019 +0100

    Fix YAZ-918 take two
    
    Omit the gnutls goodbye for server completely. Partly reverts
    5f25962922da4f65b650dc3645d5604d2ffbcb6e.

commit 3590317bbf974d888e346c2fb6562f07c7d54e6c
Merge: 5f259629 34c3304b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 20 16:19:23 2019 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 5f25962922da4f65b650dc3645d5604d2ffbcb6e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 20 16:18:44 2019 +0100

    Fix yaz-ztest ssl does not work when forking YAZ-918

commit 59cae3a05cf2f43d88b8341f5a4656bc2d776e93
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 20 16:18:17 2019 +0100

    Using gnutls_transport_set_int
    
    Instead of gnutls_transport_set_ptr

commit 34c3304b5936fce833776c948b2e2805a2573079
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Wed Feb 20 15:36:08 2019 +0100

    Fix YAZ-919: Attempt to write HTTP to a non-listening socket loops

commit 3a31861262b69d09dd477886826758b1e005456b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 31 11:39:17 2019 +0100

    Add Debian Buster

commit b4b2ec9b325f781719f73a7d86feb61a76214a10
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 4 22:21:45 2018 +0100

    ZOOM ItemOrder omits toKeep if no elements set

commit 872b6f92a024bb53bc1c11dfeccd47f065f98238
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 3 17:03:24 2018 +0100

    Version 5.27.1

commit 60da9a35b8e6af3da1d1c9a1bb0cdbf027a390c4
Merge: e88509a2 5b919d13
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Dec 2 18:53:50 2018 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit e88509a20f776644f481d112954673045931a622
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Dec 2 18:52:55 2018 +0100

    Use pkg-config to detect ICU . Closes #41

commit 5b919d13e20f3018c4880c4745a8fbb80fdf99fd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 1 14:29:38 2018 +0100

    Describe ZOOM option timeout

commit 8e44c0b6cd99a55e70ba039ba83cf1b3457ad475
Merge: 1c4fb94d 90cab04b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 10 10:01:45 2018 +0200

    Merge pull request #38 from a-roussos/fix_man_page_typos
    
    Fix typos in yaz-client man page

commit 90cab04b09f9db8d6771c78d161e4437f70e8792
Author: Andreas Roussos <arouss1980@gmail.com>
Date:   Tue Oct 9 12:43:34 2018 +0300

    Fix various typos

commit 1c4fb94d9b6427604f4d50ba32625e70ab4b1cfd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 8 12:53:50 2018 +0200

    Version 5.27.0

commit 527484b62a32314b515b8b79def0749687de5982
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 8 12:51:12 2018 +0200

    GFS: Allow External type TaskPackage response YAZ-915

commit f3a5e77d19a8c0992687de68fad9d0e0c23da2c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 8 12:50:41 2018 +0200

    zoomsh: fset command YAZ-916

commit 525ba8bfff55c2ce495d6a15a7b0a25e8dd07dc7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 27 09:40:14 2018 +0200

    Improve logging of extended service task type YAZ-914

commit f570c1d920f8fb453c45df7af63311dc70816fcf
Merge: 64b13de4 3f342ed8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 14 14:04:40 2018 +0200

    Merge pull request #37 from jason-bigelow-insight/doc_for_show
    
    Document the third arg to the show command

commit 3f342ed846c84626c4a75a5f11c2eebfb33a2b80
Author: Jason Bigelow <jasonb@insightinformatics.com.au>
Date:   Mon Sep 10 10:18:20 2018 +1000

    Document the third arg to the show command

commit 64b13de405e85d7378abc6b347c572e4510d569b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 11 10:48:39 2018 +0200

    Version 5.26.1

commit cb819a58edf5fba4aacef5e460ddde73a4ecb490
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 11 10:47:25 2018 +0200

    Test case for YAZ-913

commit ea39a08f22dceb0b670265224c086b78860c36b7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 11 10:46:57 2018 +0200

    Fix segv with element-set=null and split YAZ-913

commit d80d65349d3d9f9495fe54bd71cdbf9b363a5cf9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 9 15:10:14 2018 +0200

    Version 5.26.0

commit 0896c7dade9f6f85e3728f49c5149947638881c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 9 15:05:11 2018 +0200

    Allow suffix split for retrieval element-set names YAZ-912

commit c1acee5b4cef549493bda71e8f747369168c8237
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 9 12:52:59 2018 +0200

    Fix cql2ccl: case sensitive comparisons for ops etc YAZ-911

commit 52e2b4c157fa2eda8d0ccf3d1f8568315700114c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 29 12:20:35 2018 +0200

    GFS: special handling with ES response (errcode==-2)

commit e76e81668aec3260c4d1b15a919c9f262a5fae81
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 29 12:20:06 2018 +0200

    Print more ES response options

commit fda4f06b77ab58d1b31f8e89584829015082089e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 23 14:56:45 2018 +0200

    Fix misleading indentation

commit bcd44ecb65e300473e0f059aa73b082297ce0228
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 14:12:47 2018 +0200

    Add Ununtu Bionic

commit 7d90957fbb249ff3be82ea2145b204ea28778de6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 10 14:11:06 2018 +0200

    Revert "Force gzip compression (and not xz)"
    
    This reverts commit 40a621c2dd7abe3f29ae77a36973ff5200b12e4d.
    The server running apt now has newer dpkg-deb so this is
    no longer necessary.

commit f0e13d1376e372fb479abb084d85b71109dbf2e5
Merge: 40a621c2 1c5763e4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 4 15:55:33 2018 +0200

    Merge pull request #36 from indexdata/yaz-908-extended-services-diagnostics
    
    Yaz 908 extended services diagnostics

commit 1c5763e4be32dc7b7c3e6c89a03a1e85b51c2481
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 4 15:21:36 2018 +0200

    YAZ 5.25.0

commit 9dcaf07bbabebf0e91180294bd982d8b997131e7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 4 15:17:28 2018 +0200

    Document more options for extended services

commit c2f94900de9dd31728fe45c8b8ed88a5fafb7858
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 4 15:14:44 2018 +0200

    ZOOM C: return extended service diagnostics separately YAZ-908

commit 40a621c2dd7abe3f29ae77a36973ff5200b12e4d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 4 12:08:57 2018 +0200

    Force gzip compression (and not xz)
    
    This is because at the moment ftp.indexdata.dk is user an older
    version of dpkg that does not handle xz.

commit be97eebb1c2e43e0c4bc068a1b57b863c742a8f2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 10:27:53 2018 +0200

    Remove ubuntu yakkety + precise

commit bdc87ca3a8d01bed79c7f8331dc3e40226d0c0d5
Merge: 1551b587 04cc1b84
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 10:18:24 2018 +0200

    Merge pull request #35 from indexdata/yaz-5-24-0
    
    Version 5.24.0

commit 04cc1b841bc2c580a115e8996c9170b1e3dd3cfb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 10:04:46 2018 +0200

    Version 5.24.0

commit 1551b58749441bec19ad8b3ef15bb4b38b3f18de
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 09:54:24 2018 +0200

    ZOOM-C: recordIdString option for record update YAZ-907

commit 7b2f6bc954c202a9c4a9e47eeeadebd75fc6f23f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 25 09:44:53 2018 +0200

    Mention Visual Studio 2017

commit ec1c133bd71d6188e659c04db828e6a136fdb76b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 13:59:51 2018 +0200

    Proper install location from common NSIS

commit d6119d8a0a87e48c3ce27f6a05d499ed19f8501a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 13:39:00 2018 +0200

    m4 part of YAZ source on Windows

commit 11fb416a5f9da75f759b23e2bedd1fa40b84dc1a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 13:13:11 2018 +0200

    Move mk_version.tcl to shared m4

commit 5b78645d9fc90891fae7ef96c31c844893c01306
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 17 11:42:29 2018 +0200

    Update to VS 2017 and use common NSIS code

commit 4183d91fc456117384d76f8e735dd61715d127e8
Merge: bd713c86 185fb55b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 1 13:52:48 2018 +0100

    Merge pull request #34 from indexdata/yaz-903-enable-test-in-test-solr
    
    Yaz 903 enable test in test solr

commit 185fb55b4b4658c3fe639284973d74d26d5f6a65
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 1 13:44:05 2018 +0100

    Include nextRecordPosition element in test

commit faf835968eacd03e19eb2a49fa9cbe868ede3b18
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 1 13:39:40 2018 +0100

    Add test case for YAZ and facets decoding YAZ-904

commit 75e4a9f592de5d4bc2d9fa7800defef9792b4f64
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 1 11:42:40 2018 +0100

    Enable and update test in test_solr YAZ-903

commit bd713c8653aac059add0f3381f048fc7d37d5bf7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 12 19:16:31 2018 +0100

    Happy new year

commit 9d2b8e2b6c661c7421ca7e86d70e5e101565bb3e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 31 14:24:43 2017 +0100

    Use the build architecture pkg-config YAZ-897
    
    Thanks to helmutg@debian.org for patch.

commit 008a94f3330e60107003ffd689ae3c53ea316fda
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 12 15:52:46 2017 +0200

    NSIS: Use operator == for string comparion

commit cebe1a3b7f77b2390edaa0803a9c458478947783
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 11 13:41:25 2017 +0200

    Only yaz_solr_decode_error when Libxml2 is available

commit 3f65d0146eb03a89e705c8db801cb5879fe960d1
Merge: 7c5bd430 aaba1a83
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 11 13:37:12 2017 +0200

    Merge pull request #32 from indexdata/yaz-895-relay-solr-diagnostics-to-srw-response
    
    Relay Solr diagnostics message to SRW response

commit aaba1a831ff83dc36589bda9949e7fcce50a0ad6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 11 13:15:02 2017 +0200

    Relay Solr diagnostics message to SRW response

commit 7c5bd4302c8538270af81f73d490b7ba00a022e0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 4 12:23:29 2017 +0200

    Refer to correct introduce-bug version 5.20.0

commit fab26f85daef9c2bcb9f1236ad37ded279da3898
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 4 11:20:57 2017 +0200

    Version 5.23.1

commit ff74d6e932193bd73f6e800b12257cb72fae4f94
Merge: 01585d42 47b2f50b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 4 11:05:32 2017 +0200

    Merge pull request #31 from indexdata/yaz-894-omitted-content-length-3
    
    Fix Omitted Content-Length not handled anymore YAZ-894

commit 47b2f50baaa9555f1d92cac8ebabc878c7892d21
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 4 10:54:34 2017 +0200

    Fix Omitted Content-Length not handled anymore YAZ-894
    
    This issue was introduced by work in YAZ-878 YAZ Version 5.20.1.

commit 01585d42731109b2cc3b39f95fce859d30d226ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 4 15:21:25 2017 +0200

    Version 5.23.0

commit 8ce0c3a33cc3eac8195645a5f3d99685638a8c9e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 28 15:20:03 2017 +0200

    Allow for more Solr URL schemas YAZ-893
    
    If the Solr URL contains ? it will be treated as a URL that
    includes request handler rather than hard-coded /select. For example
    /solr/search? . You can also pass own arguments. For example
    /solr/search?foo=bar .

commit 248cdad8e52536ba7cf5aae5478be01b4acfa75a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 22 12:59:30 2017 +0200

    Clean up gitignore files

commit 1fe61315abbef97ee228f21378e3cee7ccd0b87e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 22 12:57:37 2017 +0200

    Update libstemmer_c

commit 3cddf517dc0ea033c052c5063bf8c5b275749c7a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 31 11:34:16 2017 +0200

    Update libstemmer_c

commit 0e4a97a3c51a3be9527925ab8176e3032f7405b7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 31 11:21:10 2017 +0200

    Ignore deb-src and build

commit 08d38f312e6a984176b1d1c26ea95103c1addbd7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 30 11:43:08 2017 +0200

    Version 5.22.0

commit 625f977009b29d9da818128ea30420aad6f8da98
Merge: 0fc926dd c8c5ec70
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 30 11:38:50 2017 +0200

    Merge pull request #29 from indexdata/yaz-891-add-timeout-for-rdf-lookup
    
    Yaz 891 add timeout for rdf lookup

commit c8c5ec70697336c343fe5adc7cf84d52fb3c0d67
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 30 11:25:47 2017 +0200

    Make rdf-lookup timeout configurable
    
    Uses yaz_url_set_timeout

commit dc1ee22330e1011debfbda9573a92493c37b557f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 30 11:25:10 2017 +0200

    Add yaz_url_set_timeout

commit 11f6b84c7d02969c510f4ecb7b5529e091c79008
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 30 11:23:42 2017 +0200

    Fix description of return values

commit 0fc926dd2e289b12c854899e683fd81d59616b01
Merge: 45b3c27d b14077ac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 9 11:37:31 2017 +0200

    Merge pull request #28 from indexdata/yaz-890-report-error-for-bad-x-path
    
    Yaz 890 report error for bad x path

commit b14077ac819a1d735e01fa0531a94f565f81bc61
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 9 11:15:30 2017 +0200

    rdf-lookup: report error if X-Path cannot be compiled YAZ-890

commit 68fc613a1b49755b8b7e1e86d85ad4f8da7ffab7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 9 11:06:34 2017 +0200

    Avoid traling newline for yaz_log_xml_errors

commit 45b3c27d3df0705d9e86f8af0651c359f5a31171
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 8 14:22:59 2017 +0200

    Version 5.21.1

commit dcb0d6423160ac8e1f921cfc9a9a2521a32cf242
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 8 14:19:11 2017 +0200

    Add Debian stretch

commit b998a6f156fa844e96647e4561cef746d62eaab8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 3 11:35:38 2017 +0200

    CentOS 5 no longer supported

commit 76c3c2bde6b3c921e3bf8bf79b17dc3d6a071c1f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 3 10:38:32 2017 +0200

    Remove redundant assignment. Closes #24

commit 7d63f62eacec62f7418d2e66c74a2fd13f18ff9d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 3 10:33:12 2017 +0200

    Fix fmt string in cs_print_session_info. Closes #25

commit a7e19d775c30651ee3417b67d00f3bcfeddf37d3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 3 10:30:12 2017 +0200

    Fix missing va_end in yaz_xml_get_prop. Closes #26

commit 93b9f0bbae68c78431de37f6be7f42a5171ca7a8
Author: Mike Taylor <mike@indexdata.com>
Date:   Wed May 3 08:18:04 2017 +0100

    Fix redundant self-assignment

commit 2a0c07071d75ba4931d674945cd25b1d7bacfa59
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 4 10:04:25 2017 +0200

    yaz_prox_unit_name returns const char

commit 8dd8b42cfb950adb0f833902193289dbe7421c8d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 4 10:02:16 2017 +0200

    ABI 5.21.0

commit 942aaf5562e86bf2028dd4eef8052f6024cdfb41
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 31 20:03:29 2017 +0200

    Version 5.21.0

commit 5fe1d4d45ad0af8390962f57f1c9c13c926e5f2d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 31 19:44:13 2017 +0200

    Avoid 8-bit character literals in tests

commit 4d93c02db13454f636a5ab9ec80c3d93e9f27c74
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 31 19:24:28 2017 +0200

    Add cast because yaz_prox_unit_name returns non-const ptr

commit 0e172cd739c5ffff59e28ba5d290ee91bc6f9116
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 31 19:23:22 2017 +0200

    Include header with z_ProxUnit_to_str definition

commit 20a98d2701dd3a75ab9ee879c4412c7a04b0df8d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 13:55:58 2017 +0200

    Update NEWS

commit bf26a0bf313cb2d84fef88552aa5e3cdbbb2a991
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 13:04:13 2017 +0200

    CQL name+value relation modifiers rejected if not =

commit dce542ddebdba17f0d73c83a2a02da925765d32b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 13:03:06 2017 +0200

    Better name for cql2pqf test section

commit 0d380cca9e0dbeb06aa51c768a58d8866abeb40e
Merge: 86d3d3a0 5ce60bb9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 11:51:08 2017 +0200

    Merge pull request #22 from indexdata/yaz-886-rdf-lookup-can-produce-invalid-xml
    
    Yaz 886 rdf lookup can produce invalid xml

commit 86d3d3a0168386f34decde60f23792fe82ce3136
Merge: 43aaf47c 5b5a38b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 11:27:30 2017 +0200

    Merge pull request #21 from indexdata/yaz-885-cql-relation-modifiers
    
    Yaz 885 cql relation modifiers

commit 5b5a38b31910fe085bcef669c6b2a94a9e01daa3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 11:15:15 2017 +0200

    Travis osx: do not install pkg-config

commit f1a1222eeed520357aac3029870b12f7bd993f75
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 11:01:09 2017 +0200

    Test CQL to RPN conversion with proximity
    
    About time!!

commit bc4e6db36623cf8bf2b6ada4f8bc03022167fc4a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 10:50:13 2017 +0200

    Use z_str_to_ProxUnit

commit 586f3067fb74d35b384ff5532d290fa98c280eb9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 10:49:56 2017 +0200

    Use z_ProxUnit_to_str

commit 071a6b0bbab4f57fc690f9b63e3a93a05fdadfdc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 30 10:47:46 2017 +0200

    Add ProximityUnit map to/from string utility
    
    New functions z_ProxUnit_to_str and z_str_to_ProxUnit.

commit 5ce60bb98fad97ab5dfea2817960c78cd1aac65e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 29 20:53:11 2017 +0200

    Reformat

commit 9a1578e4840da02e794ae13d7d44443dbc6702fc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 29 20:43:35 2017 +0200

    Replace -- in uri with %2D%2D in XML comment
    
    While dash does not need to be URI encoded it shouldn't hurt and
    also ensures that double-slash will not be part of XML comment

commit 5b7d3bda20dc44de6672ecee66c6375dc6c21267
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 29 20:43:00 2017 +0200

    Add wrbuf_puts_replace_str

commit 2c6bc67b47268758174b7e88af5cfdbf4d7a620e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 28 15:08:14 2017 +0200

    Add test for CQL relations with modifier values

commit 4f2f308dfda263c9ee2d414331c9bbe19b97a133
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 28 15:07:09 2017 +0200

    CQL relation modifier with value converts to proximity
    
    The relation modifier name is looked up as if it was an index.

commit 43aaf47cf35c0946e543cb01120a457c8b5f889d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 27 10:29:44 2017 +0200

    Version 5.20.3

commit a639bfee0a723fd24409101026bc9f4606f01031
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 24 11:02:44 2017 +0100

    rdf-lookup: fix misleading log on rdf-failures YAZ-884
    
    The HTTP response is only logged if - after removing leading
    whitespace - it is non-empty. rdf-lookup failures are always
    logged via yaz_log at level YLOG_LOG. As before XML comments
    are controlled by the debug property.

commit 3831f10d6cf3e8f1d05e96062657974a078ebd44
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 20 11:33:59 2017 +0100

    Version 5.20.2

commit 3d54949772aa048e5111709754cbeec68745659b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 20 11:33:50 2017 +0100

    RPM: use make_build if defined (parallel builds)

commit 416dd83feb0ce9353b9c55e116d76b98c0ae044d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 20 11:04:42 2017 +0100

    Debian: parallel builds

commit b9411cfde18ea3bd150c6d395ed5df76b317e1a2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 20 10:55:14 2017 +0100

    Ubuntu: +Yakkety -Wily

commit 6ecb5d983403db04498709e72d0576f0e34b0744
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 14 16:25:42 2017 +0100

    Remove trailing whitespace from book.xml

commit 91af1d15c90ef0a26f8c940936d70493c62cea91
Merge: 4684e96e bb9dc3d3
Author: Mike Taylor <mike@miketaylor.org.uk>
Date:   Mon Feb 13 08:49:14 2017 +0000

    Merge pull request #20 from wafschneider/patch-1
    
    Add documentation for <param> tag in xslt retrieval facility doc

commit bb9dc3d341e0456098f607ed4a523fd14423d894
Author: Wayne Schneider <wafschneider@gmail.com>
Date:   Sun Feb 12 16:47:50 2017 -0600

    Add documentation for <param> tag in xslt retrieval facility doc

commit 4684e96eed99e1a5ef35733cfe73c1282b41690f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 9 15:25:22 2017 +0100

    Use printf to get version in configure.ac YAZ-883

commit 91ce676cdcdc3dbd252f48dd611572289f1c71fc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 6 13:13:00 2017 +0100

    Pass portable value to shutdown
    
    0=SHUT_RD on POSIX. 0=SD_RECEIVE on Windows. 0=?? on OS2

commit 09eb8ca353074c619bfd2f5efe87f80d04aa198d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 14:16:21 2017 +0100

    tcpip_strtoaddr_ex internal and only when getaddrinfo unavail

commit 111b1b9d75c07c5f5d814e4b9856ddc3e03144b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 13:57:22 2017 +0100

    Fix socklen_t use

commit 9edd78338f9f095842b19c137218a261ce143a09
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 13:52:09 2017 +0100

    Fix compilation error if getaddrinfo does not exist

commit 3572e242cce6f2ae1ddb7c693b9d1c7070cc21d3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 2 13:49:17 2017 +0100

    Fix configure:ac version incorrect on OS2

commit 1a7b520d4b3fbd9c5ac012d83a8a1ed22b186629
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 31 13:55:03 2017 +0100

    Version 5.20.1

commit 28ff7693cfa0fd5d7c47c908ed46b16eea540644
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 30 07:53:39 2017 +0100

    DLL-export wrbuf_malloc_info

commit 09783c72e869f099e28234191baf1d2a411e498a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 25 15:44:02 2017 +0100

    Slight re-indent

commit 3cbece353151ea035869f02ef2abb317260fcd37
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 25 15:43:54 2017 +0100

    Add turbomarc as allowed inputformat in record conv

commit 8dcc35e9a0bae2345ffdb80f439d09a77d6f0879
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 25 15:30:54 2017 +0100

    Remove traling whitespace

commit 2d65a493bef47c263b3a2844c9ae6b37c9be0e7d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 25 10:56:14 2017 +0100

    Reformat

commit de79f294729628aa60b1d3fad2535c320a221d6a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 23 11:35:41 2017 +0100

    Update m4 (C99)

commit a088de025234db583a6aec342fd6118a24320685
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 11 11:54:55 2017 +0100

    Fix incorrect command in yaz-record-conv man page

commit 7d8f0d5933f9c1938a55c28b92d3d60aa3b188b0
Merge: 76646716 8737fcc5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 10 14:09:26 2017 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 8737fcc56697a6a707e459758ca27e7c495f6a20
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Tue Jan 10 14:03:28 2017 +0100

    Add doc for the method attr for rdf-lookup (LOC-14)

commit 76646716de2b85da728f094b1c2e23472b8b05c8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 10 13:40:44 2017 +0100

    Version 5.20.0

commit 1c7108fe2768289d9598347dbd1bf7a9e0476d23
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 10 13:35:39 2017 +0100

    yaz-url: do not wait for body when sending HEAD request YAZ-878

commit 33e909a1ef1e8af2c49d657ea3cc5841edd924a4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 10 13:34:22 2017 +0100

    Add new COMSTACK utility cs_set_head_only
    
    Controls whether tcpip_get should read header only (ignore content)
    or response with body.

commit f4821b82357ca6f721872ac7bd6894c837b5b27b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 10 13:23:15 2017 +0100

    HTTP decoding: ignore message length in head only mode

commit fc695fb44561eb95226741971ea28f37b58a117d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 10 11:14:42 2017 +0100

    Updat NEWS

commit dd9eb4d3a0d9199365f5bfbc67293460b8327c80
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 10 10:29:21 2017 +0100

    Happy new year

commit 10d18aeface65a0fed00560ec69a00a3b193912f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 10 10:24:05 2017 +0100

    retrieval: fix incorrect backend schema YAZ-877

commit 6099c212c382d05fbea30b23e15b630e181ce1e2
Merge: e7ad2fff 84237f13
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Mon Jan 9 12:14:38 2017 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit e7ad2fffafbf533abd49e83dee51d7243bea2e16
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Mon Jan 9 12:13:52 2017 +0100

    loc-14: Lookup using GET by default, config overrides

commit 84237f135b453fbbe0fb15bf054e17253926c7f8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 30 15:04:59 2016 +0100

    Version 5.19.2

commit c2a81c58d922aa0afa13dfd243c17e58d45236e2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 30 14:42:26 2016 +0100

    hiredis gone too for centos 7; weird

commit c8be5bafd25310ae2725cc341e655a80762a707e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 29 10:59:05 2016 +0000

    Version 5.19.1

commit 8e3006cdb50bb7b8bd9e504e3f5f78c31829d5cc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 29 11:53:01 2016 +0100

    Declare semantic version 5.18.0
    
    This should have been done in 5.18.0.

commit b8f181a6efc2a6cdbcd1eb934244d59316604810
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 12:59:07 2016 +0000

    Version 5.19.0

commit 8fe683c8bc9b35848fa0e8ea3b88847936892356
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 13:25:33 2016 +0100

    Fix a few leaks for rdf-lookup

commit 3b20c5f46cef72b0b18426a08ab00a07f0f3b9db
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 13:01:44 2016 +0100

    Include yaz/log.h due to yaz_log_init usage

commit 53318596634321e64a46a8126c62fcd899835516
Merge: 0efbc1e1 9e712d7b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 12:58:55 2016 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 0efbc1e1dd5a846dc927bb60a90495203b7d64e0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 12:58:15 2016 +0100

    Add example for yaz-record-conv manual page

commit 9e712d7bea64a6a04f0081d3867f35a518104d25
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Fri Dec 16 12:10:26 2016 +0100

    minor doc thing

commit a1e8003e6ae9e8c6f5a27083c0ec5094d3b8589c
Merge: 8dd4adc5 3a18cfde
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Fri Dec 16 12:09:12 2016 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 8dd4adc5df2edca24a825304ba9c491b37ebdecc
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Fri Dec 16 12:08:54 2016 +0100

    Update docs for LOC-14

commit 3a18cfded11c3d63ebc2642846e0ec22b53bc4bc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 10:00:58 2016 +0100

    Avoid mixed declarations and code (C99)

commit eacb9c4890a8ac19310cf913621f95da06f3f4d0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 16 10:00:32 2016 +0100

    yaz-record-conv: honor -v. Typo

commit 4198be8a116860237307e6cea92e8ae6b6a59d78
Merge: 5b82e0cd 83d61d11
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Dec 15 14:34:33 2016 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 5b82e0cd34a0b6db0670e9f04d61c8dc77d6f3fa
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Dec 15 14:33:58 2016 +0100

    Add a small test script for rdf-lookup
    
    Can not be part of 'make check', as it depends
    on external services, but can be run manually.

commit 83d61d11421f5e8ea54ed0fd54c4d33980eb3853
Merge: 2b3c3be3 6c83f12d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 15 14:23:09 2016 +0100

    Merge pull request #18 from indexdata/yaz-874
    
    Fix typo; docbook-xsl

commit 12bca5ef7f4bdb16cb91f2482f1d6cc139d20bb3
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Dec 15 14:23:02 2016 +0100

    LOC-14: Accept a debug attr in rdf-lookup tag, if "1" output debug comments

commit 1a29059a1607df2dace1fb42dad3a8db11626215
Merge: c284e29a 2b3c3be3
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Dec 15 14:21:50 2016 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 6c83f12d9be4ffbf9f3e2dc3709adc7d68dad9b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 15 14:08:47 2016 +0100

    Fix typo; docbook-xsl

commit 2b3c3be339e13ed3a471bdb397b374ea1d453b99
Merge: c75a7fc1 4c9a455f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 15 13:30:48 2016 +0100

    Merge pull request #15 from indexdata/yaz-875
    
    Install yaz-record-conv

commit 4c9a455f53c81ff3d4aff035fdce1572da359d54
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 15 13:06:48 2016 +0100

    Install yaz-record-conv

commit c284e29a389af6f7703c67a1f5e32a962c011cdc
Merge: 857f7d9f c75a7fc1
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Dec 15 12:46:01 2016 +0100

    Merge branch 'master' of github.com:indexdata/yaz

commit 857f7d9f934c61250031f9d0ccf049ecedd69728
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Thu Dec 15 12:45:43 2016 +0100

    Loc14: Define namespaces in config

commit c75a7fc115bef81820d676b2a82655c1980f98dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 14 12:46:08 2016 +0000

    Only enable redis on CentOS 7

commit 2721fb51925ee6051414ab0d81518aae5f76e18c
Merge: 9c8a6b75 c76f7cce
Author: Heikki Levanto <heikkilevanto@users.noreply.github.com>
Date:   Wed Dec 14 10:57:22 2016 +0100

    Merge pull request #14 from indexdata/loc-14
    
    LOC-14: Add rdf-lookup backend to record_conv.c

commit c76f7cce862ed17960b0958ec70e3b8c7911d103
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Mon Dec 12 16:02:25 2016 +0100

    LOC-14: Add rdf-lookup backend to record_conv.c
    
    Uses a config like this:
            <backend syntax="xml" name="rdf-lookup">
              <rdf-lookup>
                <lookup xpath="//bf:contribution/bf:Contribution/bf:agent/bf:Agent">
                  <key field="bflc:name11MatchKey"/>
                  <key field="bflc:name00MatchKey"/>
                  <key field="bflc:name10MatchKey"/>
                  <server url="http://id.loc.gov/authorities/names/label/%s"/>
                </lookup>
              </rdf-lookup>
            </backend>
    
    Looks up any keys within the Xpath against the server, and if it gets
    back a 302 redirect with a X-URI header, replaces that within the tag.

commit 9c8a6b75634a9fa26126028b058a168c924ca519
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 13 13:49:26 2016 +0100

    Fix yaz_url_exec sending same uri for 2nd call

commit 6564ff7654f13e1641c3ae3cc22466326401bef6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 17 13:52:11 2016 +0100

    Mention vcvarsall.bat rather than vcvars32.bat

commit af0aa3ebd7c0f58bd62171a3b671328cd5453d42
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 28 15:33:29 2016 +0200

    JSON: to the spec check of number

commit cf50dccff8134c0d5c0980687e6b56a7abc5a6b2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 28 14:47:05 2016 +0200

    JSON: strict \uxxxx sequence

commit 17c395f307edb0a225885eb792440ba76cdfbd8f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 28 14:04:35 2016 +0200

    JSON: fail for nesting more than 1000 levels
    
    The parser is recursive - so this is better than stack overflow.

commit b0ea7188a987b179f5e0de6b71b85968630a5006
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 27 12:08:06 2016 +0200

    JSON: distinguish between EOF and error

commit 7dbefe59539947975961773f13a8cdd128dea6e7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 17 09:41:26 2016 +0000

    Version 5.18.0

commit ae326b331c1b75798604ff8c86a99d0ed46d92b2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 17 11:07:19 2016 +0200

    Omitted MARXML indicator defaults to " " again
    
    This was the behavior until 5.16.0 which added multi-byte indicator
    support.

commit 993d9374de9554491f7c83c90be826f44838cec4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 6 10:10:28 2016 +0200

    Only include malloc.h if malloc_info is present. Closes #13
    
    Fixes compilation on macOS

commit 2b9db77e19e9e51c70774b3f993d79c619ca470b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 5 14:39:23 2016 +0200

    nmem: cope without POSIX threads

commit c70e797c37a6dbeda4760574f34dbb65706a8182
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 5 13:57:39 2016 +0200

    Add nmem_get_status

commit da43d7ca43314a20b46a04e8c7734db12f32b481
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 4 10:04:32 2016 +0000

    Version 5.17.0

commit 3cb097d7d1c4198a026569e6d82f5ac9a7272170
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 4 12:02:45 2016 +0200

    Upd NEWS

commit da7b198c0a3b7a93131217b45e89966855843dc5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 4 12:00:18 2016 +0200

    Add wrbuf_malloc_info - a wrapper for malloc_info(3)

commit 2be5f299ee9ceeee4e42f67a6121010c639fd37e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 17 11:00:10 2016 +0200

    Beef up documentation on facets

commit 7c508bd1a4cdd77384adf72f178c7b7442649b84
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 8 15:16:45 2016 +0200

    MARC-8 codetables: fix typos and remove trailing whitespace

commit b8d540914c5ff223a39a52dca468ddd783b7e547
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 7 11:19:48 2016 +0200

    Remove trailing whitespace

commit 8bca9b1b42e141d206f90103c02827c81c24f8d2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 17 16:17:53 2016 +0200

    record_conv: change error for unsuported backend element
    
    Also fixes regression in the case where Libxslt is disabled and
    Libxml2 is enabled.

commit 5af2e8f0420061c7913dc2cba18687b03913c9d6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 17 15:50:14 2016 +0200

    Avoid strlen on MARC buffer. Close YAZ-872
    
    MARC buffer memory is not 0-terminated.

commit e3fd23ffc6ce9cc4d06177cb4c083d27dc69cc26
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 29 18:25:38 2016 +0000

    Version 5.16.0

commit abccd6cf425320331950d1320ea72b381e610b3d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 29 18:24:41 2016 +0000

    Add Ubuntu Xenial. Remove Ubuntu Vivid

commit 8a8ffda7446db0710d727400460cf7e0d26ddc2f
Merge: aad599c9 d3d58425
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Apr 24 18:43:54 2016 +0200

    Merge branch 'gh-11'. Closes #11

commit d3d58425d1be30092efb54221724776eec9f9f13
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Apr 24 18:39:18 2016 +0200

    Make two functions in XML marc reader static
    
    yaz_marc_read_xml_subfields and yaz_marc_read_turbo_xml_subfields
    were never used outside YAZ and not declared in header files.

commit ffce7045088df690bcfaae044a24cd4d58af40fb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Apr 24 18:32:11 2016 +0200

    Add marc0.marc with multi-byte indicator

commit 494d6dbc3ac7de3640b0f007bdedfcf8d7dcd2dd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Apr 24 18:30:25 2016 +0200

    Parse JSON deals with multi-byte indicator

commit d7560a5903216a1ada3f4680f8a46bddb0fe9940
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Apr 24 16:26:45 2016 +0200

    TurboMARC reading update for multi-byte indicators

commit ccedda94291c3da949e63b3f667f07b23051d199
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Apr 24 16:25:20 2016 +0200

    Update JSON creation for multi-byte indicators

commit 4885eec40b257307966ac0a917bf6f4bc50e01b8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 23 18:16:24 2016 +0200

    element_attribute_value_extract static (never used outside YAZ)

commit a14378a5e198d97cd2bd2982866f3e1e9e818365
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 23 18:14:36 2016 +0200

    tag_value_extract not used anywhere so removed

commit eba1ca9274669d35f729c16d0a9ac32b30cb1bef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 23 18:13:20 2016 +0200

    Turbomarc creation also updated for multi-byte indicators

commit add932f8919838c73620be6b342a878524f36793
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 23 17:56:01 2016 +0200

    Make add_marc_datafield_turbo_xml static
    
    This function was never declared in a header, and, thus we assume
    nobody could be using it.

commit 2f36adb16c0fecf56fc87e7f80a46fafe87d4cb2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 23 10:28:57 2016 +0200

    Allow multi-byte indicators for ISO2709 reader

commit e00abc5f65fcac7bb039c3a15efb591ec6483284
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 23 10:28:37 2016 +0200

    Add yaz_marc_sizeof_char

commit ff3097d2e2624bfce49435e892a50aa7d09dec73
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 23 08:50:43 2016 +0200

    Update yaz_marc_write_xml for multi-byte indicators

commit 104b5752e0e1891e4db784284e59fd8d720c7187
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 21 14:28:27 2016 +0200

    Start work on handling multi-byte indicators

commit aad599c9fc16fbf1ba88df99ca5054cecdff48dc
Merge: 7b9b025f f7857d85
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 7 10:45:53 2016 +0200

    Merge pull request #10 from dcrossleyau/master
    
    Fix typo

commit f7857d8582702a46021d887daf857ec895ed6468
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Apr 7 09:57:44 2016 +1000

    Fix typo.

commit 56c462f342fe28b5c5aec9bdda7f42c7406c4393
Merge: 6141c6af 7b9b025f
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Apr 7 09:48:23 2016 +1000

    Merge remote-tracking branch 'indexdata/master'

commit 7b9b025f4ca925ef5a1a939b989f8b35d3a17a72
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 6 10:59:23 2016 +0000

    Version 5.15.3

commit 15d3e0ce9c4c8e4afb168742358aaa50473ccbc3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 6 12:43:30 2016 +0200

    Fix yaz_query2xml aborts for attribute type 0. Closes #9

commit 6141c6af03c4b1faa13a2027efbab0d7213cb588
Merge: eac3507c 87eced3e
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Apr 6 19:10:18 2016 +1000

    Merge remote-tracking branch 'indexdata/master'

commit 87eced3eeb54cdfe0de7dcdf971492fbe48a7286
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 5 12:43:02 2016 +0200

    backtrace: exit with same signal as original fired
    
    Until now with backtrace any signal would end up being an SIGABRT.

commit e78f5b26109ba7437d756dc4a78f8c280acad081
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 5 12:41:15 2016 +0200

    backtrace: cancel alarm if backtrace succeeds
    
    This is to avoid "backtrace hangs" message that should not be
    printed and gdb be invoked twice.

commit eac3507ca5301ac1e4a13faafdf2eadab527fa70
Merge: 91087da2 f8667f9b
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Tue Apr 5 10:39:47 2016 +1000

    Merge remote-tracking branch 'indexdata/master'

commit f8667f9b2e4942f4f12af8755a89d1a96425b4df
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 18:21:19 2016 +0000

    test without xcode image

commit 51504f5f8e4573824147391ca243764e7bf99076
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 18:01:19 2016 +0000

    test with newer xcode7.3

commit 0079db2916dc2ca8021754dd7cf3ae7a9bb2c46c
Merge: 239a1867 8a062680
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 18:52:37 2016 +0200

    Merge pull request #8 from wschnrid/master
    
    travis ci

commit 8a062680fdb55e6c140d641f437a64ea338bbc11
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 16:38:53 2016 +0000

    make -j

commit eb407905c4526573f0dd5511bcfcd3bdc4795b9b
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Thu Mar 31 16:38:21 2016 +0000

    split script targets

commit 91087da27d235c30859b0919c94bef8371eef1a7
Merge: 8b8f9c95 239a1867
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Mar 31 11:19:14 2016 +1100

    Merge remote-tracking branch 'indexdata/master'

commit 239a18674ea7e5e964b82a3b566103c6d0891441
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Wed Mar 30 15:37:04 2016 +0000

    add spaces for better readability

commit c1a5ab0cfcf7d2a6252c91e1fc98185c8462d954
Merge: 957eb162 0e2cb767
Author: Wolfram Schneider <wschnrid@users.noreply.github.com>
Date:   Wed Mar 30 15:40:59 2016 +0200

    Merge pull request #7 from wschnrid/xxx_travis
    
    merge travis ci

commit 8b8f9c9558d7bbbcc6d9c0b732627dfbe7372e83
Merge: 2c64bed1 957eb162
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Mar 24 10:46:39 2016 +1100

    Merge remote-tracking branch 'indexdata/master'

commit 0e2cb767444f8ad93279ca1f70401fac2ef2a41b
Merge: 926a6b0a 957eb162
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Wed Mar 23 14:13:03 2016 +0000

    Merge remote-tracking branch 'indexdata/master' into xxx_travis

commit 957eb16268ebf1c1b6c50679849b8173359fc512
Merge: f466461d ce319437
Author: Mike Taylor <mike@miketaylor.org.uk>
Date:   Wed Mar 23 08:30:31 2016 +0000

    Merge pull request #6 from dcrossleyau/review-urls-1
    
    Update some URLs.

commit ce31943747913f636a458e6e2c22c421da7246da
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Mar 23 12:05:32 2016 +1100

    Try to fix some broken URLs for older SRU/SRW/CQL.

commit 63aa7eebddd9f6a4812e44267f58400293b341dd
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Mar 23 12:03:45 2016 +1100

    Fix some broken URLs.

commit 48ee2ab52aacf324ff38fe1767fabdf87ab93ccc
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Mar 23 10:42:59 2016 +1100

    Fix some re-directed URLs.

commit 2c64bed1ed628082de8ca74dac8cfed348dbc608
Merge: db19df41 f466461d
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Tue Mar 22 17:18:40 2016 +1100

    Merge remote-tracking branch 'indexdata/master'

commit f466461dfe4720cbd478eb2798599bf47387af89
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 21 09:51:40 2016 +0100

    Update doc/common and m4

commit db19df410af002ad351acf0d49b27b23823d9a53
Merge: 398b895e 7b902fd3
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Tue Mar 15 11:13:17 2016 +1100

    Merge remote-tracking branch 'indexdata/master'

commit 7b902fd367608e4dbcea35d3da86d67de3896209
Merge: 8d3bc9e6 398b895e
Author: Mike Taylor <mike@miketaylor.org.uk>
Date:   Thu Mar 10 09:28:37 2016 +0000

    Merge pull request #5 from dcrossleyau/master
    
    Fix references to old target bagel.

commit 398b895e34e57d1a2cc5aa9f980c1a4f0ac0acec
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Mar 10 11:00:11 2016 +1100

    Fix references to old target bagel.

commit 926a6b0ac27bcee7eb005febb0d0e6b88dd41c16
Merge: 9253ddd0 8d3bc9e6
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Wed Mar 9 13:58:10 2016 +0000

    Merge branch 'master' into xxx_travis

commit 8d3bc9e67051266d8278a8d7bf8b9fa4a5f532bb
Merge: 03bb8566 e0fe64f6
Author: Mike Taylor <mike@miketaylor.org.uk>
Date:   Wed Mar 2 07:34:47 2016 +0000

    Merge pull request #4 from indexgeo/master
    
    Fix typos.

commit e0fe64f6303ab93a5c6329cb991683ed7f5aff12
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Mar 2 10:29:42 2016 +1100

    Unfix typo: addinfop

commit d2e5dc5b9dc4e86c276a19ae9f9206c5eb5c2efa
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Tue Mar 1 14:18:46 2016 +1100

    Fix typos.

commit 9253ddd087726e024ca7cbf0b65936ba15464139
Merge: 94a9904a 03bb8566
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Mon Feb 29 09:39:16 2016 +0000

    Merge branch 'master' into xxx_travis

commit 03bb85667c0848b8cdaf85dc8f9e7289458b87c5
Merge: aac7eaf9 1e5f8ab6
Author: Mike Taylor <mike@miketaylor.org.uk>
Date:   Mon Feb 29 07:39:55 2016 +0000

    Merge pull request #3 from indexgeo/update-doxygen-config
    
    Fix typos, which show in the Doxygen-generated docs

commit 1e5f8ab6a68e072192b4264d742321f78e7d06b1
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Mon Feb 29 14:20:10 2016 +1100

    Fix typos, which show on the front page and the "Files" section of the Doxygen-generated docs.

commit aac7eaf9a10ed7dbdab46f24a15db40a4c6a04b9
Merge: 9d1a3741 4e7f75a3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 24 10:47:10 2016 +0100

    Merge pull request #2 from indexgeo/update-doxygen-config
    
    Update Doxygen configuration file to current (1.8.11).

commit 4e7f75a36d99a4f68befa5cc69ecf4c6d370ca4a
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Feb 24 18:33:51 2016 +1100

    Update Doxygen configuration file to current (1.8.11).

commit 9d1a37410082080120f4852b48edb236ce1a4a5d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 22 14:20:53 2016 +0100

    Fix YAZ_DAEMON_LOG_REOPEN description

commit 94a9904a5b4a6678844a2227260c17249a42bd45
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 11:22:26 2016 +0000

    nmake -> make

commit 74f84e674cb94def1812187ff178dc325924d153
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 11:18:27 2016 +0000

    try to install nmake

commit 1bab3fcd0abee39077bf2e42715a6fe8834dd11a
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 11:12:51 2016 +0000

    use cmake instead nmake

commit 770747891596697eb5d5daa08d68751c893c5534
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 10:34:31 2016 +0000

    install Visual C++

commit 6ce0a6d428d0ab51fa436d3bbc7262a300c12ab1
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sun Feb 7 10:22:13 2016 +0000

    add appveyor.yml config

commit e3372e4cb3e6d471a41ae775af4ec0ccfba4dff3
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 16:21:48 2016 +0000

    set ENV

commit 47b36ee5f8c2525f22c981f41187068191a4c2fd
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 16:12:59 2016 +0000

    configure compiler

commit f8ca3a4191f502f8446c152fe6eb457c878cf3fd
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 16:03:42 2016 +0000

    enable clang again

commit 471330d5080ddf486e710e30ca7bcb3572d4f08f
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 15:55:12 2016 +0000

    enable linux again

commit 41c9b5fc1462215d0cf87042efbe5c3ec7409a0b
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 15:46:02 2016 +0000

    setup macos

commit 4d8abb281ce7bcad20354cf7019afb86a350c42c
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 14:55:11 2016 +0000

    disable compiler

commit fbdfd10e22b0de36e4b0ecd4d142c5847ae76b92
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 14:51:29 2016 +0000

    sudo: required

commit e9725f6a113871883ab944210d5c3d442373dc58
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 14:46:42 2016 +0000

    setup & configure matrix

commit 1ceae24ee62ee6ed5dceb8981fd82e0f5deeb831
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 14:29:30 2016 +0000

    rewrite package config

commit 49ed42adbf55c3e1c31020466cc0170f516aa592
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 14:26:50 2016 +0000

    set operating system

commit 9f0a9435818d5a2da5637cee68c0fb43cc880675
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 14:09:22 2016 +0000

    fix tcl package name

commit e5fa8558fd2ad2f3543e1d6d4fb722f97972ef59
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 13:56:25 2016 +0000

    add more ubuntu packages

commit ca87bfd4ae9268a87178f0c568c498f1906135c4
Author: Wolfram Schneider <wosch@indexdata.com>
Date:   Sat Feb 6 13:50:59 2016 +0000

    create travis config file

commit d1d370d865873cd9cd2484d86fe4760e8dbb37e4
Merge: 7f459311 6e175069
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 27 17:44:36 2016 +0100

    Merge pull request #1 from distobj/master
    
    Write indicator value using JSON wrbuf

commit 6e175069cc1d5e4664b9706c2755b829b67f175f
Author: Mark Baker <mark@zepheira.com>
Date:   Wed Jan 27 10:59:05 2016 -0500

    Write indicator value using JSON wrbuf

commit 7f4593116818f80af091571c859eddd25822bce5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 20 20:31:35 2016 +0100

    yaz_marc_write_iso2709: truncate if 99,999 limit is reached

commit ea3530a126a20434283087b0973d3fade168d358
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 20 20:30:43 2016 +0100

    Ignore two generated XML files

commit 011e572a310476e535f64512b82db5c7471a7811
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jan 17 19:40:53 2016 +0100

    Typo for list of debs

commit 738b345708b245e67cded6d917393a80b5bd4eca
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 11 13:06:41 2016 +0000

    Version 5.15.2

commit f43944a7ffc80bfcf8ec6a5ec1935c354d4bcac2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 11 11:04:38 2016 +0100

    Happy new year

commit d35bb455afe361c1f8ed360cce55e8fb75c6eec7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 11 11:04:11 2016 +0100

    Mention configure as a script

commit 2eb6e27fe677e40f53327f5af456d39df5b24edf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 11 11:01:00 2016 +0100

    Mention Github + buildconf.sh

commit ccfd0bb7d8af350d358e70a3b4bedb289e2be042
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 11 11:00:15 2016 +0100

    Update list of Debian packages for buildconf.sh

commit 4c57a37b6ff798585433440641d9c86a25c9092c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 6 11:26:26 2016 +0100

    Use submodules from Github

commit 7b112287740b44d1dd939cea0ecca217356affd5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 26 10:06:18 2015 +0100

    No more manifest files

commit d4514445a1caea19faff82c3541a716ddfdc2b0f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 24 14:14:20 2015 +0100

    Include links to pre-compiled ICU binaries

commit b687939804570b289122ca78f25b5f255ed36326
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 24 14:14:11 2015 +0100

    Update list of supported platforms

commit 05f7afcaa053728864a9b1b6d7bd1a6a48701f2c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 24 14:13:35 2015 +0100

    Update doc/common

commit ebfa76b327665398553785b6a00e69d119ba9297
Merge: b1a5a640 4e71d4a7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 24 13:54:30 2015 +0100

    Merge branch 'master' of ssh://git.indexdata.com:222/home/git/pub/yaz

commit b1a5a6402e767afee10073381d842642d3a640d0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 24 13:52:36 2015 +0100

    Win32/64 split. Use ICU compiled with VS2015

commit 4e71d4a715bca8fc6a9a1010ffa00def8c63ab1b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 17 15:14:06 2015 +0100

    Remove <info> from ref entry header

commit 81358822816ed75a14af31a0656550de1329c33a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 16 16:01:50 2015 +0100

    README.md

commit 319ea8d6f518d08c1f50d8ec80899e1bc6ca7923
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 16 13:27:13 2015 +0100

    Update URL for Bison Windows version
    
    It used to be part of Git for Windows. It no longer is.

commit 02b4f0ab937b62d892d3e0918439da770fe720c2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 12 08:54:19 2015 +0000

    Version 5.15.1

commit 2bfb0b990bbbe0f9c5ef9e78b094a2063bc45f33
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 12 09:48:02 2015 +0100

    Add test case for YAZ-861 YAZ-865

commit 8484857deb143d2a71498d3b8b7a345328dac969
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 11 21:52:15 2015 +0100

    sha1: Work around older VS compilers

commit 92e9ead954f1292391afde93235f0fd25891da8e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 11 21:51:05 2015 +0100

    Current YAZ are made with VS 2015

commit a6b61b9f8b6576e8159a4e7e6aee88bba7e5d07d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 11 15:32:28 2015 +0100

    Avoid using non-portable debian.h
    
    Instead use autoconf's AC_C_BIGENDIAN

commit 4eb90d87b9374b30b8ea4f9d5e70d509a11d9a58
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 11 14:50:27 2015 +0100

    Fix rpn2cql fails for Bib-1 set in qry+conf YAZ-865

commit 94a0aa1a3d45b41484ac4bf81b85f90dca7f7181
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 11 14:13:31 2015 +0100

    Bundle sha1 rather than use libgcrypt/nettle

commit 1b29294f1ba913fb798c3556e3fda09bfc46bb67
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 11 09:04:25 2015 +0000

    Version 5.15.0

commit 71e94b6a27e3dd1dcd8a781254a4c329de020f34
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 11 09:03:41 2015 +0000

    Add Ubuntu Wily Werewolf

commit 240156e69d3a6390699644756e367fffd42891d1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 10 13:47:18 2015 +0100

    CCL: fix other inherited attributes

commit 31596bdcae098f8acea695d44c44ee5f646b4c1f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 10 13:26:00 2015 +0100

    CCL: fix r=o, r=r WRT inherited attributes YAZ-864

commit 13da404f1294cb29e30100e71b76c4b44e06cf89
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 9 12:48:24 2015 +0000

    Version 5.14.12

commit 8b9999744362603b448a74f779ff7a2b4d76c89d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 9 13:47:46 2015 +0100

    Set VS_REDIST_EXE for all architectures

commit dae688b0b3ebe96d6b65385b2fa0e627ab6ce451
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 9 13:29:01 2015 +0100

    No more reachable memory with yaz_deinit_globals
    
    At least when nettle is in use (libgcrypt is hopeless)

commit 84153486e91926be04dd28d4f2bda6c6ade0e005
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 9 12:01:12 2015 +0000

    Revert "Build without redis on Debian squeeze, Ubuntu Lucid"
    
    This reverts commit ad2e8b3190adb77733a744a26a08927ed026396d.
    
    We don't build for Debian squeeze and Ubuntu Lucid anymore, so this
    hack is redundant.
    
    Conflicts:
            debian/control
            debian/rules

commit 2487937ef218d16b41294bf7d1845d164e17bfe2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 9 11:55:39 2015 +0000

    Build with nettle on Debian/Ubuntu

commit 60f0955d87a511503ce48de0e99f697e112ff3d0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 9 12:45:04 2015 +0100

    Allow use of Nettle as an alternative to gcrypt

commit 756129c2a4eaa8a0cc4e0acbc8b401083024c1e2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 9 12:00:14 2015 +0100

    yaz_deinit_globals closes FILE log

commit eec02e3b60802638aa3a105f3037814cf32af3b6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 5 12:50:26 2015 +0100

    cs_get_host_args: allow unix:path:args notation

commit 7207680c8f685c9ed33536bfd4a4878cb2616d99
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 11:08:40 2015 +0100

    Build with VS 2015 (2014 runtime)

commit 70ce06b6fcbe3a53e94111ecedf0312848647c1b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 28 11:08:01 2015 +0100

    Fix registry keys for VC runtime

commit a4a4e9d375bfbcc823e8b3820ffb23272e919004
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 15:40:03 2015 +0100

    Prepare to bundle VC 2015 Runtime 14.0.23026

commit 917d2c4a288a19c0da7fa98ad514288d0e045413
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 27 15:39:38 2015 +0100

    make64 does not build yaz4j

commit d438b90ac17fbae25ba2554dd76f4e156f420437
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 22 16:31:26 2015 +0200

    Cleanup de-init function YAZ-863
    
    New function yaz_deinit_globals

commit 7cf33bcd4c625c2197101ebffd38513e44271be6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 9 15:09:34 2015 +0000

    Version 5.14.11

commit 59830038599648515b34784fbab8f5befa63e185
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 9 15:09:17 2015 +0000

    Remove Ubuntu utopic

commit e8001c3381e00a846e96fab5a1c6f7ca00df4f55
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 9 16:15:42 2015 +0200

    Fix RPN to CQL rejects local Bib-1 attribute set YAZ-861

commit 39671a069c30f6cc508de7692f49a01f413a5a16
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 7 16:06:25 2015 +0200

    cs_errmsg never writes to static buffer
    
    For the CSYSERR applications should check errno themselves

commit ab99e2d94176eef3b1b23ef3f0f180c6d5077ea6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 7 16:04:43 2015 +0200

    ZOOM C: tweak when connection failed is returned
    
    For cases with multiple socket addresses for some hostname, eg
    localhost IPV4+IPV6, the code now properly returns "connection
    failed" rather than "connection lost".

commit 38f746ee0f3da5e620bbf3b60eb2ccc1bc647d19
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 7 11:29:21 2015 +0200

    Update doc/common

commit 323805b6779bcf1befdc7cdd7f10c23b06885e0d
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Oct 7 12:57:33 2015 +1100

    Various minor text tweaks.

commit 0ec12c344e05f3637af9f48e6aa28a54d99f8343
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Mon Oct 5 15:22:20 2015 +1100

    Various minor text tweaks.

commit 2a624ff1daa841601aebca86c0196039da6978b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 16 14:21:04 2015 +0200

    Fix windows uninstall does not remove start menu shortcuts YAZ-860

commit 3cdd02c11b85c98430021bbc6413fcceda754354
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 16 09:10:07 2015 +0000

    Version 5.14.10

commit 4db60a9b1f537de4c0f04587b44be32d0701a64f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 15 19:43:54 2015 +0200

    prevent huge expansions in CCL s=sl YAZ-859

commit ba19dacdfe290bee024a23673a6e75f451e2c013
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 15 09:02:49 2015 +0000

    Version 5.14.9

commit 1426a3da9b0390bb0d928a6ee56ebf5fa0ceb0ef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 15 10:13:27 2015 +0200

    Fix segv in ZOOM_connection_fire_event_socket YAZ-858
    
    The odr_in memory taken by handle_srw_response, and, thus if result
    set is destructed before we expect the HTTP response (hres) it may
    be come invalid. Therefore we inspect hres before the call to
    ZOOM_handle_sru.

commit 7c6b3363478950a3a5c7f448e5bfa6f4ea19fbab
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 15 10:05:10 2015 +0200

    Fix possible deadlock in backtrace (2nd attempt) YAZ-856
    
    An alarm is set up so that backtrace is terminated if it hangs.
    Even if backtrace the handler also attempts to spawn gdb.

commit 30af0a1ebbea75c3e757eb03d3f988c61fce8511
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 14 13:53:34 2015 +0000

    Version 5.14.8

commit c5b92d32f5619eae0b99c4bfb39374e8ef675e34
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 14 15:49:47 2015 +0200

    Remove ununsed function ccl_rpn_dup

commit 4f3f16d519137001a916178e28ad1dff8b986a7d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 14 15:48:43 2015 +0200

    Fix SEGV for s=sl for 3 terms and syntax error YAZ-857

commit de94629a46584eafe114f740ed3000b26dd42ffb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Sep 13 19:31:45 2015 +0000

    Version 5.14.7

commit fcb40f9ed16ce6a8ef86997890057af0f7692377
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Sep 13 21:12:40 2015 +0200

    backtrace: add \n in error msg

commit 7cda3530b0d64128462118433a9f69645f49a39b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Sep 13 21:08:30 2015 +0200

    Fix possible deadlock in backtrace YAZ-856

commit b0afe9a4eb412d5d605450ea715dcd033f45b878
Merge: e94e943c a7261ce1
Author: Wolfram Schneider <wosch@indexdata.dk>
Date:   Tue Sep 8 12:21:49 2015 +0000

    Merge branch 'master' of ssh://git.indexdata.com:222/home/git/pub/yaz

commit e94e943c08f4f9265c2ff211d74984166b289841
Author: Wolfram Schneider <wosch@indexdata.dk>
Date:   Tue Sep 8 11:45:37 2015 +0000

    documentation: libreadline5-dev is retired, recommend to install libreadline-gplv2-dev

commit 44c26c79fddc6d28b4da0a0fd5788eca526b390e
Author: Wolfram Schneider <wosch@indexdata.dk>
Date:   Tue Sep 8 11:42:23 2015 +0000

    update documentation / help text

commit a7261ce1171ca8e90561b2055e6198e15208bcd6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 8 09:02:05 2015 +0200

    Fix docpath example

commit a996c33edb96a3273c81d799189b33437ad6ae18
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Tue Sep 8 14:10:10 2015 +1000

    Various minor text tweaks.

commit 086d0dd7b180c786daf78359e1a7b94c656dd855
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 7 17:26:20 2015 +0200

    yaz-ztest: set named_result_sets flag

commit d802116821b20c1dac70011b1ff36edfc4a3119b
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Thu Sep 3 15:53:19 2015 +1000

    Various minor text tweaks.

commit f332be40c2edee783d37633597b4f7ac3b22fc3e
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Sep 2 12:26:12 2015 +1000

    Refer to full name of Apache products at first mention, as per ASF trademark guidelines.

commit 3b046fa5df64b76cc6a28f562c135c06d7a428a7
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Sep 2 12:19:38 2015 +1000

    Various minor text tweaks.

commit 02ef0ddc8ff17fa5053089af7d5d93ea1f2182ea
Author: David Crossley <dcrossley@indexgeo.com.au>
Date:   Wed Sep 2 12:18:15 2015 +1000

    Various minor text tweaks.

commit 87faebe8ef5cab8f6df86f387e8b919b7b9897a8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 17 12:41:33 2015 +0000

    Version 5.14.6

commit 473f3071b86a40479e38e3fe4d434c0d2bf03379
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 17 14:38:01 2015 +0200

    Fix yaz-client command args parsing broken YAZ-855
    
    Bug introduced in 5be87e7a04c7219b31cefc0a3

commit 686414b0ac6446cd55610d5203d61a32672e2203
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 6 10:23:41 2015 +0000

    Version 5.14.5

commit 7673cf27f5be351a18a5d3ea1baf6c4aee06eb3b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 5 13:43:22 2015 +0000

    Remove Debian squeeze (compat 8)

commit 8e27c4a44da61c8d639187f2b914ef7d432baed5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 5 15:29:19 2015 +0200

    debian compat 9 YAZ-854

commit d7909431b9e73132e227463279bc8fe614c49184
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Aug 5 13:23:29 2015 +0200

    rpn2cql diagnostics: provide use attribute addinfo YAZ-853

commit 5ae31048f134f9f9db937db6847edef583123a90
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 4 12:19:09 2015 +0000

    deb: deprecated substitution ${Source-Version} YAZ-852

commit 5be87e7a04c7219b31cefc0a3bd02fe5a255430c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 29 15:36:51 2015 +0200

    Fix yaz-client: semicolon terminates arguments YAZ-851

commit f575db041e99b9c7455e5251fe677d145c98f6f0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 29 08:54:34 2015 +0000

    Version 5.14.4

commit eb556013557ef8c9e76c52614f88c059ec443c95
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 28 13:04:55 2015 +0200

    Solr >= 5.1 / content type text/xml YAZ-850

commit 74168354bcd4a020093adb4a1c0981e35ed340db
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 29 11:14:20 2015 +0000

    Version 5.14.3

commit bbfdba5c15c113a65b0402de4b60643e2dd64cc2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 29 11:11:00 2015 +0000

    Add centos7

commit 2327be4f0be093a2f87e2b2ac91288b81883070b
Merge: 7c4d6e0f b64c8952
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 26 21:30:42 2015 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit 7c4d6e0fc700107e781c668ebd4ba0ac79f843b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 26 21:29:09 2015 +0200

    rpn2solr: structure, relation problem for serverChoice YAZ-849

commit b64c8952aa2cba7c856634d4d26ac0f8ec6f546c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 22 16:47:35 2015 +0200

    Fix idmetaversion strips n SA-743

commit a643b7e1c8b5643c3b3f78fe845745705a305fe0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 22 16:46:55 2015 +0200

    Extend documentation of extended package type

commit 92f596bde85d55acdd37df9c8d2323dd1b23f6a2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 22 11:41:37 2015 +0200

    Windows: one NSI file again YAZ-848

commit da79b59082e749f9a9f40fd9805da5c81d34c4f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jun 20 17:29:59 2015 +0200

    Windows: Change check for vcredist YAZ-848
    
    Use key for installer:
    HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Installer\Products\UUID

commit cd6fda1153b27b8f1df87110c93a51c53f0655ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 18 15:40:06 2015 +0200

    Windows: bundle VS runtime exe YAZ-848

commit 3d757077b85e1f9d6227773f9ac716edeee18911
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 18 15:39:17 2015 +0200

    Avoid specifying YAZ4J_DIR for win64
    
    Because the yaz4j is same sibling as for the win32 (default).

commit 6202af8d37d028f08b17f82fd1c07f97c8d60cb4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 17 21:06:43 2015 +0200

    Add runtime DLL settings for VS 2015

commit 22a58a7d5f716dc27824369f06b5ce4ad7b81588
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 16 16:09:47 2015 +0200

    Extend libxml2 installation on Windows

commit af209bda301cb2bd2e469aff9b2a106926b48bb2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 15 17:10:05 2015 +0000

    Version 5.14.2

commit 871c6b4f403790572c3501ec68d8ea7d12e883f7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 15 15:34:23 2015 +0200

    Remove ZOOM lsg msg YAZ-846

commit 1352fba44fc02837055059fd137806c719fd2605
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 15 15:09:18 2015 +0200

    Document zoom extraArgs YAZ-817

commit ba234c5db2c8201ce9495b43533f7655975bfde1
Merge: 4d1450cc 56b8a451
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 15 15:00:15 2015 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit 4d1450cc691292cef5bcfdd41cefc030e4dabbf6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 15 14:58:36 2015 +0200

    Fix ZOOM: crash extended services diagnostics YAZ-846
    
    The immediate fix is to prevent ZOOM_set_dset_error from removing
    current task from connection. This, however, has been assumed in a
    number of places so this fix is rather large unfortunately.

commit 56b8a45139df91927f39fe1629c4483a1700f331
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 11 18:28:48 2015 +0000

    Version 5.14.1

commit a8f3253d975333843cd8005300f794db58f57323
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 11 20:25:08 2015 +0200

    Make yaz_log_reopen async-signal safe YAZ-845

commit 1cb13d30835efee957d72558d419e78de9804e8b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 9 20:41:29 2015 +0200

    Cosmetic change: use 0 rather than \0 for pointer

commit cb2e3cdb374b39333a99b902f6a1ef151b6246a4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 8 13:11:13 2015 +0000

    Version 5.14.0

commit 6e8f854c8a6e4c4c8993bfd728367d1092a3108c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 8 14:58:17 2015 +0200

    CCL: fix leak on syntax errors with split-list

commit 1119a1ee7eba10587a6087afc8bfa39d694043d8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 8 14:57:52 2015 +0200

    CCL config example with two use atttributes

commit c1efad57973e8a2442a537dabbb738e1af7d8c28
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Jun 7 11:05:21 2015 +0200

    Revert change in default.bib WRT YAZ-844

commit e484d47e2e06b836878786d9772d01cb764913c7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jun 6 20:06:21 2015 +0200

    CCL: re-factor and use internal utility ccl_rpn_node_mkbool

commit 5921175c5859c16c2ba411999831b8aaf64917b4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jun 6 19:50:44 2015 +0200

    CCL: split-list deals with multiple use attr YAZ-844

commit 81e668042ca6fcae703a82e2af9afd99a64322f8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jun 6 19:34:47 2015 +0200

    CCL: fix regression introduced in YAZ-781

commit 1a219938c1325105582cdbc2c9a34b6fc3cdf191
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Jun 6 14:12:30 2015 +0200

    CCL: split-list deals with use attr YAZ-844

commit c95d4ba97774c6feff8579544c36bf22b5d35976
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 4 17:16:27 2015 +0200

    CCL: And-list / sub-phrase split-out YAZ-844
    
    Special structure config s=sl enables this.

commit df60350f9737923dce347e59b9c4cafa789ab7aa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 3 15:57:05 2015 +0200

    CCL: slight reformat

commit ba058997e52b990c7fa140301a1970be96ab6a4b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 3 14:48:04 2015 +0200

    CCL: slightly different point of error return
    
    Ensure that parser has advanced in any case.

commit 203519066271f3449d1c4401ed7408f9da5e58ec
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 3 14:46:49 2015 +0200

    Move code from search_term_x to ccl_term_on_use

commit 349f8f12502e38018d65da6a6b89cdc95992496a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 3 14:12:22 2015 +0200

    Remove YAZ_781 def (=1) YAZ-781

commit dcbeb5cadb376882cf4ca64fc5c27d3718208e3a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 3 14:11:03 2015 +0200

    Set defType=lucene if not already set YAZ-736

commit 25235a16bedf28aeb6e1129bcaef77d42090124e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 3 11:10:47 2015 +0200

    Dont specify Solr query type YAZ-736

commit d483a4148476ad1bf6f92ffb9d1c961805a9c428
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jun 1 11:14:00 2015 +0200

    Remove Ubuntu Saucy

commit 6533da485c4fcf4bc1bb6d70d0b18b13602381ff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 29 08:09:56 2015 +0000

    Version 5.13.0

commit 2ecbd5b9ef01b856c6dfa13023ae361fc71b7c44
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 29 08:09:48 2015 +0000

    Remove two obsolete Doxygen directives

commit d654b817f2bdb80102dd663d78f31ab3eea4f6bd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 28 13:51:54 2015 +0200

    Add lock/unlock for YAZ log writes YAZ-843

commit 8df42b78dbe63f893e6f004b3c711c43f414f2a2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 22 10:26:33 2015 +0000

    Version 5.12.2

commit 870d2233f4071fc1096e4adb41ed87380a2f4bce
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 22 10:46:03 2015 +0200

    Add tests for cs_get_host_args YAZ-842

commit 4f75f882c49b802a366ef0b8c528c7e688c53b4b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 22 10:45:28 2015 +0200

    Fix incorrect parsing of URLs @:9999/somebase&url=http://some.host YAZ-842

commit cd86d90b86df0d534f35bc8308ed54105b9cb81c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed May 13 09:27:11 2015 +0000

    Version 5.12.1

commit 04aeb72237a5ed1b57b21c9b3610e7a68950ce83
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 12 15:54:28 2015 +0200

    Revert YAZ-830 fix (hack)
    
    The YAZ-833 fix is better

commit 52c4f1b1dee821e201478b68d23edb6cd54c95a7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 12 15:47:16 2015 +0200

    yaz-client: deal with excess bytes HTTPS case YAZ-833

commit d84e4c3cd444d04aee7beeadb5bb0ae061ee24c9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue May 12 15:26:27 2015 +0200

    ZOOM C: deal with excess bytes HTTPS case YAZ-833

commit e2a9f7ce085c4c39cf1689f30a860fb6445cd346
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 11 14:56:38 2015 +0200

    Allow Windows installer for PATH to be updated YAZ-841

commit b8d7ac4d30477a8700bd1a68d437be3fcff05193
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 11 14:51:36 2015 +0200

    Allow version.nsi to be generated on Windows

commit c9c54c9f75cfea59f26489d1b0ef011dafa4297e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 8 18:58:34 2015 +0000

    Add Ubuntu Vivid 15.04

commit 800e0637cfe783fa9966e11712b7e20023ba2245
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 8 13:14:55 2015 +0000

    Version 5.12.0

commit 9a50808021be48e8ff272f762b9f8245330a79e4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 8 14:55:27 2015 +0200

    Allow Content-Type application/sru+xml YAZ-840

commit b2bc97df294f5da6c93e1119a42536b23afce8ef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 8 14:53:12 2015 +0200

    New yaz_xml_get_prop utility YAZ-839

commit f0379c36caadf35c41eb2acb7efad8aadaff0d68
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 8 13:13:55 2015 +0200

    Avoid warning when GNUTLS is not in use

commit 75fff8a1c0b9deb4b402475a408fc69bc2b06a13
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 24 10:37:37 2015 +0200

    Fix zebrasrv [warn] ir_session (exception) YAZ-838

commit 67791b7efdc55585d77c3889699c9fe155a9abe6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 8 14:27:56 2015 +0200

    Document itemorder-setname and list all ILL options

commit 0793e4fbd909aa2b9030c7e0a69fee064c86d36a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 31 13:17:57 2015 +0000

    Version 5.11.0

commit a30e26753188529e2c8c896e9780e34d196d16d8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 31 14:58:29 2015 +0200

    yaz-icu option -o writes original string as well
    
    This changes the output and so test results must be updated. yaz-icu
    now uses new facilities of YAZ-836.

commit 35c32d033bf5d7201cb72a68d88e118e1851dc40
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 31 14:54:12 2015 +0200

    Extend get_org_info (snippets) to return original string YAZ-836
    
    Two new functions have appeared: icu_chain_get_org_info2 and
    icu_iter_get_org_info2 with a 4th parameter being a pointer
    to the original string.

commit 073a678e656f02d76ddbd5592600abf94d943ea7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 31 11:55:00 2015 +0200

    Fix tcpip.c compilation failure on VC9 YAZ-835

commit eeee03de7fb33d03727696236aafd65b0e36e068
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 30 16:19:15 2015 +0200

    Test case for YAZ-834

commit db0eb0996fc35e065bbf995f34c86ba4cd9dfb0f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 30 16:16:48 2015 +0200

    Fix icu_iter_get_norm returns invalid size for some input YAZ-834
    
    The icu_iter_get_org_info returns information based on string
    as it appears on tokenize step.

commit 13736900c0e6209ee7acb0d04fecdb636f8ba86a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 13 11:03:50 2015 +0000

    Version 5.10.2

commit 1aa95d94a0084a5528b97807033b4833e8c201c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 13 11:55:35 2015 +0100

    Deal with excess bytes in HTTP response for keepalive YAZ-830

commit 20c28e99eaa71d4b73e8c03c8cfaf23653948da7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 13 11:14:08 2015 +0100

    Refactor ssl_put and tcpip_put to one function YAZ-832

commit 7bfb3050edda3cfa84906284a329e3f7fb017e24
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 13 11:12:29 2015 +0100

    Simplify tcpip_get a bit YAZ-831

commit dc86a5103817732735d2591d3775114a86de94ae
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 11 13:46:24 2015 +0100

    Refactor ssl_get and tcpip_get to one function YAZ-831

commit 077c4e7bb226de0f6414674e01a838498a49867b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 11 13:26:18 2015 +0100

    Fix SEGV yaz-client with SRU target www.bergen.folkebibl.no/cgi-bin/sru YAZ-829
    
    This does not fix the decoding probelm with excessive bytes persists YAZ-830

commit 0f24d89832c8100312b48b9bf58a5c0eba877f93
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 9 12:27:02 2015 +0100

    Fix buffer overflow in cmd_elements YAZ-828

commit 853f930f2e7eb9c0735ead54628ff87de9d7cfe8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 3 15:23:53 2015 +0000

    Version 5.10.1

commit 0fec07bf243fbf5a20b4881e428c053a56617e2d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 3 16:20:49 2015 +0100

    Fix test_sru.sh fails in pazpar2 YAZ-826

commit dca8928db421aa8750ac9ffead1a5c09a85f4f8b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 3 12:27:07 2015 +0000

    Version 5.10.0

commit 03397c97131718c46a657317ace96d7c59473b08
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 3 13:14:47 2015 +0100

    Fix proxy mode for url library YAZ-825

commit 9021ba4aa6fcdbdd177073d44edd03a86d70198f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 3 12:30:41 2015 +0100

    Use CONNECT for SSL backends and for Z39.50 thru HTTP proxy YAZ-825
    
    Introduce cs_create_host2 which returns if connection should be
    proxy aware (HTTP:absoluteUri or Z39.50 proxy:vhost in init).. For CONNECT,
    the connection is NOT proxy aware (no absoluteUri and no Z39.50 vhost).

commit b8cbf8f36033eb692b79b7e97207baa9904f0a9f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Mar 3 12:30:16 2015 +0100

    Ensure event is still CS_CONNECT part of YAZ-825

commit 0b121738c22cd67b153792d645746447d8a81767
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 2 15:14:30 2015 +0100

    connect works with both SSL and TCP connections YAZ-825

commit 8fb781d91bd3f8bd73dc30b4a1bdc23a69120d87
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 2 10:50:56 2015 +0100

    Part 2 of http proxy fails with yaz-client YAZ-824

commit 1349cb3d913df6ec4fad5d5f185de8fec01b835e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 2 10:34:54 2015 +0100

    Fix http proxy fails with yaz-client YAZ-824

commit 27a317565e0cc11bb50ee2cc78cd86594c30164a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 6 14:03:36 2015 +0000

    Version 5.9.1

commit a7718c404d9f9317caf075a1d1bbacc1484018a7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 6 13:04:13 2015 +0100

    Simple refactor due to yaz_match_xsd_element 0 check YAZ-822

commit 527dee673a04d80bd3002e4d7db7e754bb3b2eca
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 6 13:03:17 2015 +0100

    Test case for YAZ-822

commit a5043f3ecfd59cd1f788f982f475abdc11327997
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 6 13:01:32 2015 +0100

    Fix 0 ptr reference for OPAC records from XML YAZ-822

commit 5c3d5999d1588a3963435412af22ec993b22e391
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 2 10:30:52 2015 +0000

    Version 5.9.0

commit 4588c6059ab91814bcfe2da9a4c956d99ec8dc23
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 2 11:19:20 2015 +0100

    daemon reopen flag change ownership of logfile to -u uid YAZ-819

commit bb84694ae5b1951689fe049bef536e5a73deb208
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 28 16:46:56 2015 +0100

    make yaz daemon facility to re-open log file YAZ-818

commit ffc8ea2eb23fe8c74fbeb96d05b31c477767923f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 28 14:32:34 2015 +0100

    Add check for integer overflow in odr_write YAZ-816

commit 49a4d29a88820425b7d88b8550ca5e4bf5a42adb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 13 13:30:57 2015 +0000

    Version 5.8.1

commit 50143446837df6792c0d59042c7c78fd41fa7aa7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 13 14:12:19 2015 +0100

    record conv: select return org record if no x-path match YAZ-814

commit f24766f1e9fc5404fc0b512af8607d7f7054f4be
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 13 13:55:52 2015 +0100

    retrieval: pick matched element-set rule YAZ-813

commit 8cb8947e3a7bff4dbf8f124871cb4905df1adce7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 13 13:54:51 2015 +0100

    Fix crash in record conv rule select YAZ-812

commit 2f570511e1ca2d63705dc425e9e7bc3f3d744f64
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 9 11:11:33 2015 +0000

    Version 5.8.0

commit 63fb93940f1ad82877a3281605f7073b7e2ddf3a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 9 12:11:16 2015 +0100

    test_record_conv: missing yaz_record_conv_destroy

commit 417ea0996dadd8b89ab767bfbfbd0aaaf64f07ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 9 11:06:47 2015 +0000

    record_conv: remove fprintf and properly free select conv

commit 80d0b86c41a5934878cb51657e92060909f320f4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 8 14:52:55 2015 +0100

    record_conv: selection by X-Path YAZ-811

commit a7700a89cbccc75a841583be64b0ec1902220193
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 7 13:03:58 2015 +0100

    Document record render parameters - including base64

commit fbc1007d33bbaf966cc562febcf5a2d24253f05d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 09:28:15 2015 +0000

    Version 5.7.3

commit 6dc532f9c0278f7156e2940285247442681ddbf7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 6 09:25:09 2015 +0000

    Bump year to 2015

commit 2b1f30bfd76fe82ff850f41508ae7a71b42e6be1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 5 15:34:17 2015 +0100

    Fix application/x-www-form-urlencoded + empty YAZ-810

commit 66fded781f0dc83295c75dc35c4c6cc422307550
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 5 14:09:32 2015 +0100

    yaz-iconv: remove -X from example YAZ-809

commit 4c00ecb5fb64580b3f36cdbc04dc99855bc7f413
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 5 14:08:53 2015 +0100

    yaz-iconv: fix typos

commit 90500878bfdf57e7c10ed4dc306b82fb9423e611
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 17 14:20:59 2014 +0100

    Fail hard if Bison is not found YAZ-808

commit 5d2037ccd6b74ec67f662a83477820792b7172b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 16 10:24:15 2014 +0000

    Version 5.7.2

commit 22138e4a2a4655010abe40daed42593d040bd6e4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 16 11:09:57 2014 +0100

    Enable yaz4j again

commit 652b518dd2393b9ab6bafaf384ca3bbd8a746f18
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 12 14:00:25 2014 +0100

    Nmake: move ICU_VER to top

commit 11ed1645174d8ca8d8dcf5ef2bbe91e70a4a3e00
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 12 13:21:04 2014 +0100

    Use term Windows rather than win32

commit f1335560fa908652518cec29aab02b4e95eb56e5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 14:54:35 2014 +0000

    Fix daemon: parent process stops before child YAZ-806
    
    Try to fix the situation where parent process stops before
    child has acknowledged it .. SIGUSR2 back!

commit f16fe49dbe30ef1e846958a09c0d2924a24c9be5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 15:03:24 2014 +0100

    daemon: log message when keepalive stops

commit 7a8a05adc0264c2dabad740830917e0eda4ad3ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 11:49:18 2014 +0100

    Mention VS 2013

commit 0edeb96ed602b8f04d4902f9dd05a7a1d78b9217
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 11:49:05 2014 +0100

    Update doc/common

commit dd37dbb261ac22f4d12bae1ec70236f51763051f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 11:35:35 2014 +0100

    backtrace: show error if pipe fails YAZ-805

commit 7f79b3a521ea4d5d4e89f8659324019cecc0fe8a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 10 11:33:23 2014 +0100

    Add link to our own Libxml2/Libxslt binaries for Windows

commit 33025278d26febe3111cdec595e1f9331222086c
Merge: 34886b04 808b7f27
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 9 13:36:21 2014 +0100

    Merge branch 'master' of ssh://git.indexdata.com:222/home/git/pub/yaz

commit 34886b048134b852abade14b9e535ac90f00093d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 9 13:34:31 2014 +0100

    Update to VS 2013  YAZ-804
    
    Temporarily disable yaz4j for now (should be part of allj rule)

commit 808b7f27ef276184df827786afa01f8f313aa4f6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 8 15:35:24 2014 +0100

    Update information about Windows installation YAZ-804

commit 5c314a1f313d6bb6803a0863e0df76bf83ead4df
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 8 15:30:43 2014 +0100

    Use libxml2 2.9.2/Libxslt 1.1.28 - part of YAZ-804

commit d7e028ba0de38f6060f53cf75ca7246c402eb34f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 8 15:30:20 2014 +0100

    Pass /manifest option always YAZ-804
    
    Seems necessary on Visual Studio 2013.

commit bfe768e3b0cf959ed9982a7b6ff6dc9e906820f4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 5 11:41:04 2014 +0100

    avoid of fix warnings issued by Visual Studio YAZ-803
    
    Add some type casts and in other cases change integer type.

commit 28d3e3b08a856a66cb90ebf08787f8fa27a772eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 4 14:58:08 2014 +0100

    Enable yaz backtrace for programs YAZ-802

commit cca16fae6ec1295a9517731ceb5672eafe3ad896
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 4 14:47:31 2014 +0100

    Test yaz-marcdump without character set conversion
    
    A test case for YAZ-801

commit 5e32cb44eba42ca45f4749d9c14d70a31edd62fc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 3 16:37:46 2014 +0000

    Version 5.7.1

commit 3d6e2f0931ae87fe01e857d4573d946f6cd8e6f1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 3 17:34:43 2014 +0100

    Fix yaz-marcdump segfault YAZ-801

commit 675adde8432411979997c92351efe5efce0bc319
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 24 14:49:50 2014 +0000

    Version 5.7.0

commit 55b4bc7eb9295ce335fad273d08d82d62ce4b7ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 24 15:43:53 2014 +0100

    Fix compilation on windows for new backtrace stuff

commit 51e1ca7946289042c3c09e92afc1c1c465f5d870
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 17 15:17:42 2014 +0100

    Dump backtrace in case of SIGABRT, SIGSEGV YAZ-787
    
    New function yaz_enable_panic_backtrace which enables backtrace
    handler for current process. The handler will call backtrace always,
    then gdb to provide as much detail as possible.

commit f1e5f52fc3d92a50fbd34698cb6047d04dcc4225
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 17 12:26:24 2014 +0000

    Version 5.6.0

commit 79e492b21bc47563655bf044a6e5710c06a5fc9d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 14 21:34:23 2014 +0100

    Fix marc8/utf8 detection in yaz-marcdump
    
    Also update test_marccol.sh by putting proper leader in resulting
    MARC record.

commit 8ceaeefe2e491935cba91f56007308be6e4996e6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 14 15:03:08 2014 +0100

    marc8 + ISO2709 checks for leader 9 YAZ-800

commit 1b7419b08b3ac1d58bc8a147a5a563174276e151
Merge: 854382b8 04966981
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 4 11:22:44 2014 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit 854382b8be93e0673106fa27474a01149b2a04ce
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 4 11:21:58 2014 +0100

    Fix cs_put may reconnect if send fails YAZ-798

commit 049669818c2933243d5a578e4111b75278b77407
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 3 11:40:02 2014 +0000

    Version 5.5.1

commit e3e6a89b0ebc5270208139c22d68735ee6626a19
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Nov 2 08:41:30 2014 +0000

    Fix cannot build YAZ on jessie : libgnutls-dev is gone YAZ-797

commit 7cd90b94c031cdd9e8dc677dd9df27de971c4a01
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 27 12:37:24 2014 +0100

    Add version and date in NEWS

commit 95ae35ac8ff301592032968b3ae8e666904556ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 27 10:47:19 2014 +0000

    Version 5.5.0

commit 45a560b61e36aa01d99ebdb435c0896d3ce86a6d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 27 10:47:06 2014 +0000

    Add Ubuntu utopic 14.10

commit b822082114c8d580461eb58ff90de9a92e397b90
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 22 15:34:33 2014 +0200

    Extended comstack with outgoing IP YAZ-795

commit ad254547a6fc4d5dddbdf09e97b7c8ee38c8f0aa
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 20 12:49:33 2014 +0000

    Version 5.4.4

commit c36351d51f39106b5cf6c81b51c25e3171a9b92a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 20 10:01:52 2014 +0200

    Add YAZ_EXPORT to cql_transform_r fixes YAZ-793

commit 9c155bdee8a61ed559b197bc0b2bf8c38caf9264
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 8 13:53:12 2014 +0000

    Version 5.4.3

commit 9fc22b417210e4c3fa2c8bf3b005cbf74f3c4c03
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 8 09:57:09 2014 +0200

    Fix uri array may overflow in yaz_solr_encode_request YAZ-775

commit f00caf7c3f8e70278f6ada47a1f5da79a8ba6858
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 7 19:39:57 2014 +0200

    Add test for empty term in RPN to Solr conversion

commit 174b03578581f79852af95b878624013a15f540e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 7 19:38:42 2014 +0200

    Fix PQF to Solr conversion may produce invalid Solr query YAZ-792
    
    Just deal with the empty PQF term and quote that as well.

commit c9b29159e52218b7ce445e368e154e394a3b8d40
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 7 19:17:59 2014 +0200

    Add varous 0 ptr checks to Solr test

commit 89e7ff7931bdc7775faaeaf2a3c96cdb53532c8d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 7 19:15:31 2014 +0200

    0 ptr reference in handling Solr response with error YAZ-791
    
    yaz_solr_decode_response will always return non-NULL PDU if return
    value is 0 (success).

commit d2f9663df5b6dc2aa97c28659bbe6fbf1db6ce32
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 30 13:51:59 2014 +0000

    Fix annoying warning about wrbuf_putc YAZ-789

commit acadb64ea9411fd04d5e1699c56d1191691ae058
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 23 10:59:46 2014 +0200

    Fix documentation about --installa option YAZ-788

commit 1e755f5a43d636df14dbebc272888be671ae38b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 26 13:29:33 2014 +0000

    Version 5.4.2

commit 72e2e84098e74e20ddc04be4ad43e9d13b9eec92
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 26 13:54:35 2014 +0200

    daemon: properly report when receiving SIGUSR2 from child YAZ-785

commit 12b96ce71560a566dfff5901e2b1aaa9d2dc94cc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 21 10:32:50 2014 +0000

    Version 5.4.1

commit a14c8137d1216177ce5ae1b998ea3681459811d1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 21 11:55:23 2014 +0200

    Better diagnostics for xmalloc failures YAZ-784

commit 92deb3cc5d606ce01697f80ae234dc8019954f69
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Aug 21 11:41:57 2014 +0200

    Make assert for invalid xmalloc YAZ-783

commit 931965cac0551eb37bd9b6a0e1de6ea90585b115
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 19 09:07:49 2014 +0000

    Version 5.4.0

commit 632b6b72eb8b6f828b6c63e84b9882b59958a6ad
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 19 09:07:38 2014 +0000

    Upd NEWS

commit 567334fecf3bd2b481e32c67ef91f3a4ee04eabb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Aug 19 10:51:15 2014 +0200

    log: disable the non-buffered logging YAZ-780
    
    This makes yaz_log on regular files make one write per line rather
    than one write per fprintf call.

commit af7df1eb703a867fe5d2226a13d4ea59aa0c87dc
Merge: b1df5f90 c659f52f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 18 15:28:14 2014 +0200

    Merge branch 'master' into yaz-781

commit c659f52fe4ee144502877f77cc0d6ff5125cc1cb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Aug 18 13:39:16 2014 +0200

    Do not build for Ubuntu raring, quantal (obsolete)

commit b1df5f9013d82510f6250d93623a0126ec19265f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 15 15:35:10 2014 +0200

    First work on YAZ-781
    
    There's one regression still.

commit 55dd9ff92e47e3e13fb11915bc5e1bdbd15537ab
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Aug 15 11:47:07 2014 +0200

    Documentation manref.xml depends on local.ent MP-566

commit eb467c75687daef0419eb95f652693ca00c60195
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 15 14:11:30 2014 +0200

    CCL combo qualifier should allow forward references YAZ-779

commit c6a0cb09dd5867c99fa742cf6d110c50f2cf600e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jul 14 14:45:18 2014 +0200

    Do not build for Ubuntu oneiric

commit 51f282c74b96dcde90341c2e895f77b0d7b5a7bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 11 14:12:37 2014 +0000

    Fix buildconf.sh, automake too old on centos5 YAZ-778
    
    Achieved by adding AM_PROG_CC_C_O and requiring AM 1.9 instead.
    The AM_PROG_CC_C_O is obsolete for newer AM, but 1.14 (Debian jessie)
    accepts it without a warning.

commit a5e46feb0d0a3e44c8c3ee8bebf9994195e9e82f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 11 14:50:56 2014 +0200

    Version 5.3.0

commit 301ce61c887b26caf05a6ce4f9ee95d9b296a145
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 11 14:28:02 2014 +0200

    Upd NEWS

commit ce3b3ef890c54b53b9a438737a9b045e5c2b45b4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jul 11 14:23:37 2014 +0200

    GFS: client_query_charset conversion YAZ-777
    
    This is a feature for Z39.50 clients that sends queries that are not
    UTF-8 encoded. WIth client_query_charset, GFS will convert from the
    encoding given to UTF-8.

commit 20fefe985756693f69f2fedef8deaeb686034b8d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jul 10 15:19:38 2014 +0200

    echo extra args as well YAZ-776

commit 60b23781949540ad214a331fa335da10f42fae7f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 9 16:46:05 2014 +0200

    echoedSearchRetrieveRequest for explain as well YAZ-776

commit d7f1bc4eb6c5d8e0d2eba2f040eb9c359eca9e45
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 9 13:49:29 2014 +0200

    echoedSearchRetrieveRequest support YAZ-776

commit 1ce6fcae3a6d556ae3ed362dd1288cc89b355bf7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jul 2 14:07:31 2014 +0200

    debian/changelog now auto generated

commit e05d81815980f703874bae24475ba474e424c0d7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 1 16:02:47 2014 +0200

    ZOOM: expire times set for redis/memcached YAZ-772
    
    For both redis and memcached option --expire=seconds sets expire
    time for a result-set/search. Default time is 600 seconds (10 minutes).

commit b81655495132a3e219463c6a259d4214270029ef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jul 1 15:58:46 2014 +0200

    Update doc/common again
    
    Was downgraded by mistake in 07f52472f0a1f21c120b85fea5ece6.

commit 02aab105f290cdd2743061ab1a6d6565d6701f72
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 26 11:12:49 2014 +0200

    Version 5.2.1

commit 3fd941dda9cb4fc873abbd9f94cb998b7e0bda50
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 26 10:59:44 2014 +0200

    No [rest of output is omitted] limit for yaz_log YAZ-774

commit cb991696faf940ea38b0307072daeaaa57f68cd3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 25 15:36:13 2014 +0200

    Further optimize icu_iter_get_org_info
    
    By saving last utf8/utf16 offsets to reduce size of buffer to
    analyze by u_strToUTF8.

commit e9f1f9fae5dd16e2016bf6988631d8111b3c0980
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 25 15:04:06 2014 +0200

    Optimize speed of icu_iter_get_org_info
    
    In particular, reduce calls to u_strToUTF8.

commit 6260987fdcc904b2110b88f882e66fa47e0b35dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 25 14:27:52 2014 +0200

    For ICU testing, pass -o to yaz-icu
    
    this will test the icu_iter_get_org_info function.

commit 5c1eb188e9cf6f0dd2e435a1f81938f258515edb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jun 20 15:07:12 2014 +0200

    Fix null ptr reference for freeReplyObject YAZ-773

commit 3bf181e804874d8c878b67f03b2db439804263c0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 15:52:51 2014 +0200

    Version 5.2.0

commit 242c7ecb8a857c749bf169a8dcd9579a73e546a5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 15:52:42 2014 +0200

    Do not build for Ubuntu lucid anymore

commit ad2e8b3190adb77733a744a26a08927ed026396d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 15:00:29 2014 +0200

    Build without redis on Debian squeeze, Ubuntu Lucid
    
    These older platforms have libmemcached5 availble. Dirty hack.

commit e3b9ea8ba0cd1a3d328a479cbe6aa7418cc88dd5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 13:50:50 2014 +0200

    Cope with hiredis not being available on CentOS 5

commit a0b82549e6d2d521c947448be3299b272b65e12c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 12:56:34 2014 +0200

    Update NEWS

commit 363cb9e06cefa80ac549346360a9ee868f14ec2a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 12:53:02 2014 +0200

    spec: 1.indexdata again

commit 07f52472f0a1f21c120b85fea5ece60102ad4353
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 12:52:07 2014 +0200

    Update RPM requires
    
    yaz: list only those not already in libyaz5
    libyaz5: list all libs used - including hiredis

commit 6c8a38e15663cd8e87cd3106f3cf2b283c6d7d49
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:50:15 2014 +0200

    Add note about libmemcached version

commit b74358618ee9b581fd5121ebe2b70277dae878d7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:48:59 2014 +0200

    Build Deb with redis support

commit e2b8bf88befb43e4a189ce3e659c595e5b3af7dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:46:09 2014 +0200

    Allow memcached version 0.40
    
    Remove some redundant memcached defines and rename a bit.

commit 8904a5b136d3d9bf359a1de242f554d009ab9888
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:30:34 2014 +0200

    Describe redis conf option + ZOOM redis option

commit 41068e0f9be6eb86801eb54cbb0acae2aa2683a4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:30:21 2014 +0200

    Indent configure description for --with-redis

commit 19cf946139df0a0606e590859fb6e98a09369f5b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:28:30 2014 +0200

    ZOOM: no memcached/redis hack. Options for redis context
    
    At this stage only --server=host[:port] is a supported constructor
    option for (hi)redis.

commit 0da4e766a245d5342950600835ee82f175df8106
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:20:33 2014 +0200

    Update doc/common

commit d7cba4993e5c7c06c655d9a1d903f889fdee8329
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:18:25 2014 +0200

    configure: only consider hiredis if libgcrypt is also present

commit af358fe9efc2376f4b29b7d16ff3e2ee3b90ebb4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jun 12 11:06:21 2014 +0200

    in-source yaz-config prints HIREDIS_LIBS

commit 85023e194798d21c44599f2057df59956ee20948
Merge: c18a5a0c be5a1b0a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 11 14:36:47 2014 +0200

    Merge branch 'yaz-770' of ssh://git.indexdata.com/home/git/pub/yaz into yaz-770

commit be5a1b0a591d47210a5508e8466f3f704136f280
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 11 14:37:41 2014 +0200

    configure: cope with hiredis without pkg-config

commit 85e65b909968792d2bbc17daf95b66a60dff11fc
Merge: aee5f339 cbe6fe88
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 11 14:19:20 2014 +0200

    Merge branch 'yaz-770' of ssh://git.indexdata.com/home/git/pub/yaz into yaz-770

commit c18a5a0c2620b67650b51255ea3139378ac64cec
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 11 14:18:32 2014 +0200

    4.redis

commit aee5f339aa17154788cd15bc3c373992e7f34de6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 11 14:18:12 2014 +0200

    Honor memcached options= --server=localhost as redis conf
    
    This is only done where YAZ is without libmemcached support.

commit cbe6fe88459e1dc051bf8bd66c91d5668fefbeb9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 11 14:01:21 2014 +0200

    Upd RPM for hiredis

commit 118a28603418dfc84a5c91463a1d02219e7e9941
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 11 14:00:19 2014 +0200

    Redis functional including configure + code
    
    No RPM/Deb work - yet.

commit ae36e69eb7fa1ba7c8c10c7c41bf7e30dc861db4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 11 10:46:22 2014 +0200

    Do not bundle libmemcached. Linking does not work for C
    
    Everybody using YAZ would have to switch to g++. And that doesn't
    fly.

commit 840689efb0c489991444f71777030929255fab89
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 10 14:13:45 2014 +0200

    Define HAVE_LIBMEMCACHED_MEMCACHED_H again

commit 6166a9b9b8434a39f893f4f37846a66c58ead847
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 10 13:51:17 2014 +0200

    RPM: no depend on libmemcached (static now)

commit 9300aa0c18c95a88fe9f16dc3660122d5e1d95a1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 10 11:49:55 2014 +0000

    Bundle libmemcached with YAZ on CentOS 5/6 YAZ-769

commit 94da887fdc444b624e4736e860e9a1777c92e847
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jun 10 11:43:03 2014 +0000

    Use pkg-config for getting libmemcached CFLAGS/LIBS
    
    Also, require version 1.0 or later of libmemcached.
    This is because older versions of libmemcached have
    a different API and because we have stability issues
    with version 0.31 on CentOS 6.5.

commit 2f15cf2cbca7f982d34507a9975fdbeda0568dce
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 4 15:25:21 2014 +0200

    Version 5.1.3

commit 7c4f2139acd38e5ce81cbcda225a499566d44df2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 4 15:08:10 2014 +0200

    Fix dup ZOOM_EVENT_RECV_RECORD events for SRU/Solr YAZ-768

commit 291534d6ba703c3ca522d9324ddfe01eb3330f8d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jun 4 11:15:18 2014 +0200

    fix zoom+memcahced: present request out of range YAZ-767

commit 1001e8222a0f57492d71f70b84e7d531df800d36
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 30 12:05:33 2014 +0200

    Version 5.1.2

commit 74783cfd34e855445de582d7f0a1d795615bcfe8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri May 30 12:02:05 2014 +0200

    Describe CCL qual r=omiteq

commit cf91f233d0e16ed6920d84ce2d871eed90d3491b
Merge: 9af32881 9782c90f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 29 17:07:59 2014 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit 9af3288133b60efbc2973c5739b71503d1932236
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 29 17:07:50 2014 +0200

    Add omiteq in example

commit dd5e6e2ecc4d8d51095059c13ce725d263d99601
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 29 17:07:16 2014 +0200

    CCL: include r=omiteq in tests

commit a8ff4e889fee9510119c0f02f963fd495dd8334b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 29 17:06:37 2014 +0200

    Allow r=omiteq to omit 2=3 for generated PQF YAZ-766

commit 9782c90f15aaf9e68b404ddc8fa9b9a078e7df55
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu May 22 13:55:59 2014 +0200

    GFS: prevent truncation in retrieval phase YAZ-763

commit 70b5d94fe23e5596ab67faa02eefd6e37df25058
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 5 13:21:33 2014 +0200

    Solr: simplify yaz_solr_decode_response

commit 7c345b7e160617a70158eb4c1b031467894430fe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 5 13:18:04 2014 +0200

    Solr: use different local var for string manipulation

commit 172a6108e1edcf63a23309999ac938c69f4c1bb0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 5 10:58:07 2014 +0200

    Solr: reformat

commit fe70a30cf56d64d794e5ccd83396c717cba88a9d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 5 10:49:39 2014 +0200

    Solr: Get rid of hardcoded limit of extra_args

commit 1f966d166ff89011da3e8ca2fa143f017921ec57
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon May 5 10:36:17 2014 +0200

    Solr: encode lucene query type YAZ-736
    
    Make sure the queries are treated as traditional "lucene", because that's
    what YAZ generates.

commit 45fb4747b80f37bfa44738e1071c094f18660ae9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 30 15:56:44 2014 +0200

    Fix compilation without Libxml2 YAZ-755 revisited

commit 4d1fabb92a48f8fad70e715ecc0a419b1874b4f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 30 15:56:22 2014 +0200

    Avoid clang warning: if statement has empty body

commit 6b75f20c7564502ea2d5606888f7e2ff2c1968d6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 30 15:47:35 2014 +0200

    Avoid clang warning: if statement has empty body

commit 7ee4de722ccf984fc27203e70c432e29290f3984
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 30 14:09:15 2014 +0200

    Fix ZOOM HTTP redirect failing on Windows+Solaris YAZ-755

commit 96b12227d0e350dab63f26a8bb1c8e2f7f834bf3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 22 15:44:44 2014 +0200

    Version 5.1.1

commit b675ebc81ebe1f2cb7d28b4ce43a51ad5cb39598
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 22 15:37:09 2014 +0200

    Build packages for Ubuntu Trusty Tahr 14.04 LTS

commit f36abe0a776fa52b972a3fec1b46b94e26814f22
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 22 09:10:33 2014 +0200

    Change local counter to size_t

commit f9bc1d0850c92394c8dd3f8d05691e71811baf95
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 19 11:17:22 2014 +0200

    wrbuf_buf: make it always return non-NULL
    
    Also, wrbuf_buf will return same buffer as previous call to wrbuf_cstr.

commit 5e0171c5568e93a00cad52e4187b9b28e8bacbf1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 18 19:45:11 2014 +0200

    Add test for YAZ-760

commit 365cdf77999caa4f9edb02cc954b1075d57f299e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 18 19:40:51 2014 +0200

    Fix wrbuf_putc + wrbuf_cstr assert YAZ-760
    
    Change the meaning of WRBUF size. Just allocate size + 1 instead
    of size. This means we can safely store \0 in pos. Simplify xrealloc
    use in wrbuf_grow.

commit b80d372819c8c909455ca5868f6d7412dfbbef66
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 17 13:31:00 2014 +0200

    Version 5.1.0

commit f0df1959fda559c0d952810c338a9fde667b5a63
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 17 13:11:09 2014 +0200

    Move main YAZ manual to book.xml; use nxml YAZ-758

commit d9849e03a9313647aa81846cf9cb05a06394e9ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 17 08:52:54 2014 +0200

    zoomsh: offer option -a apdulog
    
    As we're used to from yaz-client and GFS based servers.

commit a2a4b952e0742e1527fcb8c9a0e6c85fe35c65f8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 17 08:52:31 2014 +0200

    cqltransform: use odr_setprint_noclose

commit 5ef9ca5de57e415b34c21fe0d17a79f7b8e6b636
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 17 08:48:37 2014 +0200

    ZOOM: new setting apdufile
    
    Sets name of APDU file. If not given, existing setting apdulog
    takes effect. Use odr_setprint_noclose for convenience.

commit ce627148dbba2878565b8d9da33f6b25f33da4bd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 17 08:47:03 2014 +0200

    Add odr_setprint_noclose
    
    Like odr_setprint, but does not fclose.

commit bfcb19b17256263c4fca826add7724ad7c847943
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 17 07:52:42 2014 +0200

    zoomsh: only prints ZOOM> lead if a console is use (isatty)

commit 0a479be82be90639f4e37c4ead12baca543e88bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 16 17:44:14 2014 +0200

    Bib-1 and SRU diagnostics in manual (appendix) YAZ-748
    
    Tables in manual pages don't work well. So no man entry at this
    time.

commit d5a4d0d6a476429a3588e8e7d9e31094c28ef204
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Apr 12 08:06:10 2014 +0200

    Fix assert in ZOOM when http connect fails YAZ-757

commit 29644f5396a22ec0d51266011f57741adb2fd171
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Apr 11 11:03:01 2014 +0200

    Add wrbuf_cstr_null

commit 0d6f3ee9720647761ff74414a46828c0b9711ac0
Merge: 5564216d 7d640b3f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 15:47:13 2014 +0200

    Merge branch 'yaz-756'

commit 7d640b3f9eeb46ab57958aa21b63f26271162ee7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 14:28:35 2014 +0200

    Use WRBUF for addinfo member of cql_transform_t

commit d161ec774d6250a6814918f68559560d5c9db8cc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 14:19:32 2014 +0200

    Add re-entrant CQL/Solr/RPN functions
    
    The re-entrant functions are: cql_transform_r,
    cql_transform_rpn2cql_stream_r, solr_transform_rpn2solr_stream_r.
    These have same functionality as cql_transform,
    cql_transform_rpn2cql_stream, solr_transform_rpn2solr_stream. They
    return the additional infomration as WRBUF to make them re-entrant.

commit d93ce9819697b5724be8c9a02e41d0eaf818f13b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 11:49:33 2014 +0200

    cql2pqf allows RPN to Solr conversion

commit 31b5ce78766f1731a376e2f5e11f530261434345
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 11:43:37 2014 +0200

    rpn2solr: solr_transform_set_error in main handler
    
    This is to make it possible to make a thread safe version later.

commit 4f411c0f26882f2a4e91010ae901815b2bb245dc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 11:42:54 2014 +0200

    cql_transform_rpn2cql_stream back to error in cql_transform_t

commit 6fff10e5d447893654828b451d366b3452edf637
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 10:36:37 2014 +0200

    Remove some redundant wrbuf_vp_puts alikes

commit 5ae134cc01cf31868aa2adaa7daf801993e7c1e3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Apr 10 10:29:35 2014 +0200

    Remove CQL to Solr conversion and base on cql_transform_t
    
    The RPN to Solr is indeed in use. It uses exact same data structure
    as cql_transform_t.

commit 171fd9ec0fba5789a6d14b733f77bbfe90df5512
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 9 21:29:23 2014 +0200

    Make cql_transform_rpn2cql_{stream,wrbuf} thread-safe
    
    They do not tamper with addinfo and error in cql_transform_t anymore.

commit 9d12e94d17d3c31124221dc914aa36c9d8154643
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 9 21:28:06 2014 +0200

    Implement cql_transform_cql2rpn
    
    This is a thread-safe version of cql_transform. It does not write
    to the cql_transform_t object.

commit 7fc0a649c80cade7f443c6deb552e1907be9af22
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 9 15:57:52 2014 +0200

    Make object member to temporary member (WRBUF)

commit 5564216deccb49e138f665e223c81fe6c1edd79d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 9 11:32:16 2014 +0200

    Remove script no longer in use

commit f7287fb60d390bd3533ab5afacd470a10e4b3e5e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Apr 9 09:54:58 2014 +0200

    Version 5.0.22

commit 28a4fb36e751de91911b02fa76eba1f1caa284f5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 8 21:46:13 2014 +0200

    Call cs_rcvconnect during redirect YAZ-754
    
    This is ensure that non-blocking getaddrinfo completes.

commit 1c8eaf558e17a0ef7de91a4e21a0b83683b3dfd7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Apr 8 14:18:04 2014 +0200

    wrbuf_cstr: ensure wrbuf_grow is never called YAZ-753
    
    We just throw an assert instead, but that's never going to happen.

commit 97fafedd350b74076d8a8e31e23102fa22d4b430
Author: Heikki Levanto <heikki@indexdata.dk>
Date:   Tue Apr 8 13:44:58 2014 +0200

    wrbuf_cstr bit more thread safe  YAZ-753
    
    Now it does not mess with the pos. Still not 100% safe, can have
    a race condition when reallocating the buf, if it needs room for
    the terminating null byte.

commit c00f4d99781f83c51fce80af10927023a4150331
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Apr 7 22:12:11 2014 +0200

    yaz_log_init_file may take fd=<no>
    
    to open log file at the FD given.

commit f0600e1e958cb80099c4a7fa4cc56a9c1db83735
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 27 13:29:22 2014 +0100

    Extend comment about start facet parameter

commit 6b3366d135740d9ab37bdcd3f00b115fedf30a9d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 26 14:29:48 2014 +0100

    nmake: ICU_VER helper var

commit ee3683039be09b0843e3159426ea0eeecb3777ac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 21 13:19:51 2014 +0100

    Versino 5.0.21

commit 30f492ef927015dcd1399147ddc77c3f61976f5a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 21 13:03:26 2014 +0100

    Support solrmarc decoding in record_conv/retrieval module

commit 01e36a11adc97a240cc595f89280c8a619770251
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 21 11:48:22 2014 +0100

    Rename yaz_use_attribute_create to zget_AttributeList_use_string

commit aab0b586a68a6d8df06b045d8043b434c0234bea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Mar 21 11:38:12 2014 +0100

    yaz_use_attribute_create based on get_attributeList DRY

commit 7adfe1c2e69ddf39a4f26c015171168a1a8f0ee4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 20 13:16:27 2014 +0100

    Include proto.h for prototype of yaz_use_attribute_create

commit 7fc72f3ae149e416a297ef1f55c09271056e98f1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 20 10:38:27 2014 +0100

    Fix yaz_use_attribute_create (uninit memory)
    
    Bug introduced by recent commit 5350317640042c3507172d28d142795.

commit 5350317640042c3507172d28d14279595eb7a49f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 19 14:24:30 2014 +0100

    Make yaz_use_attribute_create a public function
    
    Useful when generating a facet response in a server.

commit 7557692f01c3021013c8e9d690e6ab13ea41f21e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 13 15:20:20 2014 +0100

    Version 5.0.20

commit ae102dcb4c5a0429f4ebdbb6ecb60b1cc437f8e4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 13 15:04:07 2014 +0100

    Fix comment

commit 935b1ba0c2c3dc480b0afcb3673abe2ef2dd893f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 13 13:37:25 2014 +0000

    Always initialize libgcrypt for POSIX threads YAZ-751
    
    gnutls_global_init, we now know, in some systems, do not properly
    initialize libgcrypt for POSIX threads.

commit 2d4ac23fdd43c7908123c8dfac739512c9bc8694
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 13 14:06:04 2014 +0100

    Extend test_wrbuf to use gcrypt in threaded mode
    
    This was primarily extended to check for improper libgcrypt
    initialization.

commit 7b35dc1bb4add8c5db287eecdf57bb872751eea3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Mar 13 14:05:36 2014 +0100

    Initialize gcrypt for threaded mode YAZ-751

commit 16faee0e4d41d3df001b2abd89f6d4d11f2ae89d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 10 14:57:41 2014 +0100

    Version 5.0.19

commit 0ed95c1353efd0fefe62bb9c16895b084c84888b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 10 14:23:39 2014 +0100

    ZOOM: generate event Connect rather than None
    
    for partial connect (in fact getaddrinfo resolving).

commit 3dbc44820fa5b82541856e83a370f6a1dfddc9a9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 10 11:23:55 2014 +0100

    Fix ZOOM_connection_Z3950_search: Assertion YAZ-750
    
    The standalone ZOOM sort was completely broken since 5.0.13.

commit 970071e29956eb42d306f70d62032ecdd70740f6
Merge: 480f849f 59015cc6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 5 18:31:02 2014 +0100

    Merge branch 'yaz-749'

commit 480f849f7e012d2d742d2d1dffbd1b0691dcd33a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 5 15:44:41 2014 +0100

    ZOOM: only supply clientIP for InitRequest
    
    Rather than for all APDU types.

commit 6e32d36c608fe4c1e345e07ba0bf93b1129f58f1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 5 12:00:00 2014 +0100

    Add documentation about facets

commit 59015cc6ed698cf6548ef177479ea2863494f2a7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Mar 5 10:50:52 2014 +0100

    GFS: peer_name adds X-Forwarded/Client-IP to value YAZ-749

commit 7713d084b5103df2b1d505be30de63021a5f7477
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Mar 3 13:06:06 2014 +0100

    Add link to memcached(3) man page online

commit 7e13f7fc5c0865a6f995ad7735f62015694890e1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Mar 1 17:09:33 2014 +0100

    tcpip: fix comp wo getaddrinfo; refactor tcp_state init

commit ba71ec35d250a7bf8557827b0e0f74b11215fc1a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Mar 1 17:06:44 2014 +0100

    Include stdlib.h due to getenv use

commit 75ce92c9fc70d35dce5b2bca90fd79873e48c4c2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Mar 1 15:47:05 2014 +0100

    Revert "Move declaration to avoid warning when compiling wo Libxml2"
    
    This reverts commit 4df8de77ce5d4d97a9d5588f49a5c8298183776e.

commit 4df8de77ce5d4d97a9d5588f49a5c8298183776e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Mar 1 14:51:29 2014 +0100

    Move declaration to avoid warning when compiling wo Libxml2

commit 01e5482ff2f224a3a4219e100657e3e42aaefc5d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 28 19:57:40 2014 +0100

    Fix-uninit var in new non-blocking getaddrinfo bug
    
    This bug was not part of a public release.

commit 62dc87f9ad8412dcf2a14bb00147dee88df83d70
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 28 14:33:27 2014 +0100

    Fix compilation wo libgcrypt

commit f3fa080453f6e57618216f6e58d871fb06f0d1b6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 28 13:48:44 2014 +0100

    ZOOM C uses non-blocking getaddrinfo

commit e33389ee14d909d3a1b9874a40aa1b53c3fe42be
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 28 13:29:53 2014 +0100

    COMSTACK flag CS_FLAGS_DNS_NO_BLOCK
    
    which will enable non-blocking getaddrinfo . This flag is passed to
    macro cs_create and cs_create_host, cs_create_host_proxy functions.

commit 84ace86c8329403df98997b634cd022565914c14
Merge: 3c51b85f 7143bc8f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 27 11:20:49 2014 +0100

    Merge branch 'master' into yaz-744

commit 7143bc8f77ac03fdb6f36f30b16cf64c2d6cc3e2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 27 10:29:07 2014 +0100

    Version 5.0.18

commit 3c51b85ff62261acc19c6995a041569ec4ef6d63
Merge: ab907eb3 44d6b019
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 27 10:05:14 2014 +0100

    Merge branch 'master' into yaz-744

commit 44d6b0193b4c993f23e081fa865cb0bf81b21272
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 27 10:03:01 2014 +0100

    Add note about yaz_log_mask_str_x

commit 236966a07ceb8e28649470995f88251c37423715
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 27 10:02:13 2014 +0100

    YAZ_{BEGIN,END}_CDECL yaz_init_globals

commit eb4631c82f3b57fb016234447443268d4f46b933
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 27 10:01:12 2014 +0100

    exsltRegisterAll in proper place

commit 71e066dd201f095184b98199399ac7965f7f176e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 22:03:00 2014 +0100

    Call exsltRegisterAll in yaz_init_globals
    
    This is to enable EXSLT for XSL processing in application based
    on YAZ, such as Pazpar2.

commit f41208530e726b3600657873e927a9bb33721a7c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 20:45:04 2014 +0100

    Update doc/common

commit ab907eb379d1ed21cfe2d86844b1a8bc36330797
Merge: 7431ea2e 1d3538f5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 20:41:11 2014 +0100

    Merge branch 'master' into yaz-744

commit 1d3538f5ffc0a38434e421ae3f2c34618b50d392
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 20:40:42 2014 +0100

    Update various URLs

commit 2b35fdfa5fd016e7a0c99b0cd0958c9ce8606ef9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 20:10:55 2014 +0100

    Update doc/common

commit 7431ea2e3569968e945c6a381efac4c873b661b9
Merge: 68bbd857 4e500dea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 15:30:31 2014 +0100

    Merge branch 'master' into yaz-744

commit 4e500dea9790b5ff9ea4fbb3d150c358e3bd2cab
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 15:02:50 2014 +0100

    Jumbo patch: Incorporate extraArgs in memcached key YAZ-747
    
    Use plain text for things < 40 chars; SHA-1 for others. Except
    query and password.

commit dcd92fbd62d989d5206835b7f2a1123bb525b14c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 11:14:58 2014 +0100

    Version 5.0.17

commit adbe5f4a8c685c31a978fcfc85c9099ebf647927
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 11:00:59 2014 +0100

    Fix ZOOM_connection_connect SEGVs if host==NULL YAZ-746

commit d51b21c6f41a021f21078921a0de50106264d55e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 11:00:18 2014 +0100

    Update comstack example a bit
    
    In particular use cs_rcvconnect.

commit 68bbd857190c6e29727ca1f5070fe6d8e5102bbb
Merge: c753bab9 fcc2b1bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 09:58:54 2014 +0100

    Merge branch 'master' into yaz-744

commit fcc2b1bffbd6dd86fc8f95f1e2e6e8b2a94e731e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 09:58:45 2014 +0100

    tcpip: initialize ai_connect

commit c753bab9ac07a09f1bd7ba1dc363e58310e307a7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 09:57:44 2014 +0100

    Minor refactor in tcpip code

commit 82f131850739c5806dde4e868654581cb1352cc1
Merge: 6eac80f3 7fbf3f2e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 09:43:01 2014 +0100

    Merge branch 'master' into yaz-744

commit 7fbf3f2eceeb0978881992fbf1e77cd6fc3c4a9b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 26 09:42:44 2014 +0100

    Remove call to gnutls_global_init. tcpip_init already does it

commit 6eac80f3642f68e6d7ae5ed60574b96327d55051
Merge: b696a59e ab61788b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 21:52:33 2014 +0100

    Merge branch 'master' into yaz-744

commit ab61788b20fce5faedceb7599f6b5f43be72ba9a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 21:49:34 2014 +0100

    Fix: Setting env YAZ_LOG makes YAZ hang YAZ-745
    
    yaz_init_gloabsl calls yaz_log_init_globals calls yaz_log_mask_str_x .
    Do not call yaz_init_globals from log_mask_str_x.

commit b696a59e5609651787b64b953b581a3ceb263f14
Merge: ce1f4b11 662e5d30
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 21:39:19 2014 +0100

    Merge branch 'master' into yaz-744

commit ce1f4b11dd791353e8aa4d434c9f427dcfec2c3e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 21:38:54 2014 +0100

    First go ag non-blocking getaddrinfo YAZ-744

commit 662e5d304dcb17cb1f2b62680b3489054a2fa0e6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 15:10:52 2014 +0100

    Version 5.0.16

commit f4864107db9ab5780218ca0d28c480f5e6ebd684
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 12:14:29 2014 +0100

    tcpip: connect retry in SSL mode works

commit afb64586ca7d3f97d06d867dd4ca0fe2297a1bf5
Merge: 63b0249c 4341559a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 08:33:57 2014 +0100

    Merge branch 'master' into yaz-743

commit 4341559a11eeaa00d60efbefd0b3538abb2ef622
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 25 08:32:56 2014 +0100

    Simplify SSL code a bit

commit 63b0249c36ae686af992c1426749ebfb14ad2a03
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 24 20:20:26 2014 +0100

    tcpip: connect tries all getaddrinfo addresses YAZ-743

commit ceea7d4298b1c939ee88864a8e45c61da5177001
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 24 14:28:05 2014 +0100

    Version 5.0.15

commit becf0d3294d52943303c8b3646f99260912c6f4b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 24 13:01:05 2014 +0100

    Thread safe yaz_init_globals

commit b238b8e40486033974dfab1debe409c292bf81a1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 24 12:40:39 2014 +0100

    COMSTACK: simplify tcpip_init a bit

commit f516f94ad6cc3f11275e9dec04c9c523591b7a23
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Feb 23 16:11:05 2014 +0100

    Add init_global.c YAZ-740
    
    Should have been part of ebcb0cd0936.

commit ebcb0cd09361a4b814ad8b7e629938c474af0be2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 21 22:07:55 2014 +0100

    Fix: gcrypt not properly initialized YAZ-740

commit c4a725a56de1e3e72eca7e1e7fd56f430e4be7e2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 19 11:44:48 2014 +0100

    Version 5.0.14

commit 2b8cf9ebca151f84ca793fc66747ddb62917e0ac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 19 11:39:06 2014 +0100

    Doc: update a few URLs; introduce soversion entity
    
    soversion is major .so/DLL version of YAZ library.

commit 8b1b8e01c59549991c29393276fd56e78b3909f7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Feb 19 11:38:55 2014 +0100

    Describe memcached ZOOM option

commit b41eafb39bc0ee50b4c5988f5ecfc6aad91933d5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 18 16:19:47 2014 +0100

    ZOOM: throw present request out of range again YAZ-739
    
    Was removed in YAZ 5.0.13.

commit d0a4d2462d57a0392daf2eb0dc053d91aff5d285
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 18 08:15:30 2014 +0100

    Version 5.0.13

commit 6b3150faeb376ec3393214daa47c24cc838e5b51
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 18 08:12:30 2014 +0100

    Describe --with-memcached configure option

commit 05193e78a2553c93a61da19a39e1276b1a509bac
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 17 17:59:15 2014 +0100

    Use pthread_atfork to lock/unlock yaz_log system

commit bc2c68cf9316d95c5b00444aaaa2f0a6127c1aa9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Feb 17 16:02:10 2014 +0100

    Provide yaz_log_{lock,unlock}
    
    This is to ensure yaz_log writes are atomic and allows us to use
    yaz_log_lock + yaz_log_unlock in threaded+forked applications.

commit f31f3ef3afee001257b555e9a94c502a09de3fc4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 14 20:26:26 2014 +0100

    Avoid yaz_log in sigterm handler YAZ-737
    
    Logging is still performed, but outwide sig handler.

commit fc5484cdf8e62584c976ce8eb1dfee2d787850ae
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 15:42:58 2014 +0100

    Upd NEWS WRT memcached

commit a71a136e28026d98022764e370043ef9c671494f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 15:18:51 2014 +0100

    RPM: incorporate libgcrypt and libmemcached deps

commit f33b7979ed1553753c5c54819ea2b4038c783d43
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 15:10:42 2014 +0100

    yaz-config --libs: omit grypt+memcached libs
    
    These are not necessary because 3rd party tools do not need access
    to gcrypt/memcached funtions directly.

commit 06724d5a90cb2d0da9f7f37981cee102b3711c4d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 14:39:53 2014 +0100

    Build depend on libmemcached and libgcrypt

commit dbc0fcd670c29391e095582946b857ce7dffe582
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 14:34:12 2014 +0100

    Use memcached factory function when available
    
    Provide our own for libmemcached that do not offer it. For now, our
    wrapper only supports --server=host[:port].

commit dd883e77d19525d50c04ee97c0eb85b648a08e57
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 12:42:26 2014 +0100

    yaz-config: quote some RHS values (that might include blanks)

commit 3789ac34f90b64e5c9937394a93ae7dadf678055
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 11:45:19 2014 +0100

    Check for libgcrypt version 1.2 and later

commit b65af890b504372ca36ecc217e2166ed7f4d0beb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 10:29:23 2014 +0100

    marc?.json.marc part of dist

commit a0b6afa0a1df8722572de79d563d3f0187f2fef7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Feb 7 10:09:56 2014 +0100

    Revert "Bison: use %name-prefix directive rather than -p option"
    
    This reverts commit 6fd59c085f99d8b823cd1d24d3110411c452cb87.
    Fixes YAZ-734.

commit dcd64ead14aa87992702fd7cd7189244fc349296
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 6 15:46:39 2014 +0100

    Don't define memcached_return_t if libmemcached is unavailable

commit bd5ae730cbd95ac48993f8d2504dfe298c3637c7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 6 15:24:51 2014 +0100

    Updates for compilation with older libmemcached
    
    Use memcached_create + memcached_server_add instead of memcached.
    Use memcached_strerror instead of memcached_last_error.
    Check for memcached_return_t during configure and use memcached_return
    instead of memcached_return_t for older libmemcached versions.

commit a22c4299fdfdd5d9756e422000116e11c29de7eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 6 10:38:45 2014 +0100

    Revert "Sort: no need for present/search handling for sort response"
    
    This reverts commit 17d622aba7cd121799024edbca11a4b3cc0789ef.
    We do need present, sometimes, after sort!!

commit 766712116d6bb82fd0ef8ab6eff32ea31ac65608
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Feb 6 10:31:53 2014 +0100

    Change logging a bit in ZOOM's Z39.50 layer

commit d1b6ed4a27c255041e3d719e4b05ab476c337bbf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 4 14:40:55 2014 +0100

    ZOOM_resultset_record_immedate never makes RECV_RECORD event
    
    Fixes test_http_86 for Pazpar2.

commit 5eabfe6397e68d2a77af315ec7edfb30a1e6a54d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 4 14:22:46 2014 +0100

    ZOOM_record_cache_lookup makes RECV_RECORD event

commit 31daf036f4ad6d6b33140d827859b4e530165848
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 4 12:32:16 2014 +0100

    memcached: generate SHA1 for records and store blob once

commit ea0ffea1d02fe623b4da5b7b8aa972aa9f32f071
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 4 11:25:29 2014 +0100

    Deal with facets for caching
    
    Facets is part of search key. And corresponding facets in response
    are cached with the key.

commit 9c0d61ec236fb24ac2c1f5641630488546438459
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Feb 4 11:22:59 2014 +0100

    Enable memcahced binary protocol

commit 2ac09752d7cb59ca0501c8666b8bc7a81d1e52d5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 31 12:35:59 2014 +0100

    zoomsh: shows SearchResult-1

commit 192c53b56174fa2d80db61029ba95bfa2a1a480a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 13:50:10 2014 +0100

    ZOOM: resultset setname managed by ODR

commit a91467db0bbbaefbaf64410b657a9439104997e0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 13:44:01 2014 +0100

    memcached: use facets in key for result set

commit 51f1a3a3ef95b75ce626c388c0e5e3310e2f0b1c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 13:32:26 2014 +0100

    ZOOM: change names of some facet var to denote response
    
    as opposed to request.

commit bd4ea696fa932a215d18268afd1850035f7ebd05
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 13:24:40 2014 +0100

    Deprecate ZOOM_resultset_facets_names
    
    We can use ZOOM_resultset_facets to get list of facets, followed by
    ZOOM_facet_field_name for each facet.

commit 50fbdc0bbd17afe2fd8f128330dc313700593d78
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 11:47:41 2014 +0100

    zoomsh: sortby command

commit aaff6cb1913acdc1cff06d5290e5fecb6a2d53c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 30 11:46:31 2014 +0100

    memcached: take sorting into account for result set key

commit dd016baf50d8cd02a1a32d1fd10b5544cae6ff96
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 29 17:15:02 2014 +0100

    Refactor: all memcached stuff to zoom-memcached.c

commit 9779edc6c34338368c661ef6105dcde1a7398b95
Merge: c65e5692 5b0a40e3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 29 16:02:57 2014 +0100

    Merge branch 'master' into yaz-728

commit 5b0a40e3ecc7fe72f9423a7a6c5f162082f5b2eb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 29 15:59:47 2014 +0100

    zoomsh: use proper list of connections and result sets YAZ-725

commit 5a0398df33ef2f0ed66ef4703c13b3edae754bae
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 29 10:14:16 2014 +0100

    Implement cs_get_peer_certificate_x509 for GnuTLS

commit c65e569219f8a60e2cba17ddc648a48a7b8b5096
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 28 14:47:58 2014 +0100

    Fix problem hit count caching in async mode

commit 609ad9573e7ea6450727297bdd36080cf38a9032
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 28 12:40:32 2014 +0100

    ZOOM Z39.50 handling: refactor

commit 9b04152a82503089d00716b383fdc20759990587
Merge: 17d622ab a3a04fe5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 28 11:39:47 2014 +0100

    Merge branch 'master' into yaz-728

commit a3a04fe5dc71bfa1f55765ea6557ce312b2c57cf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 28 11:39:17 2014 +0100

    Require automake 1.11.1 or later YAZ-733

commit 17d622aba7cd121799024edbca11a4b3cc0789ef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 27 15:50:36 2014 +0100

    Sort: no need for present/search handling for sort response

commit 503c86c1e635da2561cc4e16449257952f90ac4d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 27 15:30:23 2014 +0100

    Better Z39.50 search/present handling
    
    Need to look revisit Z39.50 sort next.

commit 9c32d63a1113f58ceb168e8321f1e360b2006e3b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 27 15:00:31 2014 +0100

    Caches NamePlusRecord BER; works well
    
    But we must be smarter WRT Z39.50 present/search cache lookup

commit 44de7e21fac2c7c731b635ba1d31b99ae6bb1259
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 24 14:27:17 2014 +0100

    Start work on record caching - does not work!
    
    Instead of caching the octet aligned record, we must cache
    Z_NamePlusRecord ..

commit 053367cbe356fb3ce0def34b065dae589d700daf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 24 13:08:52 2014 +0100

    Add wrbuf_sha1_puts

commit 0f4bd8b94ccda60070da27e5ba3ecb3204beea02
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 24 13:07:23 2014 +0100

    If libgcrypt is not found, disable memcached entirely
    
    That's because we need wrbuf_sha1_write / wrbuf_sha1_puts when we
    use memcached.

commit 4b8b526fd4449f43debda51524325c251646a9c1
Merge: 7efed25c e050e2bc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 24 12:54:47 2014 +0100

    Merge branch 'master' into yaz-728

commit e050e2bc6f5e50c42f7b04cd002d47cd5e5ad6cf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 24 11:46:10 2014 +0100

    Win makefile: use tclsh straight (from PATH)
    
    This is part of msysgit (Windows Git).

commit 7efed25c2ed807d32001e749f87f2eb300548c22
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 23 15:12:32 2014 +0100

    Add wrbuf_sha1_write

commit 23a11d4150aeef79e2583c964214db8ad428487a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 23 14:12:28 2014 +0100

    Mention libgcrypt in Unix installation of YAZ

commit 7b3a897f69c3b00b002020b0cdf29ddde3157f71
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 23 14:04:10 2014 +0100

    Tweak help msg for libgcrypt

commit 35ffe076512941377bb6f3cbdfa774a4ceaf9641
Merge: 22c19c69 c1f23597
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 23 14:00:51 2014 +0100

    Merge branch 'master' into yaz-728
    
    Conflicts:
            configure.ac

commit c1f23597ea64485e2362d658f3653211202cc6a8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 23 13:10:49 2014 +0100

    Remove SSL via OpenSSL support YAZ-732
    
    Also deprecate three functions from comstack that aren't working with
    GnuTLS: cs_get_ssl, cs_set_ssl_ctx, cs_get_peer_certificate_x509.

commit 22c19c698f72ce5328ea6d5d685c019be92d24d3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 23 11:40:33 2014 +0100

    zoom: cache hit count

commit fce18ebe9db3f404bf41362c723b06f1b28af29a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 22 15:17:43 2014 +0100

    zoom: simplify and turn some funcs into void

commit c844fbf71bf74b1d677c6e6e12e1530cc9b314ce
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 22 15:07:26 2014 +0100

    zoom: one common search task
    
    This simplifies some things but require us to note if a result
    set is live or not (live_set), so that we know if a search is
    required. Eventually this will allow us to postpone search/retrieve
    when caching is fully functional.

commit a741500ee64cc5009f82d94585ea389e1c5e6613
Merge: 32790840 3e824a6f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 22 14:32:06 2014 +0100

    Merge branch 'master' into yaz-728

commit 3e824a6f36428c6a4ab72246796047803c080828
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 22 11:47:31 2014 +0100

    Add missing backslash for nmake makefile

commit 64328f110e718807a11a74aa392c1f42a5538c47
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 22 11:20:07 2014 +0100

    Fix 5.0.12 date in NEWS

commit afc7c6a84de378e105e63c4d853617ec3ffb4d48
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 22 10:21:35 2014 +0100

    Version 5.0.12

commit d913827c1f2e7c3ace54eb0d8b4c99daed376c2e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 21 13:46:58 2014 +0100

    Prefix URL with http:// if sru setting hints SRU/Solr mode YAZ-731

commit ad1e3b8cec6c1c6f7d009d5cc2d04453a294914e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 21 13:44:19 2014 +0100

    More fragment removal in SRU GET and Solr case YAZ-730

commit 09c113499ad3e65ca1679889c2a0165a52f1cb50
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 21 12:55:26 2014 +0100

    SRU GET/Solr base URLs may hold additional ?args YAZ-729
    
    ZOOM option extraArgs already does this, though. It seems useful
    when dealing with Solr targets to limit by filter, eg.
      http://lui.indexdata.com:8080/solr4/select?fq=database:3902

commit d3ecee55bdfec0eec35b50b07ab830ad9535644d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Jan 21 11:42:25 2014 +0100

    Remove #fragment for HTTP request encoding YAZ-730

commit 32790840d73b1f4a4bde1478e6b14699aac00e94
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 20 15:29:15 2014 +0100

    ZOOM: initial experiments with memcached
    
    Option memcached if set, enables memcached and the value is
    options for memcached, eg "--server localhost". Key for hit count
    is stored and retrieved in memcached. The value is just logged;
    no optimization WRT ZOOM yet.

commit be89f721ce59303c3f7261b7bf86b971dff18376
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Jan 20 15:28:49 2014 +0100

    Add configure check for memcached headers+libs

commit e83e1a41848ba1e54e2ba23e58f84ce91ed05927
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 16 12:56:57 2014 +0100

    Delete trailing whitespace

commit 2e8d07c37906b555ebdde08f2e855a391818f6b6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 16 12:47:14 2014 +0100

    Doc: Update list of DLLs/LIBs

commit db05fbd0f2d1daf9ab9dc33b9876fe37a53c0037
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 16 12:46:50 2014 +0100

    Remove trailing whitespace

commit 4efb5e2a72135a8b9b8090bc0404277f3b143ccc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 16 11:52:26 2014 +0100

    Doc: update href link to Unix utils and Git

commit 08cbe0ceed43df90c48a5863de2f1b72cca67cb2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 15 15:32:53 2014 +0100

    Version 5.0.11

commit 82597a46abccacc8daa3f59838a88b0128414673
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 15 15:31:51 2014 +0100

    Update NEWS

commit 02b9296d9a65ff5b325cedbd4d9455ba2edd9365
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 15 15:04:11 2014 +0100

    zoomsh: do not use readline for stdin (no tty) YAZ-724
    
    Just use fgets in that case. If the user hits Ctrl-D a new-line
    is also printed.

commit c44b53d5d69b1aa73ca1561de1b83392527c7233
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 15 14:41:57 2014 +0100

    zoomsh: empty command ignored YAZ-723
    
    rather than performing exit of zoomsh.

commit d1b8a1c1647ebb00401f6b6e8f992cca7480b5f9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Jan 15 11:05:53 2014 +0100

    ZOOM: For redirect, reconnect always YAZ-722
    
    The problem is that some HTTP proxies, squid for one, do not
    allow connection to be re-used.

commit a7caedd0f9ba12290619e65bd2277d54ef800e8e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 10 14:01:53 2014 +0100

    yaz-url utility offers option -v to enable verbose mode

commit d0da7ea31871b3fcb3785ec7e1d06f4739fb6ada
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 10 14:01:21 2014 +0100

    yaz_url uses yaz_check_location and offers verbose mode

commit b7579b51680366f1f2be83185faf1730d49859da
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 10 14:00:36 2014 +0100

    yaz-client uses yaz_check_location

commit 3bfb3813869cfa6d6e199bf7a24ebd8e300054be
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 10 14:00:25 2014 +0100

    ZOOM C uses yaz_check_location

commit d606d0d7c6015414a1d5ba065d09b507679be5a3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 10 13:58:36 2014 +0100

    Add yaz_check_location
    
    This function gets an absolute URI from Location (HTTP redirect).

commit 053c92d650501a953d68b228ad74d96b4606eaf6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 10 13:57:33 2014 +0100

    cookie: introduce yaz_cookies_reset

commit 64e4e1f8e3298673309f5483bd6d74b3b357238a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 9 16:28:26 2014 +0100

    Add test_marc.sh JSON test results

commit 6fd59c085f99d8b823cd1d24d3110411c452cb87
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 9 16:23:51 2014 +0100

    Bison: use %name-prefix directive rather than -p option

commit b111819a3d4c8dea01efe2c12ef21689ea0c21ed
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 9 16:20:44 2014 +0100

    Update cql.y for newer bison YAZ-720
    
    The important part is that YYLEX_PARAM and YYPARSE_PARAM are no
    longer supported. Instead one must use %lex-param and %parse-param .

commit 4bcf077d6d13516c00406c84021db939b0117d74
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 9 13:34:38 2014 +0100

    Version 5.0.10

commit 2cb501be3b31d5ddc14de30498fadb4b31d56fb5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 9 13:29:58 2014 +0100

    Cookie handling; deal with relative URI in Location YAZ-719

commit 406ec3b354a9260bf09cc80c540d3d19845dc915
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Jan 3 11:08:16 2014 +0100

    rpn2solr: support truncation left(2), left&right(3) YAZ-718

commit 473824797f568578dc17d7242551cb2f7ccef46c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Jan 2 19:52:46 2014 +0100

    Happy new year
    
    Omit copyright year range from most source files. We don't want to
    update them every year anymore.

commit 6ffc994bc475a1bc1b23e5a70f497637edcb53f2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 23 10:38:25 2013 +0100

    Mention SRU version 2.0 in yaz-client man

commit e746aded3630be444c66f12e341a63413df92371
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 20 15:03:34 2013 +0100

    Version 5.0.9

commit 23aa28662e9effc572e4517d253a589059691808
Merge: a2ee2bb7 176adcd5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 20 14:58:21 2013 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit 176adcd5ec7f2340fb6f0f625a727498db9c04c4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 20 11:21:23 2013 +0100

    Version 5.0.8

commit a2ee2bb752aefcfcec36b8880982a50c9ba1e4ff
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 20 11:12:13 2013 +0100

    yaz-client: Loosen NS check for SRU YAZ-716

commit eeb3f9f3eb2b41f75341f5d93d0583bda80e5a07
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 20 11:10:40 2013 +0100

    ZOOM: Loosen NS check for SRU YAZ-716

commit fb14e7c421cd6539e67cebf31cb8a7787161937c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 20 11:09:18 2013 +0100

    For SOAP decoding, allow handler[i].ns to hold element
    
    It's assumed to be a namespace if it has a colon in it, and
    an element otherwise. Part of YAZ-716 .

commit d33b2b3730c2746928944277ea8268485dc875b8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 18 14:09:25 2013 +0100

    cs_parse_host free's connect_host on failure

commit 90636015fbde45fc0c2d35368ab7a32b23041cd5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 18 14:04:01 2013 +0100

    Make cs_parse_host public

commit f84b7bc9900a44f2e760dd9fa2456c0d2d8955d9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 18 14:03:22 2013 +0100

    Fix double HTTP dump
    
    Bug introduced in YAZ 5.0.6.

commit a5c7c4da7da4998222954c0afb60b46513a3adfe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 17 15:10:48 2013 +0100

    Version 5.0.7

commit 777b03337c9a5d14ed30c65e48a7a13eb1993536
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 17 14:58:35 2013 +0100

    yaz-ztest: Proper 0-terminate user-defined record buffer

commit 4ca81fbf3665bcd33a53c8b860de9dd5dfbd63a8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 17 10:43:56 2013 +0100

    Version 5.0.6

commit 0123a5450b4a7eb7e0a52869dd5c099e415f5feb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 17 10:43:36 2013 +0100

    Update API use to 5.0.5 due to new yaz_marc_read_json_node

commit dea9687d6287494fbabe3c4ab2b0b6960dc2a990
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 17 10:23:06 2013 +0100

    Upd NEWS

commit cca8a96be6d6ce6de52009e53e23876ce2fc195c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 16 14:23:20 2013 +0100

    User-defined retrieval records for yaz-ztest YAZ-714
    
    Man page for yaz-ztest updated too.

commit 7c7738bb0d8a75779cd117132404cce5b0c15952
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 16 13:47:22 2013 +0100

    Fix spelling in log msg

commit e5c4e6d4c245ae26a73953cbc5261929f55c103f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Dec 11 15:48:13 2013 +0100

    Fix truncation of HTTP body log
    
    Use the stream write instead of odr_printf which has a 4K tmp buffer.

commit 6ee0d7c0404834a0a59547c3bd7e2686f838ce37
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 10 12:54:30 2013 +0100

    Fix encoding of 0x00a4 (unicode to danmarc) YAZ-713

commit 939b4b8c6d6c6a3e5bb0833dc7977ebcdfe2dbf2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 9 11:45:22 2013 +0100

    Version 5.0.5
    
    Use 1.indexdata rather than 1indexdata for debian_revision +
    RPM Spec Release.

commit f6352a17322875e33604e2118a0cca62563ef977
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 9 11:19:45 2013 +0100

    Add Ubuntu saucy

commit 98bb77eba4edba21325c89b46dd288f71ca23215
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 9 10:58:10 2013 +0100

    Update documentation WRT MARC-in-JSON

commit d7c2d20fef26a64dd97469cc0b6bf02f9eb95981
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 9 10:57:51 2013 +0100

    MARC-in-JSON support for record conversion utility

commit 2a7d35ce3d1bad977c9cf4f8d586e3699b4d20b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Dec 9 10:57:07 2013 +0100

    yaz-ztest: returns MARC-in-JSON for JSON format

commit bb6ad257696a3b58e1f7f141b37e7471a6e91968
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 16:23:47 2013 +0100

    Update doc/common

commit 8bcd70cb460d7a11175e82487f498102ead66472
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 16:22:07 2013 +0100

    Update doc WRT json render

commit f6a16487df367408b149f74af99d92531af1bcaf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 16:21:34 2013 +0100

    Support record render "json" - for ZOOM_record_get

commit 8df1aa3a267941f6b2fcd9af2223cdb0f0b325af
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 16:01:15 2013 +0100

    Update yaz-marcdump with URL to MARC-in-JSON

commit 725b07a551ac42b73d3b621e6a9b696cd13f42d0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 14:57:10 2013 +0100

    JSON MARC decoding + tests

commit 1ecf21b0324959e62628807d5df217d7a761730b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 11:28:40 2013 +0100

    marc json write: Combine two wrbuf calls into one

commit 82fc895600b5781dcb28afd00ccf583f118745d2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 11:24:19 2013 +0100

    Remove obsolete Doxygen entries

commit 3276a62a929465af5c4db60f7b9d6751d590be57
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 11:24:07 2013 +0100

    Fix ICU comment for  icu_chain_get_org_info

commit e529ed18a6825f980bb16b230e56c6d53743ced1
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Dec 6 11:17:11 2013 +0100

    wrbuf: new utility wrbuf_iconv_write2
    
    which is a better wrbuf_iconv_write_x ..

commit b8fbcf6d00bc77c4ccdb02d68c9316f3263be15a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 5 17:20:10 2013 +0100

    Proper encoding of JSON MARC records

commit 574ae68dc570706b4468b29e82681efe15bc7180
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 5 17:19:55 2013 +0100

    Add wrbuf_iconv_json_{write,puts}

commit bbfac2e92dee794029b7a2ee6c843c9b99e22cc3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Dec 5 16:40:55 2013 +0100

    JSON / MARC encoding

commit b2c79728bb6d24c604a0a9c8fc278afe01827c2a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Dec 3 13:20:52 2013 +0100

    yaz-ztest: Esn=pz2 and syntax=XML returns Pazpar2 records

commit f8ff51d46ab411a8b4244becf67c9748ef5550a7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 28 14:27:14 2013 +0100

    danmarc iconv: fixes and more tests
    
    0xa733 is converted to @Ã¥ , 0xa732 is converted to @Ã… instead
    of @a733, @a732 .

commit 5b048b45e49be6a0af7cb17dee0c49da9074f013
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 22 14:45:05 2013 +0100

    Version 5.0.4

commit 1c54b505929ac84ab42bdee710e06a7c2f3513c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 22 14:43:20 2013 +0100

    Fix somewhat brain damaged test

commit ffb913afb48e3a0cb3539827daafed79562ab0b7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 22 14:12:07 2013 +0100

    Improve error reporting for ICU chains YAZ-707
    
    Report config element+rule when ICU status is "failure".

commit b0d1ba321a6bd82a2b511e4a707248ccc3c719e0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 21 12:55:25 2013 +0100

    ZOOM: stop fetching if present response has no records YAZ-710

commit 9afc8581574131c6d3ecea36c85740c07714318c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 20 12:00:32 2013 +0100

    Fix XML config GFS do not fail if port is in use YAZ-709

commit 126038232da386521ce190348fe38e33376051ef
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 19 11:36:55 2013 +0100

    Version 5.0.3

commit 79be1f661376242e7dd3a382cf87a23f60e45643
Merge: 99f1209b 090f0ff7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 19 11:35:29 2013 +0100

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit 99f1209b269c1b5f63360a2339c694e110a086af
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 19 11:35:19 2013 +0100

    Add Ubuntu raring, Debian jessie

commit 090f0ff7c9c93f14467f6dd23383242a8b7926b3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Nov 19 11:32:29 2013 +0100

    Update NEWS

commit d16b967479372b2ad3fdc8f348c0d1808710039a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Nov 18 10:33:15 2013 +0100

    Add automake option subdir-objects YAZ-708

commit b352182364d72bc423cb7ae6e6e5a812e3c8cfd0
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 13 13:23:21 2013 +0100

    yaz-ztest: -V shows version (like yaz-client -V)

commit e462d48003aafc70536f9982b44edef5d32a5f6a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 7 16:02:44 2013 +0100

    New encoding: danmarc YAZ-692

commit 2edad3fa067b30e1a8effde531a5fe75ddd899ce
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 7 13:28:59 2013 +0100

    test_iconv: make variable local

commit 03b00294a8f57bfd02c81e7ac4ee2bb280177f98
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 7 11:14:05 2013 +0100

    Remove unused code sections

commit e6623bc5f605bca46774fdeed6e87067df9c5a7f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Nov 7 10:45:42 2013 +0100

    Reformat

commit 30b3c16a904efc6f5e0c4326eaa7e13589921572
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 6 20:07:44 2013 +0100

    Remove ZOOM_RESULT_LISTS not in use

commit 9a83c08e1f5eca156f911f71189590b2d436a723
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Nov 6 15:57:18 2013 +0100

    yaz-client: lslb, ssub, mspn are Odr_ints now YAZ-705

commit bc86f4cb335deebc4bd7e59db33ad503b04a827d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Nov 1 13:49:55 2013 +0000

    daemon: only wait for immediate child YAZ-704
    
    rather than all children.

commit 0a60fb964618d708863b02a8483a863072cfd4cf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 31 15:40:43 2013 +0100

    On Type-7

commit 8010ebca66a1ba04c1e7517364d16be7434cc25c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 30 13:23:33 2013 +0100

    Beginnings of sorting chapter

commit 0cd4a65083c86690792faa7bb14de67a30bcfc20
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 30 11:44:44 2013 +0100

    Add retrieval example - MARCXML backend

commit 226063abdf1fadf1850eb6a7a19cc71a9bb1c8bf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 29 13:25:18 2013 +0100

    yaz-client: fix setting of SRU record schema
    
    If scheme was unset, it could lead to invalid memory reference.

commit 9555e682b2e9e018092fb92a4abd43e11d4fedb7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 16 13:59:44 2013 +0200

    Version 5.0.2

commit b8cd7370481de4461e97111f15c63360e8afbf13
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 16 12:34:06 2013 +0200

    Update NEWS

commit 8ae71d0f1dbb847eff541dd5bc3882f39b1a037a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 16 12:26:12 2013 +0200

    GFS: make surrogate diagnostic when yaz_record_conv_record fails
    
    instead of non-surrogate diagnostic. This is a per-record failure.

commit f05f8cc08216e57957e580e7bb1fd3c5db163ba7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 11 14:20:08 2013 +0200

    yaz-ztest returns schema for MARCXML test records

commit ad8727f7d06019b84e0103710bd184aba9887629
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 11 13:58:43 2013 +0200

    Ignore Debian build directories

commit 0159b1dd08a8c5498fb87fffe000bff170f069f8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 11 13:58:12 2013 +0200

    Use NULL path for non-abs XML config fname

commit c586ade2977ae5f6bf01f24cc7c8a84492c544a8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 11 13:01:22 2013 +0200

    GFS: Allow multiple listenrefs YAZ-554

commit 3a7d6f123828f282b26eddbb9724e4e03827605f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 11 12:59:12 2013 +0200

    Use xmlconfig path as prefix for fnames YAZ-702

commit b860b61a408af125d8f57f5a3a6d12844dff87ea
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 11 11:04:16 2013 +0200

    Add simple type cast (xmlChar *) to (char *)

commit 11af92513c72d3eb1e618e658b9418a42f4a630f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 8 11:41:27 2013 +0200

    Fix Content-Type charser fix for non-quoted mode

commit cbe9e3611ef12ee0dd00ce6170d5b46f8a331d8a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Oct 7 14:09:15 2013 +0200

    Content-Type charset fixes YAZ-701
    
    Do not inspect charset in Content-Type header for SOAP in decoding
    of SRU. The paylaod (XML) itself tells what encoding it is.
    In response, never supply encoding in Content-Type. The response
    payload (XML) tells what it is (with no encoding in XML it's UTF-8).

commit 13ac77e545b5d7e8b5ecb053d0aaa321ce12e487
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Oct 5 16:31:33 2013 +0200

    Add test for blanks in URL path

commit 4aec24bebc09735c5157ce9c9904e7b0ad310fdd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sat Oct 5 16:30:42 2013 +0200

    HTTP decoding: allow blanks in URL paths YAZ-700

commit 33d0d214a9219e190e15779b4e4f5e31fd7946be
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 4 14:45:49 2013 +0200

    Add check for YAZ-700

commit d94ffff6dcab70517a1588747bd76c6afc694a65
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Oct 4 12:57:00 2013 +0200

    Version 5.0.1

commit ec0d220ff7a4d9b8aeaa5ce3ffcfc57a6b845287
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 3 15:55:45 2013 +0200

    Rework how SRU 2.0 facets are mapped to Facet ASN.

commit 9fd324a42488bec84c27be945c66ea1563d4c60e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 3 15:31:06 2013 +0200

    Fix elements for which SRU facet NS is applied

commit 8375be590a8640cd5673106bc828dd6d4711be28
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Oct 3 15:28:34 2013 +0200

    Fix NS for SRU 2.0 diagnostics

commit 8089c307623ed1e8094ef8c292d8598526472d84
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 15:18:33 2013 +0200

    Always include record{Data,Schema} for SRU record
    
    They are mandatory.. We include them, even if empty.

commit 65b797ebae01184ec6e22c2ecfc2ce1de8eaf169
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 15:17:45 2013 +0200

    Fix NS for SRU explain for version 2.0 YAZ-697

commit 280940bf70395d3bccf45208efc302b6a7daf03e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 14:57:33 2013 +0200

    Use version when generating explain req

commit 044e617fc468bfce45f39e66fe8d34b99654eba2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 14:02:23 2013 +0200

    Proper diagnostics for unsupp operation YAZ-696

commit d6b502441f8d9b4b169e4f9bb28468d8f2dec627
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 11:48:02 2013 +0200

    Remove deprecated functions yaz_uri_val ..
    
    and yaz_uri_val_int. Never used outside YAZ.

commit 1932238af8876622f567da122fb52fb3791c9514
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Oct 2 11:46:43 2013 +0200

    Simplify in a lot of places using odr_strdupn

commit 4db187fbff08310195d08260817d7aa63f1fa4bc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 20:03:10 2013 +0200

    odr_create_Odr_oct: null terminate the buffer
    
    Some applications rely on it :-)

commit f43cb3097bc38bd3e38c5bb3024d567793ab30fe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 15:20:13 2013 +0200

    Version 5.0.0

commit 41fffe7a22f77d15b5d0214079e11ad62fdb2ca9
Merge: d7c3b6dd f0f1f893
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 15:19:59 2013 +0200

    Merge branch 'sru_2_0' of ssh://git.indexdata.com/home/git/pub/yaz into sru_2_0

commit f0f1f893cdc06a8c44cf1eef8086dc145fdfe5af
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 15:19:28 2013 +0200

    Upd DLL fnames to version 5

commit d7c3b6dd905cd9c2e372534147e2e7afd747d5c6
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 14:59:07 2013 +0200

    More NEWS

commit ad88b93c8fbb00728acd0b49b4079167304ed58d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 14:57:43 2013 +0200

    Minor reformatting

commit b06636208651777c08e2456bf3b5953fc3c0f2c2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 14:53:00 2013 +0200

    Remove timeout member from COMSTACK
    
    Was never used for anything

commit 6cf32fafe48e17e937809e54edf5abc7451d557b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 14:51:50 2013 +0200

    Remove PROTO_SR, CS_SR, CS_Z3950

commit e14b57aabd2bcdd5996d17778bf9055935d7b252
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 14:49:56 2013 +0200

    Remove (last) bits of WAIS support

commit 2b8637b1b34cbbd57cee3cd1b493f5a8231e9afd
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 14:39:50 2013 +0200

    Remove member soap_handler from statserv_options_block
    
    It was not in use.

commit 64384a8352413d396eb3cbdeb2d3d71cfa63ab21
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 13:06:04 2013 +0200

    Increase statserv GFS string buffers to 1024
    
    Also remove default_listen that is of no use to backend
    implementations.

commit 4466c3fb3ec5053427237ca4523ed4ed9f7e9425
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 12:33:34 2013 +0200

    doc: update supported SRU version

commit dc6dc2ed4662ece6439e1ac3592fba93447bb02c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 12:32:47 2013 +0200

    Update picture WRT SRU/Solr

commit 86c66b80a4eee1c86d6ed48bf65cbe55815df9e2
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 11:50:14 2013 +0200

    Upd NEWS

commit 457156ca85763b2329eaf066918e2d379c61d47d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 11:45:03 2013 +0200

    Remove packing in Z_SRW_record (not in use)

commit c4ca7f07c98c0cde1978b8b7f2140ce74ba809d7
Merge: 54823fb8 023439d5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 10:03:39 2013 +0200

    Merge branch 'master' into sru_2_0
    
    Conflicts:
            IDMETA
            debian/changelog
            debian/rules

commit 023439d5ca0838437c2ca688aed1d7bf99551fca
Merge: 026ad3d7 7d6d1273
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 09:58:37 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit 026ad3d737be4cbba4e98c6b6dc753f8029e3655
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 09:45:09 2013 +0200

    Version 4.2.69

commit ddebba157a75a9947a5fc3a0eb59fffe9942659c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 09:44:58 2013 +0200

    Ignore yet another directory in debian/

commit eeb9ea6353f452fd1a7ea07e95d4827609213fc7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Oct 1 09:42:36 2013 +0200

    Upd NEWS

commit 54823fb816a4bc3366d1091bbdbf1df88bcf2451
Merge: 7ce8caa1 7d6d1273
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 17:30:53 2013 +0200

    Merge branch 'master' into sru_2_0

commit 7d6d127337a9f3b76a9b0b8feeec3bf66dc740da
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 17:30:38 2013 +0200

    Fix link in config

commit 7ce8caa109dd9446e2d17f1dcaac1be088b548ff
Merge: 04a6feee e7377c90
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 15:43:31 2013 +0200

    Merge branch 'master' into sru_2_0

commit e7377c90323e05943dcf318c172a5728605fd9b5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 15:42:06 2013 +0200

    GFS: log when closing down - at least SIGTERM YAZ-684
    
    Also change formatting WRT PID logging a bit.

commit 04a6feeefe28e7f2f9f4701560b3344545a681c6
Merge: 2d59f978 6d59a642
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 15:16:06 2013 +0200

    Merge branch 'master' into sru_2_0

commit 6d59a642cb7cd71df249fc4ecf5928ea79c7038c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 15:12:33 2013 +0200

    Improve display of MARC records with multi-byte subfield IDs YAZ-695
    
    In some rare cases subfield identifiers are multi-byte characters.
    This will try to deterime length of those and split accordingly.
    This affects display in line mode as MARCXML/MarcXchange. The encoding
    of ISO2709 is the same.

commit a3e400f4aca554102ee4c84082dcf8f7244ff6d4
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 15:11:46 2013 +0200

    Change inp argument to const for yaz_read_UTF8_char

commit 3bdd5907fac99ba859596aeb10fd948fd6447750
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 14:57:55 2013 +0200

    Add include of string.h

commit 2d59f978bb2171ecdd77d822a71379a7ca5f29c3
Merge: f25efea3 f05461c7
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 14:49:08 2013 +0200

    Merge branch 'master' into sru_2_0

commit f05461c79b402d35bb6ca5feb75a848f4a5a3c7d
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 27 13:47:20 2013 +0200

    yaz-marcdump: fix leaks for MARCXML parsing YAZ-694

commit f25efea391717fb9aeefa7dbfb7864d22595740e
Merge: bb1e62c0 a4558673
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 26 15:10:10 2013 +0200

    Merge branch 'master' into sru_2_0

commit a4558673e495030fe31c38ff403f879923860b5e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 26 14:45:32 2013 +0200

    MARCXML parsing: avoid skipping 1st field if no leader YAZ-693

commit a6a0761adac3b5760765ee90c0146edf59f9f3ec
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 26 13:00:07 2013 +0200

    Better check of marc leader info YAZ-691
    
    Problem is that some systems generate MARCXML/MarcXchange with
    funny headers. These will not work if encoded as ISO2709.
    Some tests produce new output, due to updated warning messages
    about leader content.

commit bb1e62c04a09a3faff8c22178626a536ecbf1e47
Merge: be4b5fc4 c0920cd3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 25 14:06:34 2013 +0200

    Merge branch 'master' into sru_2_0

commit be4b5fc4e97e7d8a1d9b1afcf332ac3292da153b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 25 14:06:00 2013 +0200

    Convert to debhelper version 7 with smaller rules file

commit 20d86f7e985c86dca5e4d471a3e5382fb2832602
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 25 13:42:53 2013 +0200

    Clean socket file (sometimes used in testing)

commit c0920cd3948ac69f90605a47c2e2451c3d30b392
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 25 10:45:29 2013 +0200

    Add Heiko Jansen to credits

commit c57f145946e02d33035cf27878a3ff618e77d6a2
Merge: 0efa8f2d fbd98e3b
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 19:21:10 2013 +0200

    Merge branch 'master' into sru_2_0

commit fbd98e3ba1435882c6fa121e5dee6648ed295b60
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 19:21:03 2013 +0200

    cql2pqf: fix syntax error

commit 0efa8f2d1b7c2b5d881f0a1e9aee32939f6aad83
Merge: a9f1420c 6bba4a5a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 17:56:30 2013 +0200

    Merge branch 'master' into sru_2_0

commit 6bba4a5ab440d5bfd06e547ebc1a2cae9e35cb30
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 17:55:47 2013 +0200

    cql2pqf: verbose=0 by default

commit 9b685bd3c014fd6b68c8a3018290aaa8c6a1d518
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 17:55:20 2013 +0200

    cql2pqf: allow PQF queries from stdin

commit a9f1420c2c1bc16b5a49391a56c8599dbd162187
Merge: 075d4ef0 73d18d08
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 15:06:40 2013 +0200

    Merge branch 'master' into sru_2_0

commit 73d18d08ae7ac42589508fb6f8db854087a3de78
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 15:05:26 2013 +0200

    yaz-client: display MAB records YAZ-689
    
    Thanks for Heiko Jansen for this patch.

commit 075d4ef0007e9675849275cac1c713ac7940e053
Merge: 2fc1ed65 c50a3a4c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 10:28:04 2013 +0200

    Merge branch 'master' into sru_2_0

commit c50a3a4cf22ccd05ad1cfae052dd3f6583bfb70c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Tue Sep 24 10:27:20 2013 +0200

    New utility z_get_HTTP_Response_server
    
    which allows both HTTP server name and HTTP server URL to be given
    in response.

commit 2fc1ed65e59499ef747922ea9763d8f21f056f6e
Merge: 758265d6 b8294dc8
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 15:41:46 2013 +0200

    Merge branch 'master' into sru_2_0
    
    Conflicts:
            IDMETA
            debian/changelog
            debian/rules

commit b8294dc86fb8e92d669f974f0bbe326da2bfc5de
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 15:40:32 2013 +0200

    Debian: do not depend on obs tcl8.3

commit 943e66a6ac1688abd1adff0bf3c30952dfb7ba60
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 15:39:45 2013 +0200

    Debian: do not depend on obs libicu36-dev

commit 00ec8caa79fb66584067d81d5807d53547ed833b
Merge: e457b1e2 fd2bef01
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 10:41:40 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit e457b1e25f30fde461f1a13b430114a19f119d4e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 10:12:11 2013 +0200

    Version 4.2.68

commit 3d6a83ffdf9f09a97fea2c346029b7bff0d27adc
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 10:10:16 2013 +0200

    Upd NEWS 2

commit baa4b0d4605b55a779da0a5a8466f183d07d0940
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 10:07:29 2013 +0200

    Upd NEWS

commit c23b3002b19ba3fcc016eb3fab454f22e0ecacee
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 10:06:35 2013 +0200

    zoom: authenticationMode YAZ-686

commit decbbc7c15f7c05fae05f6bcb4e677caf77959da
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Mon Sep 23 09:37:34 2013 +0200

    yaz_encode_sru_extra: keep existing extra args

commit fd2bef01ba028252d1ca18d07c6c27545b12d425
Author: Dennis Schafroth <dennis@indexdata.com>
Date:   Mon Sep 23 09:33:52 2013 +0200

    Fix test

commit 1b750a9f8ea0d258fde61f5bac2d5af5bd783eb0
Merge: 5a82300a 9eb7249e
Author: Dennis Schafroth <dennis@indexdata.com>
Date:   Mon Sep 23 09:27:39 2013 +0200

    Merge branch 'master' of ssh://git.indexdata.com/home/git/pub/yaz

commit 5a82300afabd3820d847e9232cbefcca281ae4d8
Author: Dennis Schafroth <dennis@indexdata.com>
Date:   Mon Sep 23 09:27:36 2013 +0200

    Add more complex queries

commit 84e48bf312354bb4bc3c9a122f2c48346776a4fa
Author: Dennis Schafroth <dennis@indexdata.com>
Date:   Mon Sep 23 09:27:01 2013 +0200

    Add more complex query to test

commit 758265d6f85aa627387be40bfa4fe90b829ec4f3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Sep 22 18:19:50 2013 +0200

    rpn2solr: reformat (same as "master").

commit f50e88ece40cd62eb9e969cd138e3f274725a991
Merge: ac0e4f37 9eb7249e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Sep 22 18:18:28 2013 +0200

    Merge branch 'master' into sru_2_0
    
    Conflicts:
            src/rpn2solr.c

commit 9eb7249e5017426eef8177f99847696e7bc95a33
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Sun Sep 22 18:12:11 2013 +0200

    rpn2solr: rewrite rel operator handling YAZ-685

commit ac0e4f37db910a939851b6ad6dab5876df6ceeaf
Merge: ec9cc99b def92a74
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 13:55:39 2013 +0200

    Merge branch 'master' into sru_2_0

commit def92a743ce6b4aaf3357bee1f07a847841b3fbe
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 13:54:56 2013 +0200

    Add comparison routines for some Z-types

commit ec9cc99b6542d68912f2855e1978d191d9bbe23a
Merge: 833bf583 5efdf15f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 11:07:15 2013 +0200

    Merge branch 'master' into sru_2_0

commit 5efdf15f0506e9d67c0d739bd7829cfecac409ba
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 11:07:00 2013 +0200

    Make yaz_clone_z_OtherInformation

commit 833bf58328945361db8a744c0dec2c925c97d43a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 10:48:57 2013 +0200

    odr: move 5 members of struct odr to private

commit eeff5ede530161a722200afb3d0042e66c954169
Merge: c6f7e215 80559dbf
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 09:20:28 2013 +0200

    Merge branch 'sru_2_0' of ssh://git.indexdata.com/home/git/pub/yaz into sru_2_0

commit c6f7e21560c74ac3cd856c5d0bf9120fc2dfce9f
Merge: b0c3ff46 fd89a3c5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 09:20:23 2013 +0200

    Merge branch 'master' into sru_2_0
    
    Conflicts:
            IDMETA
            debian/changelog
            debian/rules

commit fd89a3c57dcb6869c3943109d5b43a4f7abd628c
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Fri Sep 20 09:19:30 2013 +0200

    Better description of s=ag

commit 80559dbf0a5d6993eef844e6f6198d28ff5a44fa
Merge: 7da0c7d1 f991472f
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 21:02:18 2013 +0200

    Merge branch 'master' into sru_2_0

commit f991472f1e2474cb605b4b40f69af1456b870570
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 21:00:11 2013 +0200

    GFS: look for facets in additionalSearchInfo

commit 7da0c7d1755ad3b33bfc48f744bb0b35f4277b1a
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 21:00:42 2013 +0200

    ZOOM/yaz-client: request facets in additionalSearchInfo
    
    rather than otherInformation

commit 4b72516157f967c0bf70e1ca1e61e89a6c7daa5e
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 21:00:11 2013 +0200

    GFS: look for facets in additionalSearchInfo

commit a3fb0c980a8e4d3ef7231abb92f0c399197ed97d
Merge: a00add15 2e8e1acb
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 14:00:20 2013 +0200

    Merge branch 'master' into sru_2_0
    
    Conflicts:
            debian/changelog
            debian/rules

commit 2e8e1acb6ba390e3e746b97385e41c1cc7817e18
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 13:20:00 2013 +0200

    Version 4.2.67

commit a00add15f1d9f9a33d8f6fe2e5f3cb04171d8aa1
Merge: b0c3ff46 5a45e2c9
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 13:11:47 2013 +0200

    Merge branch 'master' into sru_2_0
    
    Conflicts:
            IDMETA

commit 5a45e2c9d4e4fb7e3b547df12481b339f50ba8c3
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Thu Sep 19 13:10:26 2013 +0200

    Don't decode MAB as MARC
    
    Just like we don't attempt to decode HTML/XML as MARC.

commit a52fa2ad31d0ed5281f06a7682b355c35719be83
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 15:31:55 2013 +0200

    Bump to future version 4.2.67

commit b0c3ff462ce33f05398aef45cf83da3967ad2016
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 14:53:20 2013 +0200

    Include yaz/facet.h rather than yaz/z-facet-1.h

commit 916ddaa16e2fe4f4bd649b463be12e7854f98dc8
Merge: a5b0faf7 14507ff5
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 14:49:06 2013 +0200

    Merge branch 'master' into sru_2_0

commit 14507ff5775af3d6453c1d0f856ca20002eaf045
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 14:44:52 2013 +0200

    Add yaz_facet_list_to_wrbuf YAZ-683

commit a5b0faf7d5c4311af8969128b9a93cd2d55be21d
Merge: 4f3418e1 f6e09298
Author: Adam Dickmeiss <adam@indexdata.dk>
Date:   Wed Sep 18 11:29:55 2013 +0200

    Merge branch 'master' into sru_2_0

commit f6e09298ab71294db809f1f657e90997f81c91ea
Author: Adam Dickmeiss <adam@indexdata.dk>
